MySQL Workbench Release Notes

   Abstract

   This document contains release notes for the changes in each
   release of MySQL Workbench.

   For additional MySQL Workbench documentation, see MySQL
   Workbench (https://dev.mysql.com/doc/workbench/en/).

   MySQL Workbench platform support evolves over time. For the
   latest platform support information, see
   https://www.mysql.com/support/supportedplatforms/workbench.ht
   ml.

   Updates to these notes occur as new product features are
   added, so that everybody can follow the development process.
   If a recent version is listed here that you cannot find on
   the download page (https://dev.mysql.com/downloads/), the
   version has not yet been released.

   The documentation included in source and binary distributions
   may not be fully up to date with respect to release note
   entries because integration of the documentation occurs at
   release build time. For the most up-to-date release notes,
   please refer to the online documentation instead.

   For legal information, see the Legal Notices.

   For help with using MySQL, please visit the MySQL Forums
   (http://forums.mysql.com), where you can discuss your issues
   with other MySQL users.

   Document generated on: 2021-03-26 (revision: 22219)
     ________________________________________________________

Preface and Legal Notices

   This document contains release notes for the changes in each
   release of MySQL Workbench.

Legal Notices

   Copyright (c) 2006, 2021, Oracle and/or its affiliates.

   This software and related documentation are provided under a
   license agreement containing restrictions on use and
   disclosure and are protected by intellectual property laws.
   Except as expressly permitted in your license agreement or
   allowed by law, you may not use, copy, reproduce, translate,
   broadcast, modify, license, transmit, distribute, exhibit,
   perform, publish, or display any part, in any form, or by any
   means. Reverse engineering, disassembly, or decompilation of
   this software, unless required by law for interoperability,
   is prohibited.

   The information contained herein is subject to change without
   notice and is not warranted to be error-free. If you find any
   errors, please report them to us in writing.

   If this is software or related documentation that is
   delivered to the U.S. Government or anyone licensing it on
   behalf of the U.S. Government, then the following notice is
   applicable:

   U.S. GOVERNMENT END USERS: Oracle programs (including any
   operating system, integrated software, any programs embedded,
   installed or activated on delivered hardware, and
   modifications of such programs) and Oracle computer
   documentation or other Oracle data delivered to or accessed
   by U.S. Government end users are "commercial computer
   software" or "commercial computer software documentation"
   pursuant to the applicable Federal Acquisition Regulation and
   agency-specific supplemental regulations. As such, the use,
   reproduction, duplication, release, display, disclosure,
   modification, preparation of derivative works, and/or
   adaptation of i) Oracle programs (including any operating
   system, integrated software, any programs embedded, installed
   or activated on delivered hardware, and modifications of such
   programs), ii) Oracle computer documentation and/or iii)
   other Oracle data, is subject to the rights and limitations
   specified in the license contained in the applicable
   contract. The terms governing the U.S. Government's use of
   Oracle cloud services are defined by the applicable contract
   for such services. No other rights are granted to the U.S.
   Government.

   This software or hardware is developed for general use in a
   variety of information management applications. It is not
   developed or intended for use in any inherently dangerous
   applications, including applications that may create a risk
   of personal injury. If you use this software or hardware in
   dangerous applications, then you shall be responsible to take
   all appropriate fail-safe, backup, redundancy, and other
   measures to ensure its safe use. Oracle Corporation and its
   affiliates disclaim any liability for any damages caused by
   use of this software or hardware in dangerous applications.

   Oracle and Java are registered trademarks of Oracle and/or
   its affiliates. Other names may be trademarks of their
   respective owners.

   Intel and Intel Inside are trademarks or registered
   trademarks of Intel Corporation. All SPARC trademarks are
   used under license and are trademarks or registered
   trademarks of SPARC International, Inc. AMD, Epyc, and the
   AMD logo are trademarks or registered trademarks of Advanced
   Micro Devices. UNIX is a registered trademark of The Open
   Group.

   This software or hardware and documentation may provide
   access to or information about content, products, and
   services from third parties. Oracle Corporation and its
   affiliates are not responsible for and expressly disclaim all
   warranties of any kind with respect to third-party content,
   products, and services unless otherwise set forth in an
   applicable agreement between you and Oracle. Oracle
   Corporation and its affiliates will not be responsible for
   any loss, costs, or damages incurred due to your access to or
   use of third-party content, products, or services, except as
   set forth in an applicable agreement between you and Oracle.

   This documentation is NOT distributed under a GPL license.
   Use of this documentation is subject to the following terms:

   You may create a printed copy of this documentation solely
   for your own personal use. Conversion to other formats is
   allowed as long as the actual content is not altered or
   edited in any way. You shall not publish or distribute this
   documentation in any form or on any media, except if you
   distribute the documentation in a manner similar to how
   Oracle disseminates it (that is, electronically for download
   on a Web site with the software) or on a CD-ROM or similar
   medium, provided however that the documentation is
   disseminated together with the software on the same medium.
   Any other use, such as any dissemination of printed copies or
   use of this documentation, in whole or in part, in another
   publication, requires the prior written consent from an
   authorized representative of Oracle. Oracle and/or its
   affiliates reserve any and all rights to this documentation
   not expressly granted above.

Access to Oracle Support for Accessibility

   Oracle customers that have purchased support have access to
   electronic support through My Oracle Support. For
   information, visit
   https://www.oracle.com/corporate/accessibility/learning-suppo
   rt.html#support-tab.

Changes in MySQL Workbench 8.0

Changes in MySQL Workbench 8.0.24 (Not yet released)

Bugs Fixed


     * MySQL Workbench 8.0.23 closed unexpectedly after starting
       on macOS systems. This fix adds the Python 3.7 framework
       as a prerequisite for the installation. (Bug #32395192,
       Bug #102286)

     * The following third-party components were upgraded in
       this release:

          + AT-SPI

          + Cairo

          + FreeTDS

          + GDAL/OGR

          + HtmlRenderer (System.Drawing.Html)

          + iODBC

          + libgcrypt

          + Libintl

          + libgpg-error

          + Libpng

          + libssh v0.7.5-openssl1.1_patch

          + Libzip

          + PCRE (Perl Compatible Regular Expressions) Library

          + Pixman

          + PROJ.4

          + PyODBC

          + PySQLite (removed)

          + TreeViewAdv for .NET

          + VSQLite++
       (Bug #32317082)

Changes in MySQL Workbench 8.0.23 (2021-01-18, General
Availability)

   In the documentation for MySQL Workbench 8.0.23, we have
   started changing the term "master" to "source", the term
   "slave" to "replica", the term "whitelist" to "allowlist",
   and the term "blacklist" to "blocklist". There are currently
   no changes to the product's syntax, so these terms are still
   present in the documentation where the current code requires
   their use. See the blog post MySQL Terminology Updates
   (https://mysqlhighavailability.com/mysql-terminology-updates/
   ) for more information.

   Known limitation with macOS and MySQL Workbench 8.0.23.
   MySQL Workbench closes abruptly when started. To run MySQL
   Workbench 8.0.23 on macOS without this limitation, install
   Python 3.7 on your computer.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * MySQL Workbench now uses Python 3 for functionality such
       as migration, scripting shell, administrative tasks, and
       its SQL IDE. MySQL Workbench also ensures that
       installations on macOS (10.15 and later) have a valid
       version of Python available rather than relying on an
       operating system to provide the necessary scripting
       language.

     * MySQL Workbench supports macOS 11 with this release.

Bugs Fixed


     * Known issue: A change in the %cmake macro caused an error
       to occur when MySQL Workbench was built from source code
       on Fedora 33 using the RPM package. Use the new
       %cmake_build macro to avoid the error. (Bug #32019872)

Changes in MySQL Workbench 8.0.22 (2020-10-19, General
Availability)

   Known limitation with Ubuntu 20.04: An error related to
   FreeTDS/iODBC in Ubuntu prevents the migration of Microsoft
   SQL Server databases to MySQL using the MySQL Workbench
   Migration Wizard.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * All editions of MySQL Workbench and the bundled libraries
       were upgraded to use libssh 0.8.9. (Bug #31358556)

     * All editions of MySQL Workbench and the bundled libraries
       were upgraded to use OpenSSL 1.1.1g. (Bug #31296699)

     * For clarity, visual explain diagrams now include the
       phrase hash join within the diamond symbol in place of
       block nested loop when the server version is 8.0.20 or
       higher. (Bug #30752203)

Bugs Fixed


     * The uninstall operation within the .msi file returned an
       invalid error message indicating that a prerequisite,
       which was not identified as missing during the
       installation, was required before MySQL Workbench could
       be removed. (Bug #31533466)

Changes in MySQL Workbench 8.0.21 (2020-07-13, General
Availability)

   Known limitation with Ubuntu 20.04: An error related to
   FreeTDS/iODBC in Ubuntu prevents the migration of Microsoft
   SQL Server databases to MySQL using the MySQL Workbench
   Migration Wizard.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A new check box was added to the dialog for resetting an
       expired password. When selected it indicates that the
       server version in use precedes MySQL 5.7. (Bug #30799058)

     * MySQL Workbench now supports the following MySQL 8.0.19
       and 8.0.20 server language features:

          + DROP CHECK, ALTER CONSTRAINT, and DROP CONSTRAINT in
            ALTER TABLE statements.

          + Locking clause for query expressions.

          + Table values constructor.

          + Short table select syntax.

          + New requirements for the CHANGE MASTER replication
            statement (row format, primary key check).

          + Failed login attempts and password lock time in
            ALTER USER statements.

          + Format support for EXPLAIN ANALYZE statements.

          + New and changed keywords:
               o ARRAY
               o FAILED_LOGIN_ATTEMPTS
               o MASTER_COMPRESSION_ALGORITHM
               o MASTER_TLS_CIPHERSUITES
               o MASTER_ZSTD_COMPRESSION_LEVEL
               o MEMBER
               o OFF
               o PASSWORD_LOCK_TIME
               o PRIVILEGE_CHECKS_USER
               o RANDOM
               o REQUIRE_ROW_FORMAT
               o REQUIRE_TABLE_PRIMARY_KEY_CHECK
               o STREAM
               o TIMESTAMP
               o TIME

Bugs Fixed


     * MySQL Workbench Migration Wizard encountered type -154
       (SQL_SS_TIME2) while copying Microsoft SQL Server tables,
       and it returned an error on the unhandled type. This fix
       adds the following new SQL data types to the wizard:
       SQL_SS_TIME2 (supported by MySQL) and
       SQL_SS_TIMESTAMPOFFSET (not supported). (Bug #30884140)

     * The TableRead, TableInsert, TableUpdate, and TableDelete
       events for each table touched by a query did not include
       complete information in the Audit Inspector. (Bug
       #30807539)

     * Valid TABLE and VALUES statements were identified as
       having syntax errors in the SQL editor. (Bug #30775372,
       Bug #98266, Bug #30775008, Bug #98263)

     * MySQL accounts created during the prerequisite setup
       using the Create MEB Account button were not granted
       sufficient privilege to schedule an online backup or to
       execute a full backup on Windows. (Bug #30774786)

     * The Table Data Import Wizard returned an error when used
       to import a large JSON file, rather than loading the
       file. (Bug #30733445)

     * Text selected in the SQL editor was blocked by the
       highlight color. (Bug #30369329, Bug #97070)

     * A change made to the CREATE statement to rename an
       existing stored procedure did not revise the
       corresponding name in the generated DROP PROCEDURE
       statement when the change was applied using the editor.
       This fix modifies the generated statement to no longer
       drop the original stored procedure after it is renamed.
       (Bug #30103689, Bug #96289)

     * On Windows, statements that do not generate a result set,
       such as INSERT or UPDATE statements, caused MySQL
       Workbench to close unexpectedly after the EXPLAIN
       operation was executed and then the Result Grid output
       type was selected. (Bug #27576669, Bug #89745)

     * Although the installation and file path were valid, MySQL
       Workbench did not find the ogr2ogr and ogrinfo files when
       loading spatial data. (Bug #26447395, Bug #87074)

     * A column created with NULL ON UPDATE CURRENT_TIMESTAMP(6)
       prevented the MySQL Table Editor from showing table
       information, such as indexes, views, foreign keys, and so
       on. (Bug #26388250, Bug #86906)

     * Memory use on a Windows host was excessive when a large
       result set was exported to a file, causing MySQL
       Workbench to become unresponsive. (Bug #26139027, Bug
       #86430)

     * Synchronizing a database that included a table with JSON
       fields to the data model produced new, separate tables
       for the JSON data, instead of updating the original
       table. In this instance, the target MySQL version set in
       the modeling preference, 5.6.30 by default, does not
       support the operation. This fix sets the default version
       to MySQL 8.0, but the value can be adjusted by selecting
       Preferences, Modeling, and then MySQL from the Edit menu.
       (Bug #25788105, Bug #85648)

     * The zoom-out button did not alter the zoom level of
       spatial data when viewed from a Linux host, unless the
       zoom level was reset to the outermost level first. (Bug
       #25723313, Bug #85444)

     * MySQL Workbench became unresponsive for several minutes
       after a server startup attempt was made on macOS hosts.
       (Bug #25077227, Bug #83769)

     * No errors or warnings were reported when scheduling a
       backup with MySQL Enterprise Backup, although the backup
       did not execute as scheduled. (Bug #23562328, Bug #81788)

     * A Sybase database migration with the ODBC (FreeTDS)
       connection method produced an exception when the
       connection was tested. (Bug #23345282, Bug #81546)

     * MySQL Workbench server administration could not acquire
       management access to Oracle Solaris. For a list of
       supported platforms, visit
       https://www.mysql.com/support/supportedplatforms/workbenc
       h.html. (Bug #22453133, Bug #72204)

     * On Linux, edits made to values in the result grid were
       lost when using the pointer device to move within the
       grid, rather than pressing the Enter or Tab key to change
       the focus. (Bug #20742151, Bug #76387)

     * Forward engineering a valid MySQL Workbench model was
       unsuccessful when the operation was performed using a
       MySQL 5.5 server instance. (Bug #20637664)

     * On macOS, a query containing SELECT @@hostname returned
       the column header, but the query did not show any visible
       output unless the first row below the column header was
       selected. (Bug #20540937)

     * After reverting changes made to triggers in a schema that
       had been saved and synchronized, MySQL Workbench was not
       able to locate any differences when the reverted schema
       was re-synchronized with the model. (Bug #20222031)

     * A connection saved with MySQL Workbench Migration Wizard
       was no longer visible in the wizard after MySQL Workbench
       was upgraded to a later version. An attempt to save the
       connection again, using the same name, returned an error
       indicating that the original connection was preserved.
       (Bug #18454574)

     * No connection could be made to the PostgreSQL database
       system when it was selected as the source in MySQL
       Workbench Migration Wizard on macOS. (Bug #17299989)

Changes in MySQL Workbench 8.0.20 (2020-04-27, General
Availability)

   Version 8.0.20 has no release notes.

Changes in MySQL Workbench 8.0.19 (2020-01-13, General
Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Important Note:
       MySQL Workbench 8.0.19 is unable to open a new connection
       to MySQL Server from the home screen if the server is not
       started and you cannot start a server by using the
       Workbench Administration feature. Administrative and SQL
       editing tasks require an online server for the duration
       of this issue. Feature tasks that you performed with an
       offline server in previous releases now return an error
       message indicating that the server is unreachable.
       This issue is limited to MySQL Workbench 8.0.19. Thank
       you for your patience.
       Workaround: Start MySQL Server independently before
       opening the Administration and SQL Query tabs in MySQL
       Workbench. On Linux, you can replace the MySQL
       Connector/C++ 8.0.19 library with the 8.0.18 library.

     * A new context menu item now copies the headers and rows
       of queried data with tabs as separators, making it
       convenient to copy and paste query results into Excel.
       Thanks to Raj Rao for the patch. (Bug #30568824, Bug
       #97712)

     * The following MySQL server language features are now
       supported: value references in INSERT statements, new
       options (TLS version, cipher suite, compression, and
       privilege check) in CHANGE MASTER TO replication
       statements, random passwords in CREATE USER and ALTER
       USER statements, EXPLAIN ANALYZE, and binary collation
       names.

     * Context help for the keywords and functions in SQL
       queries now includes updated syntax and usage
       information.

     * MySQL Workbench 8.0.19 requires Microsoft Visual C++
       Redistributable for Visual Studio 2019 on Windows.

     * MySQL Workbench now supports macOS 10.15 Catalina.

Bugs Fixed


     * When attempting to export MySQL 5.7 data using MySQL
       Workbench 8.0, the server returned an error indicating
       that INFORMATION_SCHEMA.COLUMN_STATISTICS was an unknown
       table. Consistent parameter use with mysqldump now skips
       the table as expected. (Bug #30515899, Bug #97520)

     * The SQL editor applied syntax-error highlighting to the
       EXPLAIN keyword in a valid statement prefixed with
       EXPLAIN ANALYZE, but the statement executed as expected.
       (Bug #30478023, Bug #97416)

     * A syntax error was generated for valid ANALYZE TABLE
       statements with either the UPDATE HISTOGRAM or DROP
       HISTOGRAM clause. (Bug #30449796, Bug #97281)

     * Storage engines not supported by MySQL were listed as
       possible engines that could be selected for tables.
       Unsupported storage engines now are removed from the
       suggestion list. (Bug #30338754, Bug #96968)

     * An existing stored connection could not be replaced with
       a new connection having the same name when the attempt
       was made from the Source Selection step of the MySQL
       Workbench Migration Wizard. (Bug #30269513)

     * Identical text and highlighting colors used in the panel
       showing the steps of MySQL Workbench Migration Wizard
       made the current step unreadable. (Bug #30269474)

     * On macOS, the Cancel and Export buttons in the Export
       Recordset context window (for SQL INSERT statements) were
       mostly hidden. (Bug #30244028, Bug #96689)

     * If the ls command produced an error message together with
       a list of files, no audit log for the error appeared in
       the Enterprise MySQL Audit Log Inspector. (Bug #30135391)

     * An original SQL Server record (for example, 1020.6) was
       copied inaccurately to the corresponding MySQL column
       (1020.0) when migrated using the DECIMAL data type.
       Similarly, data migrated using the NUMERIC type generated
       a type-conversion error. Now, both decimal and numeric
       values are stored as DECIMAL types to fix the resolution
       of the decimal value or to fix the type conversion. (Bug
       #30062094, Bug #96230, Bug #30263415, Bug #96744)

     * The uniqueidentifier data type in a SQL Server source
       table was interpreted during migration as type
       VARCHAR(64) UNIQUE in the MySQL target column, instead of
       a VARCHAR column to represent a GUID (UUID) that is not
       unique. (Bug #29355468, Bug #94066)

     * The relationship arrows within an EER diagram were not
       visible when the Dark Mode theme was enabled on a macOS
       host and the diagram was exported as a single page PDF
       file. This fix disables the theme in models to prevent
       conflicts with the colors assigned by the model editor.
       (Bug #29307893, Bug #94174)

     * An empty file list was shown when the audit_log_file
       value was set to any location other than the MySQL server
       data directory. (Bug #22673089)

Changes in MySQL Workbench 8.0.18 (2019-10-14, General
Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * MySQL Workbench now uses C++17.

     * An upgrade of the Scintilla library to the latest version
       (4.x) resolves a number of display problems observed on
       macOS Mojave.

     * RapidJSON, which is the parser used by other MySQL
       products, now replaces the native JSON solution.

     * Casmine, a custom behavior-driven development framework
       for unit and integration testing of MySQL Workbench code,
       replaces the TUT unit-test framework.

     * Previously, MySQL Workbench required access to the EPEL
       repository on enterprise Linux systems, such as Oracle
       Linux and Red Hat. Access to EPEL is no longer needed by
       MySQL Workbench for general use, but the repository is
       still required to use the spatial-data features in MySQL
       Workbench. The repository can be installed manually, if
       needed (see Installing Oracle Enterprise Linux and
       Similar
       (https://dev.mysql.com/doc/workbench/en/wb-installing-lin
       ux.html#wb-installing-linux-installing-oel)).

Bugs Fixed


     * An inaccurate text message warned that tables, views,
       stored procedures, and functions could not be fetched
       when a MySQL account with limited administrative
       permissions on the server accessed a valid schema. (Bug
       #30105715, Bug #96357)

     * The visual SQL editor reported a false error on the
       RENAME COLUMN clause of a valid statement. (Bug
       #29938388, Bug #95901)

     * An error was generated when an attempt was made to add a
       new account or schema privileges after MySQL Enterprise
       Firewall was installed and enabled successfully. (Bug
       #29931969)

     * MySQL Workbench exits unexpectedly during an editing
       session of trigger code if the focus was shifted away
       from the Triggers tab and the trigger code contained an
       error. (Bug #29898662, Bug #95742)

     * The Firewall Rules tab was not shown as expected for any
       user account after the MySQL Enterprise Firewall plugin
       was installed and enabled successfully. Instead, MySQL
       Workbench had to be restarted to fully activate the
       feature when using either a local or remote-management
       connection. (Bug #29771365, Bug #29894485)

     * Partition details were not visible within the Partitions
       tab of Table Inspector when MySQL Workbench (on Windows)
       was connected to a MySQL server instance running on
       Linux. (Bug #29746607)

     * Underscore (_) characters in a schema name were converted
       to the equivalent wildcard characters when schema
       privileges were applied to a user account in MySQL
       Workbench. (Bug #29692955, Bug #95131)

     * The Ubuntu 19.04 distribution did not include MySQL
       Workbench support as expected. (Bug #29690500, Bug
       #95118)

     * The reset operation for MySQL Enterprise Firewall rules
       produced an exception, instead of resetting the rules.
       (Bug #29681550)

     * The informational message shown when removing MySQL
       Enterprise Firewall was corrected. (Bug #29681305)

     * A blank MySQL Enterprise Firewall rule could be
       submitted, which generated an exception. (Bug #29680813)

     * MySQL Enterprise Firewall could not be enabled from MySQL
       Workbench after it was uninstalled and then reinstalled.
       (Bug #29547778)

     * Error messages within the Administration - Online Backup
       tab used incorrect characters to represent versions of
       MySQL Server. (Bug #29455453)

     * On computers running MacOS, the up and down arrow keys,
       at times, reversed direction or moved to the next (or
       previous) query, instead of to the next (or previous)
       line. (Bug #29394563, Bug #94430)

     * Content within the input area of a Query tab did not
       scroll with the cursor when the cursor was moved beyond
       the current display range (up or down) using the keyboard
       on MacOS hosts. (Bug #29290375, Bug #94151)

     * Unexpected cursor movement occurred within the query
       editor when using up and down arrow keys on computers
       running macOS 10.14 (Mojave). (Bug #29049404, Bug #93576)

     * The model icons that represent relationship notations in
       an EER diagram, as well as the optional grid, were not
       visible in Dark Mode with macOS. (Bug #29049379, Bug
       #29049224)

     * On macOS, the code normally shown with View Source was
       not visible when Execution Plan was selected from the
       Result Grid side menu and Dark Mode was set. Similarly,
       code in the Workbench Scripting Shell was not visible.
       (Bug #29024631, Bug #29127415)

     * Connections made to 5.6 and 5.7 server instances used the
       utf8 character set, instead of utf8mb4. (Bug #28912563,
       Bug #93136)

     * The opening and closing brackets were missing from the
       Type column output within the Administration - Server
       Logs tab. (Bug #28686449)

     * On computers running Windows, scrolling up and down with
       a pointer device was impaired. (Bug #28686322)

     * Test Connection functionality remained enabled for stored
       connections after they were deleted. (Bug #28672121)

     * On Windows, a query made on a table with exceptionally
       large column data, such as a BLOB column exceeding 5 MB,
       caused MySQL Workbench to stop working (client ran out of
       memory). On restart of the program, a locked file
       prevented additional queries until the computer was
       restarted. (Bug #27785104, Bug #89866)

     * The PYC file associated with a plugin remained in the
       modules directory after the plugin was uninstalled. (Bug
       #24522488)

     * The MySQL Enterprise Firewall plugin was not recognized
       by MySQL Workbench when MySQL was installed from source.
       (Bug #23617930)

Changes in MySQL Workbench 8.0.17 (2019-07-22, General
Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * All editions of MySQL Workbench and the bundled libraries
       were upgraded to use OpenSSL 1.0.2r. (Bug #29489010)

     * MySQL Workbench grammar updates now enable the language
       features of each supported MySQL server version from
       MySQL 5.6 to MySQL 8.0, including the new language
       features in MySQL Server 8.0.17 (see MySQL
       (https://dev.mysql.com/doc/workbench/en/wb-what-is-new-8.
       html#wb-what-is-new-8-mysql)).

     * The implementation for SSH connections now uses libssh
       version 0.8.7, which replaces the previous version of
       libssh.

Bugs Fixed


     * An empty page was shown when Show License Info was
       selected from the Help menu. (Bug #29821258)

     * Remote management did not work after the SSH port number
       on the destination computer was changed; instead, it
       continued to use the default port number. (Bug #29784254,
       Bug #95221)

     * On Windows, an error at startup prevented the successful
       fetching of database objects for display in the Schemas
       tab. (Bug #29772769, Bug #95335)

     * The informational dialog box did not open after About
       Workbench was selected from the Help menu on hosts
       running Ubuntu 18.04.2 LTS. (Bug #29754218)

     * Database objects were not fetched as expected when any
       schema shown in the Schemas tab (located in the Navigator
       sidebar panel) for a valid connection was expanded. (Bug
       #29752794)

     * The Reverse Engineering Database wizard stopped working
       during the final step and generated an error message on
       hosts running Fedora 29. Also, general editing activities
       were affected. (Bug #29598807, Bug #94894, Bug #29528028,
       Bug #94757)

     * A syntax error in a view that was generated using the
       view tool within an EER model caused MySQL Workbench to
       stop working when the view was closed. (Bug #29558534)

     * An attempt to create an EER model by reverse engineering
       a script and selecting a dump file generated errors
       instead of creating the model. (Bug #29535589)

     * The copy_migrated_tables.cmd batch file, generated by the
       Migration Wizard, closed without performing the expected
       tasks after file was executed properly. (Bug #29516531)

     * The online backup operation returned an error indicating
       insufficient privileges for an account with sufficient
       privileges. (Bug #29515528)

     * An exception was raised when a new firewall rule was
       added without also selecting the option to indicate that
       the rule (or SQL statement) is a normalized rule. (Bug
       #29514458)

     * An exception resulted when any variable category was
       right-clicked within the Administration - Status and
       System Variables tab. (Bug #29509495)

     * An exception resulted when Show Columns was selected
       (right-clicked) to enable a column for any of the cache
       entries shown in the Administration - Audit Inspector
       tab. (Bug #29508773)

     * Backup files (.ibd) generated with the compression option
       enabled were not compressed (.ibz) after the operation
       finished. (Bug #29253624)

     * On Windows, SSH connections in combination with MySQL
       Enterprise Backup operations are available for use only
       when the server is local. (Bug #29215730)

     * The text for advanced options (Data Export from the
       Server menu) was modified to remove errors. (Bug
       #29024143, Bug #93508)

     * An incorrect password did not disable the Next button
       during the forward-engineering of a valid model, but then
       the next step generated an access-denied error while
       permitting the next action to continue after the error.
       Now, a valid password is required before the next step in
       the operation is available to select. (Bug #25951080, Bug
       #86064)

     * Regardless of the source objects selected (and displayed)
       during the migration operation, all objects were migrated
       if the steps of the wizard were repeated with the Next
       and Back buttons. (Bug #25121122, Bug #83876)

Changes in MySQL Workbench 8.0.16 (2019-04-25, General
Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The script editor now highlights matching pairs of
       parentheses when one of the pair is selected. (Bug
       #27473434, Bug #73167)

     * Microsoft Visual Studio support was upgraded from Visual
       Studio 15 to Visual Studio 17.

     * Previously, the output from running schema validation
       plugins on a MySQL model was distributed to different
       areas of MySQL Workbench, making portions of the
       information easy to miss. The same functionality now is
       shown in a single location and reorganized to provide
       informational, warning, and error messages by category. A
       new Validate tab also provides a simple way to reselect
       and rerun validation tests from the output area in the
       right side panel (see Schema Validation Plugins
       (https://dev.mysql.com/doc/workbench/en/wb-validation-plu
       gins.html)).

Bugs Fixed


     * MySQL Workbench stopped working when an existing table
       with an expression in a column of type BINARY was
       selected for editing. (Bug #29449200)

     * MySQL Enterprise Firewall could not be installed from the
       Enterprise Edition of MySQL Workbench. (Bug #29359957,
       Bug #94335)

     * An incorrect-integer-value error resulted when the Table
       Data Import Wizard attempted to import CSV data to a
       valid database table. (Bug #29348922)

     * MySQL 5.7 tables exported to MySQL 8.0.14 or 8.0.15
       produced the following error: Unknown table
       'COLUMN_STATISTICS' in information_schema. (Bug
       #29344344, Bug #94294)

     * A successful connection made with SSH tunneling from a
       Linux host produced an ongoing loop of errors if an
       attempt was made to close the connection. (Bug #29342871,
       Bug #94212)

     * The LATERAL keyword now conforms with the SQL editor
       convention to highlight and indent the words considered
       keywords by MySQL. (Bug #29251184, Bug #94012)

     * An exception was raised when a valid path to the MySQL
       Enterprise Backup 8.0.14 or 8.0.15 executable was
       provided in the prerequisite settings. To back up MySQL
       8.0.14 or 8.0.15 data, upgrade to MySQL Workbench 8.0.16
       or use MySQL Enterprise Backup 8.0.14 or 8.0.15 directly
       (see Introduction to MySQL Enterprise Backup
       (https://dev.mysql.com/doc/mysql-enterprise-backup/8.0/en
       /intro.html)). (Bug #29246551)

     * An error in the generated mysql_rdbms_info.xml file
       caused MySQL Workbench to stop working. (Bug #29237703,
       Bug #93987)

     * The size of the Table Data Import Wizard window changed
       unexpectedly between steps, causing the navigation
       buttons to vanish from visible range unless the window
       was expanded to include them. (Bug #29200662, Bug #93869)

     * With the GNOME desktop theme set to Adwaita (default) or
       Adwaita-dark, text selected within the SQL editor was
       invisible. (Bug #29184506, Bug #93847)

     * The Command-V keyboard shortcut on macOS returned an
       error indicating that a paste-row operation was
       attempted, rather than the single-value paste used to
       edit a field within the result grid following a
       successful query. (Bug #29137004, Bug #93710)

     * Executing a function or stored procedure caused an
       unexpected program shutdown on Linux hosts. (Bug
       #29134435)

     * The SQL beautifier feature produced no change when it was
       executed within the Triggers tab of the table editor.
       (Bug #29133592)

     * The table inspector did not start properly and produced
       an error on macOS when it was selected from the context
       menu of a valid table within the Schema tab. (Bug
       #29128333)

     * An exception was generated when the results of a query
       was toggled between visual explain and tubular explain
       formats within the Execution Plan tab. (Bug #29121364)

     * A user account that was deleted properly from Users and
       Privileges remained visible until the Administration tab
       closed and reopened. (Bug #29061678)

     * New tables added to the canvas of an EER diagram
       displayed the table name bar only, without columns, when
       the table tool (Place a New Table) from the vertical
       toolbar was used to add each table. (Bug #29056873)

     * Records imported from an external file, such as a CSV
       file, generated an exception when the operation was
       attempted from a macOS host. (Bug #29048933)

     * Each step shown in MySQL Workbench Migration Wizard was
       masked and unreadable while the individual operation
       executed. This fix modifies the contrast between the text
       of the current step and the box used to highlight it.
       (Bug #29048871)

     * On Windows 10, the scroll wheel (or mouse wheel) did not
       respond when used to scroll in any on-screen area with a
       scroll bar. (Bug #29035906, Bug #93541)

     * Some keyboard shortcuts, such as Command-C, did not work
       within the SQL and model editors on macOS 10.14 hosts.
       (Bug #29034285, Bug #93186)

     * Rather than generating a warning or error when it
       detected an unknown SSH option in the ~/.ssh/config file,
       MySQL Workbench became unresponsive. (Bug #29016708, Bug
       #92972)

     * The column-statistics option (Advanced Options) was
       selected by default in the Administration - Data Export
       tab, which prevented the successful export of databases
       from the 5.6 and 5.7 servers. (Bug #28918423, Bug #92928)

     * The SQL editor and the Alter Table operation both
       reported errors on indexes with valid functional key
       parts and on expressions that were used as default
       values. (Bug #28832740, Bug #92908, Bug #28831069, Bug
       #92900)

     * The actions selected from the history-palette context
       menu did not produce any results. (Bug #28721233)

     * The code auto-completion feature in the query editor did
       not provide the expected behavior. (Bug #28443700, Bug
       #91859)

     * The Close Other Tabs action closed all tabs in the SQL
       editor when it was selected from the context menu of the
       New table - table tab. (Bug #28257404)

     * MySQL Workbench stopped working on Linux hosts after a
       long period of use that included adding new tables to an
       existing model. (Bug #28257141)

     * With a set of objects selected to import from the dump
       project folder, only the first object of the set was
       shown in the Schema Objects list, instead of all selected
       objects. In addition, the first object was repeated
       multiple times in the list. (Bug #28222744)

     * MySQL Workbench was unable to start a session to the
       server on MacOS hosts until a successful login was
       performed at the command line first. (Bug #28165625)

     * Some keyboard shortcuts were unsuccessful when used
       properly. (Bug #28108104, Bug #91090)

     * A valid query using an appropriate server version for
       window functions displayed a syntax error at the opening
       parenthesis of the first OVER clause in the query editor.
       (Bug #27922827, Bug #90620)

     * The template that was generated for a table of a model
       did not include type values within the Datatype column.
       (Bug #27025456)

     * Items listed within the Schemas tab were not visible when
       selected on Linux. (Bug #26579157, Bug #87321)

     * The test-connection action in older versions caused MySQL
       Workbench to stop working when it was used to test
       standard TCP/IP over SSH connections during the initial
       setup. (Bug #21144432)

     * A warning was generated during attempts to migrate source
       tables from Microsoft SQL Server with a valid ODBC driver
       if a column name included unrecognized characters. The
       reverse engineering operation reported that an impacted
       table had no column attributes, and the migration stopped
       with errors later in the process. (Bug #18109616, Bug
       #71336)

     * The operation to check for MySQL Workbench updates (from
       Help) returned an error when used behind a proxy server
       with authentication. (Bug #13864621, Bug #64308)

Changes in MySQL Workbench 8.0.15 (2019-02-01, General
Availability)

   This release contains no functional changes and is published
   to align version number with the MySQL Server 8.0.15 release.

Changes in MySQL Workbench 8.0.14 (2019-01-21, General
Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The following new functions were added to the Workbench
       GRT module:

          + activateDiagram(<Diagram>)
            Opens the selected EER diagram for use with the
            exportPNG, exportSVG, exportPS, and exportPDF
            functions.

          + exportDiagramToPng(<Diagram>, <path>)
            Performs a PNG export of an EER diagram to the path
            provided without activating it.
       (Bug #28853802, Bug #92985)

     * MySQL Workbench now supports macOS 10.14 Mojave,
       including full compatibility with the Dark Mode color
       scheme. (Bug #28831956, Bug #92902)

     * The Adv. Find tab operation that searched an open EER
       diagram by database objects only was removed. (Bug
       #28740047)

     * All editions of MySQL Workbench and the bundled libraries
       were upgraded to use OpenSSL 1.0.2q. (Bug #28695759)

     * Keyboard access was added to the home screen tab to
       enable navigation using the Tab and Enter keys. In
       addition, the screen view now scrolls to display a
       selected item if the item was off-screen when highlighted
       with the Tab key.
       On Windows and Linux hosts, the Application key and
       Ctrl+F10 now open a menu of commands (context menu)
       related to the selection.

     * Two redundant features were removed from all platforms:

          + The connection information pop-up sheet on the home
            screen tab
            Instead, open Manage Connections from the Database
            menu (or Edit Connection from the context menu of
            each connection) to view connection details.

          + The merge icon (two arrows pointing at each other)
            located in the Navigation area of the side panel
            Content from the Administration and Schemas tabs
            were merged or split when this icon was toggled.
            Now, the administration section links and schema
            tree appear in separate tabs only.

Bugs Fixed


     * Valid decimal data within a Microsoft SQL Server table
       generated an error when used with MySQL Workbench
       Migration Wizard. (Bug #28962023, Bug #93293)

     * The InnoDB status shown within the Administration -
       Dashboard tab displayed the wrong usage percent. (Bug
       #28919419)

     * A conflicting dependency was removed that prevented the
       mysql-connector-c++-devel package installation when MySQL
       Workbench was installed first. (Bug #28915929, Bug
       #93172)

     * The on-screen process of editing a stored procedure did
       not prompt to save the changes. (Bug #28880743, Bug
       #93068)

     * A new table added to an existing model caused MySQL
       Workbench to stop working. (Bug #28879925, Bug #93067)

     * The alter-table operation when applied to partitioned
       tables on Windows caused MySQL Workbench to stop working.
       (Bug #28856542, Bug #92990)

     * Characters from Cyrillic character sets when included in
       the path to SSH key files caused valid connection
       attempts to fail without producing a clear error message.
       These characters now are permitted within the path. (Bug
       #28814329, Bug #92847)

     * Connections made to a remote MySQL server over SSH did
       not recover properly after the network was interrupted
       temporarily. (Bug #28806660, Bug #90884)

     * New accounts created to use standard authentication were
       instead created to require strong password encryption
       when the default_authentication_plugin server system
       variable was configured with the caching_sha2_password
       value. (Bug #28777856, Bug #92740)

     * The default user name, newuser, was not accepted when it
       was used to create a new account. (Bug #28776902, Bug
       #92738)

     * The operation to migrate a Microsoft SQL Server schema
       produced an error when it encountered problematic tables
       during the reverse-engineering step. (Bug #28747888, Bug
       #92659)

     * A table editor tab that was opened by clicking the table
       icon from within the sidebar (Schemas tab) displayed the
       correct SELECT * FROM query and results, but the query
       text did not line up along the left margin as expected.
       (Bug #28730407)

     * Context-menu actions (New Tab, Save Tab, or Copy Path to
       Clipboard) when applied to an open SQL editor tab caused
       the tab to close unexpectedly on Linux. (Bug #28721377)

     * The color used to highlight a query in the SQL editor was
       the same color used for the text, which made the selected
       query appear to be missing when it was highlighted. (Bug
       #28691256, Bug #92535, Bug #28715080)

     * The Report a Bug action from the Help menu returned an
       error instead of opening the MySQL bug database on macOS
       systems. (Bug #28612380, Bug #92327)

     * The last file selected from a previous directory during
       any browse operation was carried over after navigating to
       a new directory and without selecting a new file from the
       directory. Files now must be selected explicitly within
       the browse dialog box. (Bug #28608962, Bug #92104)

     * Some columns within a Microsoft SQL Server database table
       were not migrated as expected. The operation returned an
       error when copying mixed data types. (Bug #27838190, Bug
       #84777)

     * Multiple SQL queries executed sequentially in separate
       tabs did not resolve as expected on Windows. The first
       query ran to completion, but the tab would not close. The
       second query never finished. Thereafter, no additional
       queries could run and the program would not exit. (Bug
       #25965655, Bug #86090)

     * The Migration Wizard was unable to retrieve a schema list
       from source when the source RDBMS was Microsoft SQL
       Server and a valid FreeTDS driver (required by Linux) was
       provided. (Bug #25457611)

     * No context help was displayed with a view or stored
       procedure in the SQL editor. (Bug #24697574)

Changes in MySQL Workbench 8.0.13 (2018-10-22, General
Availability)


     * Server Support

     * Functionality Added or Changed

     * Bugs Fixed

Server Support


     * Support for MySQL 5.5 by MySQL Workbench 8.0 was removed.
       If you still need to use MySQL Workbench on a MySQL 5.5
       server, you can use MySQL Workbench 6.3, which is
       available from MySQL Product Archives (see
       https://downloads.mysql.com/archives/workbench/).

Functionality Added or Changed


     * MySQL Workbench on macOS 10.14 Mojave was tested with
       positive results. The new Dark Mode feature is not yet
       compatible with all screens and should not be enabled for
       this release.

Bugs Fixed


     * With valid geometry points inserted, the option to open
       the points in a browser failed on macOS hosts because the
       URL was improperly formed. (Bug #28587193, Bug #92266)

     * An apostrophe character (') within a table comment
       generated a parsing error when an attempt was made to
       alter the table. (Bug #28552873, Bug #92191)

     * Insufficient privilege was granted during the attempt to
       create a new MySQL Enterprise Backup user account.
       Although valid prerequisite backup information was
       provided, the validation script returned the following
       error message: Access denied for backup account. (Bug
       #28536272, Bug #92115)

     * When remote management with SSH was enabled, attempting
       to insert the required passwords in the Options file
       produced an error message. After the error was closed,
       the Administration tab became unresponsive and MySQL
       Workbench did not shut down properly. (Bug #28519087, Bug
       #92061)

     * An error with the following message was generated when
       the export operation was executed on tables from an
       earlier server version: Unknown table 'COLUMN_STATISTICS'
       in information_schema (1109).
       Because the version of mysqldump used with the operation
       can differ from that of the target server, some features
       may not be exported as expected when the versions are
       mismatched. A warning message now provides a description
       of the condition, along with instructions to resolve the
       version mismatch, or the option to continue anyway. (Bug
       #28471433, Bug #91640)

     * On Windows hosts, the history of scheduled MySQL
       Enterprise Backup jobs was not persisted in the dashboard
       between MySQL Workbench sessions. This fix eliminates the
       issue; however, the existing mysqlwbmeb.vbs file must be
       removed before scheduling new backup jobs. (Bug
       #28430457)

     * The default target version of MySQL to use with MySQL
       Workbench models was set to MySQL 5.6.30 and did not
       increment automatically. With this fix, the value now
       defaults to the latest version. The default target
       version can also be set manually (see Preferences:
       Modeling: MySQL
       (https://dev.mysql.com/doc/workbench/en/wb-preferences-mo
       deling.html#wb-preferences-modeling-mysql)). (Bug
       #28397515, Bug #91782)

     * Executing queries over an period of time caused the
       existing result grid in each query tab to be hidden when
       the grid was previously visible and prevented the results
       grid in new tabs from showing. (Bug #28361489, Bug
       #91265)

     * After copying a query into a second query editor,
       auto-completion did not display the related column names.
       Instead, when auto-completion was engaged, MySQL
       Workbench stopped working. (Bug #28312867, Bug #91559)

     * The operation to compare schemas did not appear in the
       menu after a valid model was opened on Linux hosts. (Bug
       #28249454)

     * The filter arrows that select objects for forward or
       reverse engineering within wizards generated an error
       instead of moving the objects as expected. (Bug
       #26435349, Bug #26922638, Bug #87980, Bug #25921645, Bug
       #86013, Bug #25852505, Bug #85837, Bug #25741519, Bug
       #85522)

     * Schema privileges in the Administration - Users and
       Privileges tab (Object Rights, DDL Rights, and Other
       Rights) were not visible with all screen resolutions.
       (Bug #25584920, Bug #85079)

     * The color used to highlight a selected item in the schema
       tree view did not provide enough contrast from the
       background color to distinguish it from the other items
       easily. The new highlight color makes it easy to see
       which item is selected. (Bug #25456216)

Changes in MySQL Workbench 8.0.12 (2018-07-27, General
Availability)

   Known limitation of this release: Importing spatial data into
   a MySQL 8.0 server does not work currently, due to an
   outstanding library update. Older versions of the server are
   not affected.

     * Installation Notes

     * Functionality Added or Changed

     * Bugs Fixed

Installation Notes


     * Because the Microsoft Visual C++ 2017 Redistributable
       installer deletes the Microsoft Visual C++ 2015
       Redistributable registry keys that identify its
       installation, standalone MySQL MSIs may fail to detect
       the Microsoft Visual C++ 2015 Redistributable if both it
       and the Microsoft Visual C++ 2017 Redistributable are
       installed. The solution is to repair the Microsoft Visual
       C++ 2017 Redistributable via the Windows Control Panel to
       recreate the registry keys needed for the runtime
       detection. Unlike the standalone MSIs, MySQL Installer
       for Windows contains a workaround for the detection
       problem. (Bug #28345281, Bug #91542)

Functionality Added or Changed


     * Important Change: MySQL model files last saved before
       MySQL Workbench 6.3 are no longer supported unless the
       models can be upgraded for use with the 6.3 release
       series.

     * All editions of MySQL Workbench and the bundled libraries
       were upgraded to use OpenSSL 1.0.2o. (Bug #27829782, Bug
       #28326884)

     * libgnome-keyring was depreciated and replaced with
       libsecret in this release on Linux platforms. Some users
       with existing stored passwords will be prompted to enter
       a password after upgrading. (Bug #27635281, Bug #89898,
       Bug #20291538, Bug #75345)

     * SSH tunneling support was added to MySQL Workbench
       Migration Wizard and also to the wbcopytables
       command-line utility for copying data. (Bug #27556268,
       Bug #89671)

     * Performing multiple data export operations while the
       Administration - Data Export tab stays open now preserves
       custom file paths, rather than switching to the default
       paths for re-export operations. Exported files are
       automatically renamed with an incremental numeric suffix
       to enable repeated export.
       In addition, a new dialog box prompts for confirmation
       before overwriting an existing exported file when the
       same path and file names are reused. (Bug #27029840)

     * OGRFree() was deprecated and replaced with CPLFree().
       Thanks to Christian Hesse for the patch. (Bug #26086599,
       Bug #86339)

     * The SWIG prerequisite listed in the INSTALL document
       provided with source distributions was updated to the
       latest version. (Bug #25811732, Bug #85717)

     * Support for the --incremental-with-redo-log-only option
       was added to create backups directly from the redo log.
       (Bug #24960233)

     * The option to skip secure authorization is no longer
       available in the advanced options that apply to data
       import and export operations. The --skip-secure-auth
       option was removed in the MySQL 5.7 release. (Bug
       #21697062, Bug #78060)

     * The character set and collation pairings available after
       selecting Create a new schema in the connected server
       (from the main toolbar) now are sorted alphabetically in
       lists. (Bug #21681041, Bug #78079)

     * A new SQL export option in the Forward Engineering SQL
       Script wizard sorts tables alphabetically in the
       generated script, rather than sorting tables according to
       foreign-key references by default. (Bug #18551598, Bug
       #72289)

     * MySQL Workbench now supports the Chinese character set
       gb18030. (Bug #18547307)

     * The SQL editor supports online renaming of indexes with
       the ALTER TABLE statement. For example:
ALTER TABLE `sakila`.`actor` RENAME INDEX `idx_actor_last_name` TO `id
x_actor_last_xxxx`;

       (Bug #18547288)

     * MySQL Workbench now uses utf8mb4 as the connection and
       client character set, replacing utf8mb3.

Bugs Fixed


     * Some of the controls and data were not shown within the
       Administration-Users and Privileges tab. (Bug #28246905,
       Bug #91414)

     * An attempt to add a column to an existing multicolumn
       index (primary key) of a table caused MySQL Workbench to
       stop working. (Bug #28244024, Bug #91371)

     * On Windows platforms, pasting valid content into the SQL
       editor was followed by the operating system becoming
       unresponsive. (Bug #28184916, Bug #91249)

     * A query containing SELECT COUNT(*) FROM DUAL, when saved
       to a script file and then opened, caused MySQL Workbench
       to exit. (Bug #28101684, Bug #91070)

     * With auto-completion enabled, defining a custom variable
       within a subquery caused an unexpected exit. (Bug
       #28040983, Bug #90915)

     * With an active MySQL 8.0.11 server connection, MySQL
       Workbench displayed an error message when a valid attempt
       was made to open Performance Reports or Performance
       Schema Setup. (Bug #28034685, Bug #90889)

     * Attempting to open a new query tab from the home screen
       (File, New Query Tab from the menu) returned an error
       message and closed MySQL Workbench. (Bug #28032431, Bug
       #90885, Bug #27781092)

     * The binlog-format option was not listed as expected
       within the Administration - Options File tab. (Bug
       #28008041)

     * When Alter Stored Procedure was selected from the context
       menu, MySQL Workbench stopped working. (Bug #28006985,
       Bug #90830, Bug #23259608, Bug #81334)

     * The advanced option, $internal$show-internal-schemas,
       within the Administration - Data Export tab did not
       expose internal schemas as expected. (Bug #27938719, Bug
       #90665)

     * MySQL Workbench stopped working when the CHANGE MASTER TO
       statement was typed directly into the SQL editor,
       followed by options. (Bug #27910024, Bug #90568)

     * A stored procedure without a parameter direction (IN or
       OUT) caused MySQL Workbench to exit when it attempted to
       create or alter the procedure. (Bug #27908753, Bug
       #90555)

     * The source-database connection password used to
       reverse-engineer a database was not requested and the
       connection failed if the password was not stored in the
       vault. (Bug #27882813)

     * With SSH enabled, all new connections were made to the
       same MySQL server instance, regardless of the port number
       specified. (Bug #27882278)

     * The operation that synchronizes tables with the MySQL
       database produced an error message when an existing
       column was moved to a position after a newly added
       column. This fix ensures that ADD COLUMN always precedes
       CHANGE COLUMN within the script when both are used
       together. (Bug #27871632, Bug #90459)

     * The table editor did not apply any changes made in the
       order of an index to the generated ALTER TABLE statement.
       (Bug #27868813)

     * Snippet execution finished with an error when the
       scripting shell was used. (Bug #27746883)

     * An unclear error message was displayed during the
       table-export operation when the file path was invalid or
       left empty. (Bug #27746585)

     * The shell script for copying bulk data was not generated
       as expected. Instead, an error message was displayed.
       (Bug #27745372)

     * Setting a valid command-line path for remote-server
       access using SSH tunneling in MySQL Enterprise Backup (on
       Linux) caused the validation step to fail when both the
       SSH and sudo users were the same. (Bug #27745200)

     * MySQL Workbench model files (.mwb) did not open as
       expected when double-clicked from File Explorer on
       Windows platforms. (Bug #27739848)

     * MySQL Workbench editors displayed text from the standard
       exception in the action output, rather than using an
       error message when SQL syntax errors were discovered.
       (Bug #27730102)

     * Two terminals opened when Start Command Line Client was
       selected from the context menu on the home screen
       (right-click an existing MySQL connection). (Bug
       #27721918)

     * Text objects when double-clicked within an EER diagram
       caused MySQL Workbench to stop working. (Bug #27711642,
       Bug #90119)

     * The shell script created during the Data Transfer Setup
       step of the migration process from a MySQL local
       connection to a MySQL SSH connection produced errors that
       prevented the copying of data from outside MySQL
       Workbench. (Bug #27670242)

     * Modifying the column order within an existing index on a
       table caused MySQL Workbench to exit unexpectedly. (Bug
       #27627986, Bug #89886)

     * The Audit Inspector cache process failed when the
       connection was within a group. (Bug #27567546)

     * When using the 'OmitSchemata':1 parameter in a Python
       script to generate a schema from an .mwb file
       automatically, the resulting SQL script still included
       the schema in each table name. This fix introduces the
       OmitSchemas option, which replaces both the UseShortNames
       and OmitSchemata options, to eliminate the schema name as
       expected. (Bug #27557537, Bug #84390)

     * The work area within an EER diagram was hidden after
       double-clicking one of the table objects to open the
       table editor. (Bug #27436624)

     * When two schemas were compared with Synchronize Models
       (from the Database menu), differences were reported
       consistently for stored procedures and functions even
       though the compared items were identical. (Bug #27436115,
       Bug #82151)

     * An existing MySQL model file, when selected from the home
       screen, generated an error (Error unserializing GRT data
       string too long) and did not open. (Bug #27420297, Bug
       #89257)

     * The sidebar panel of the EER diagram editor was cut off,
       making the leftmost subtabs inaccessible and forcing the
       diagram-zoom area to shift to the right. (Bug #27330971,
       Bug #89072)

     * An incorrect INSERT statement was generated when a value
       was inserted into a BIT column. This fix now prefixes all
       BIT data-type values with the character b (for example:
       b'0'). (Bug #27320396, Bug #89068)

     * When using the Reverse Engineer Database wizard, the
       objects selected during the Select Objects step could not
       then be deselected. (Bug #27319905, Bug #89064)

     * Column-collation changes, when made using the table
       editor, could not be applied. Instead, a message
       indicating that no changes were detected was displayed.
       (Bug #27297634, Bug #88985)

     * The tls_version option was not listed as expected within
       the Administration - Options File tab. (Bug #27272808,
       Bug #87964)

     * Syntax errors typed into the SQL editor are highlighted
       and each one can provide usage information within a
       tooltip while the pointer device hovers over the error.
       On hosts running macOS, the tooltip remained visible when
       the pointer device was moved off the highlighted error.
       (Bug #27255488)

     * When only one role in a model was assigned to a user
       account, the role could not be removed. (Bug #27054771)

     * Right-clicking within a new or existing script file that
       was opened with the Workbench Scripting Shell did not
       display the context menu as expected. (Bug #27037750)

     * The edit dialog box did not open when an existing snippet
       from SQL Additions was double-clicked. (Bug #27036975)

     * The on-screen progress of a full backup operation never
       changed from Starting. The correct progress was indicated
       in the log. (Bug #27011013)

     * Creating an MySQL model from a script, with the imported
       objects added to a diagram, caused MySQL Workbench to
       exit. (Bug #27010684)

     * The version of gtkmm30 that shipped with Red Hat
       Enterprise Linux 7.4 was incompatible with the version
       that MySQL Workbench compiled against. The version
       mismatch caused MySQL Workbench to close unexpectedly.
       (Bug #26797891, Bug #26705113, Bug #87380)

     * Catalog objects for an EER diagram were not listed,
       although the tables were visible in the diagram. (Bug
       #26747931, Bug #87662)

     * The JSON tab of the Edit Data for Value dialog box
       displayed large column values as negative numbers when
       the numbers were positive. (Bug #26741970, Bug #87646)

     * Some on-screen text within Workbench Preferences (Fonts &
       Colors) wrapped around to new lines rather than filling
       the open space on the same line. (Bug #26448300, Bug
       #85961)

     * The filter arrows that select objects for forward or
       reverse engineering within wizards generated an error
       instead of moving the objects as expected. (Bug
       #26435349, Bug #26922638, Bug #87980, Bug #25921645, Bug
       #86013, Bug #25852505, Bug #85837, Bug #25741519, Bug
       #85522)

     * The SQL editor returned an error when valid characters
       were used with the utf8mb4 character set. (Bug #26142347,
       Bug #86454)

     * An error was reported during an attempt to back up
       encrypted tables using MySQL Enterprise Backup. This fix
       introduces the Encrypt Password option in the Options
       subtab for a new job within the Administration - Online
       Backup tab. Setting an encryption password is required to
       perform backup and restore operations on encrypted
       tables. (Bug #26135245)

     * With multiple connection tabs opened, selecting Close All
       But This from the context menu (right-click a connection
       tab) closed tabs at random. (Bug #25983146, Bug #86144)

     * Attempting to alter a table in MySQL Workbench produced
       an error message when the table was previously altered
       using a command-line client with the ENCRYPTION option
       set to Y or N. (Bug #25929075, Bug #86021)

     * When synchronizing a model with a database, none of the
       buttons for the Select Changes to Apply step were
       visible. In addition, some frames and options were
       hidden. (Bug #25906359, Bug #85963, Bug #25527078, Bug
       #84924, Bug #25747524, Bug #85500, Bug #26128307, Bug
       #86426)

     * Time stamps representing the elapsed time of backup
       operations were miscalculated. (Bug #25820146, Bug
       #85764)

     * Long comments in tables were truncated with too few
       characters when pasted into the SQL editor after using
       Copy SQL to Clipboard from the context menu within an EER
       diagram or the MySQL Model tab. This fix extends the
       threshold. (Bug #25760721, Bug #85568)

     * The attribute in source code that set the program name
       ('MySQLWorkbench') was omitted from Unix and Linux
       distributions. Thanks to Daniël van Eeden for
       contributing to the fix. (Bug #25725077, Bug #85460)

     * Double-clicking areas within the spatial view caused
       MySQL Workbench to become unresponsive. (Bug #25723306,
       Bug #85443)

     * The height and width of object-selection lists within the
       Administration - Data Export tab were improperly
       proportioned for the content of the lists and could not
       be resized. A scroll bar now enables access to all listed
       objects. (Bug #25716077, Bug #85308)

     * A message displayed during the startup sequence indicated
       that some valid operating systems were unsupported. For
       current platform information, see
       https://www.mysql.com/support/supportedplatforms/workbenc
       h.html. (Bug #25602334, Bug #85087)

     * A model exported as an SQL script could not be saved to
       disk when using either the Forward Engineer to Database
       or the Synchronize With Any Source wizard. (Bug
       #25569529, Bug #85030)

     * The buttons associated with renaming a diagram (OK and
       Cancel) were partially concealed. (Bug #25557678, Bug
       #85011)

     * The progress bar and Abort button were partially
       concealed on the screen when changes were being applied
       to stored procedures. (Bug #25532963, Bug #84927)

     * Each connection to an incompatible or nonstandard server
       opened a dialog box with a valid warning, but without an
       option to suppress the warning for subsequent
       connections. Thanks to Christian Hesse for the patch.
       (Bug #25519446, Bug #84885)

     * A connection made with an improper file did not return an
       SSL error as expected when the connection was tested.
       (Bug #25517237)

     * An explicit collation set on a column was reverted to the
       default collation each time the column specification was
       modified with the table editor. (Bug #25504264, Bug
       #84815)

     * The process running MySQL Workbench did not end on exit.
       (Bug #25496663)

     * MySQL Workbench Migration Wizard returned an error
       message after failing to get a row count from source
       tables, which caused the wbcopytables utility to exit.
       (Bug #25496622)

     * Starting MySQL Workbench from the command line was
       unsuccessful on hosts running the Fedora 25 operating
       system. (Bug #25495120)

     * Custom settings made before executing the data export
       operation were not persisted if the operation was
       executed again (by clicking Start Export a second time).
       Instead, the custom settings were discarded and replaced
       by the default settings. (Bug #25488234)

     * Overlapping text boxes covered the full name entered for
       the Create a New Table option within the Select
       Destination step of the Table Data Import Wizard. (Bug
       #25476103)

     * The Copy and Copy Details operations from the Server Logs
       context menu (right-click a row in the log) were swapped.
       The Copy operation copied the details and the Copy
       Details operation performed a simple copy. (Bug
       #25469694)

     * The Copy as PHP Code (Iterate SELECT Results) command
       (select Tools and then Utilities from the menu) was
       unexpectedly disabled for valid query results. (Bug
       #25466399)

     * On Linux platforms, right-clicking Tables within the
       Catalog Tree for a valid EER diagram displayed an empty
       context menu. This fix minimizes the size of the empty
       menu. (Bug #25463963)

     * Exporting a schema from the Administration - Data Export
       tab returned an error when the server was configured for
       use within an InnoDB Cluster. (Bug #25444837)

     * After maximizing and then reducing MySQL Workbench, some
       screen options were improperly sized or no longer visible
       on Linux platforms. (Bug #25415064)

     * The set of default target schemas available to choose
       from within the Administration - Data Import/Restore tab
       showed each schema listed twice on Windows platforms.
       (Bug #25239261, Bug #84161)

     * The table editor did not display generated columns within
       a user-defined table and the Alter Table operation
       returned an error message when an attempt was made to
       modify any of the nonvisible columns. (Bug #25209591, Bug
       #84078)

     * An error message was returned when an attempt was made to
       inspect a partitioned table using either the information
       icon or the context menu. (Bug #24973171, Bug #83605)

     * A single MySQL connection tab could not be closed unless
       a second connection tab was opened first. (Bug #24751859,
       Bug #83194)

     * With a connection made to a remote MySQL server, some
       context-menu functionality stopped working. For example,
       right-clicking a valid stored procedure from the Schemas
       list and selecting Alter Stored Procedure or Create
       Stored Procedure did not open a tab in the editor as
       expected. (Bug #24506578, Bug #82659)

     * On occasion, using sudo with a valid password to open a
       log file produced an exception. (Bug #24297921)

     * A variety of error messages were returned when attempts
       were made to open the Output panel (or when using Help,
       System Info from the menu) with older versions of MySQL
       Workbench. System Info was removed from the menu. (Bug
       #23584746)

     * The print-preview operation (File, Print Preview from the
       menu) did not work, or return an error message, on some
       Linux platforms. (Bug #23467065)

     * Executing separate queries (each in its own connection
       tab) caused MySQL Workbench to exit. (Bug #23305283, Bug
       #81480)

     * The PROJ.4 library (libproj) was not found, which
       prevented the initialization of Spatial Viewer. (Bug
       #22931452, Bug #80710)

     * A model diagram could not be reduced in size by clicking
       to the grid or by adjusting its value with the input
       controls. Attempts to reduce the size made the diagram
       larger. (Bug #22929861, Bug #80730)

     * Read-only tables, such as those having an index but no
       primary key, could be selected for update. However, the
       invalid update operation caused MySQL Workbench to become
       unresponsive before the operation finished. (Bug
       #22735577, Bug #80378)

     * An active connection to MySQL server was closed
       unexpectedly with the DBMS connection read time out (in
       seconds) preference option set to zero, which should keep
       the connection open. (Bug #22618750, Bug #80188)

     * Performance Schema instrumentation was not reset from the
       dashboard on Windows, even though confirmation of the
       change was provided. (Bug #22557320, Bug #80021)

     * When using the keyboard shortcut to comment selected
       lines within the SQL editor and with the cursor wrapped
       around to the beginning of the next line, the entire
       unselected next line was also commented. (Bug #22282406,
       Bug #77143)

     * A second view was created unexpectedly when an existing
       view was renamed using ALTER VIEW syntax. (Bug #22170451,
       Bug #79176)

     * An error message (Operation failed with exitcode 7) was
       generated during the dump operation when an attempt was
       made to export data running on a remote server. (Bug
       #22093554, Bug #78937)

     * The MySQL Server start and stop management operations
       generated unhandled exceptions. (Bug #21861171)

     * Stored procedures, when added to a model and synchronized
       with a database, were not listed in the Navigator area of
       the sidebar panel. New functions were not represented in
       the Catalog Tree after synchronization, although each
       function did appear in the Navigator area and in source.
       (Bug #21443566, Bug #76368)

     * Tabs separating multiple schemas within the Physical
       Schemas area of the MySQL Model tab were not visible.
       (Bug #21356922, Bug #77451)

     * The on-screen description of the myisam-repair-threads
       system variable was incomplete. It now indicates that the
       (default) value of 1 disables parallel repair (see the
       MyISAM tab in Administration - Option File). (Bug
       #20667496, Bug #76200)

     * Unexpected differences were displayed after using the
       Forward Engineer to Database wizard and then
       synchronizing the model and database. (Bug #20631631)

     * The keyboard shortcut to open the Find and Replace dialog
       box (or Edit, Replace from the menu) did not work from
       within the Workbench Scripting Shell. (Bug #20630325)

     * When importing data from a CSV file, some rows of data
       were not shown until Apply was clicked. This fix replaces
       the import functionality with a wizard. All rows now
       display correctly in the Configure Import Settings step
       of the Table Data Import wizard. Note that when no column
       header is provided, the first row of data is used as the
       header. (Bug #20630193)

     * The template supplied for the Create a Table Like
       operation (right-click Tables within the schema tree) was
       not complete enough to use without custom modifications.
       (Bug #20578595)

     * The wb.log file did not rotate to a new file (for
       example, wb.log to wb.1.log) as expected on startup. In
       addition, all queries were written to the
       sql_actions_unconnected.log file, instead of to an
       individual log file for each connection. (Bug #20356293,
       Bug #75496)

     * The Zoom + icon in the spatial view toolbar produced
       deteriorating resolution as an image was enlarged. For
       better results, use the Zoom to area icon to recompute a
       portion of the whole shape, instead of simply magnifying
       the visible area with the Zoom + tool. (Bug #20279644,
       Bug #75318)

     * A newly created SSH connection could not be used to
       synchronize a model with a MySQL database. (Bug
       #20144296, Bug #75102)

     * Expired root passwords were not supported by MySQL
       Workbench and could not be changed during the first
       attempt to make a connection to the server where the
       password was expired. (Bug #19654005)

     * Keywords in stored procedures and triggers were not
       highlighted consistently within the SQL editor and code
       blocks with keywords did not expand or collapse as
       expected. (Bug #19000092, Bug #72677)

     * Selecting Server and then Backup Recovery from the menu
       generated an unhandled exception when the server was
       stopped. (Bug #18492268)

     * Returned rows of a column in the result grid did not
       reliably sort by ascending and descending order when the
       column label was clicked. (Bug #18454325)

     * The Delete key did not function within EER diagrams. (Bug
       #18445600)

     * With both a MySQL model and EER diagram open, pressing
       the Ctrl+W keyboard shortcut twice closed the diagram,
       but not the model file. (Bug #18445598)

     * On Linux platforms before the home screen was redesigned,
       attempting to drag and drop a connection from within a
       group caused the group to move instead of the connection.
       (Bug #18445563)

     * When editing an EER diagram, the icons within the editor
       overlapped on Linux platforms. (Bug #18426867)

     * Schema transfer and migration operations did not support
       SSH connections and produced error messages when the
       operations were attempted. (Bug #18138798, Bug #71295)

     * The Use defaults from global settings model option
       (Model, Model Options from the menu in the MySQL Model
       tab) when selected did not override the target MySQL
       version (set in Model Options) with the default target
       version (set in Workbench Preferences). (Bug #18130160,
       Bug #71429)

     * Attempting to edit a corrupted MySQL model (.mwb) file
       resulted in an unpredicted shutdown. (Bug #17456147, Bug
       #70334)

     * The Save and Save As dialog boxes did not show the file
       type of a model or SQL script. (Bug #17300401)

     * On macOS platforms, the database-migration operation
       returned various error messages when an attempt was made
       to migrate valid data into MySQL. (Bug #17299915, Bug
       #17299925, Bug #17408230)

     * Selecting multiple objects (tables, views, and so on) in
       a model, and then deleting all of them at once, removed
       only the first object from the model. (Bug #14821928, Bug
       #67214)

     * When an output message in the Action Area panel consisted
       of multiple lines, only the first line was visible. This
       fix provides an information box that appears briefly when
       a pointer device hovers over the truncated message. (Bug
       #14802567, Bug #66988)

     * The Workbench Scripting Shell window on hosts running the
       GNOME Shell lacked the controls to resize or close the
       window. (Bug #14768677, Bug #66810)

     * The context menus associated with tables in the schema
       tree did not function when the schema list was filtered.
       (Bug #14690217, Bug #67001)

     * The combination of Ubuntu with language-pack-tr and
       LANG=tr_TR.UTF-8 produced an error message when columns
       of type INT were parsed during operations that altered
       existing tables. (Bug #13971992, Bug #63872)

     * Chinese characters in the file path of an existing MySQL
       model were misrepresented and rendered the file
       inaccessible. (Bug #11757843, Bug #49950)

     * EER diagrams with long names wrapped around to a second
       line in the Model Overview area and were not fully
       visible when the host was Microsoft Windows. This fix
       inserts a vertical scroll bar into the Model Overview to
       accommodate long names. (Bug #11749931, Bug #40103)

Changes in MySQL Workbench 8.0.11 (2018-04-19, Release Candidate)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Visual SQL editor: The context help has been enhanced to
       eliminate the requirement of having a valid MySQL
       connection to view the help topics. In addition, the help
       content now can be updated with each release of MySQL
       Workbench and the formatting of help topics has been
       improved. (Bug #25918509)

     * Microsoft .NET Framework version 4.5 replaced version
       4.5.2 as the minimum requirement for installing MySQL
       Workbench with MySQL Installer. (Bug #25837944)

     * All links to MySQL and Oracle web pages from within MySQL
       Workbench now use the HTTPS protocol. (Bug #25531365)

     * Geometry fields displayed in the result grid now include
       a context-menu item that opens the geometry point in a
       browser. The selected point opens in openstreetmap.org by
       default, but the URL is configurable. (Bug #25517676)

     * The MySQL Workbench prerequisites web page was updated to
       include links to the latest Microsoft downloads. (Bug
       #25408896, Bug #25840902, Bug #85820)

     * Character sets and collations are now rendered
       consistently across connections, models, and all editors
       (schema, table, and column). (Bug #18665011, Bug #72460)

     * The SSH Connect Timeout preference now can be configured,
       whereas in previous versions, this preference was set
       statically to 10 seconds. (Bug #18663250)

     * The following infrastructure changes were made:

          + ANTLR4 as the backend parser.

          + A new auto-completion engine that works with object
            editors (triggers, views, stored procedures, and
            functions) in the visual SQL editor and in models.

          + Support for new language features in MySQL 8.0, such
            as common-table expressions and roles.

          + Grammar updates that synchronize with the latest
            MySQL servers.

     * Platform support for Microsoft Windows Server 2016 was
       added.

     * Administration tabs were modified to include the latest
       configuration options available from servers up to and
       including the MySQL 8.0 release series.

     * MySQL Workbench now supports the caching_sha2_password
       authentication plugin introduced in MySQL 8.0 (see
       Caching SHA-2 Pluggable Authentication
       (https://dev.mysql.com/doc/refman/8.0/en/caching-sha2-plu
       ggable-authentication.html)). A user account can be reset
       to use the other available authentication types for
       making a connection.

     * MySQL Workbench source code has been reformatted
       according to Google style.

     * MySQL Workbench now uses C++14 (replaces C++11 in
       6.3.10).

     * Support for invisible indexes was added for use when the
       active server supports the feature and the index is
       neither a primary key index nor a unique column (see
       Invisible Indexes
       (https://dev.mysql.com/doc/refman/8.0/en/invisible-indexe
       s.html)). A new option in the Indexes subtab of the table
       editor (for both the SQL and modeling editors) provides
       index visibility when it is selected.

     * MySQL Workbench now provides a simple way to enable or
       disable the persisted global system variable settings
       introduced in MySQL 8.0 (see SET Syntax for Variable
       Assignment
       (https://dev.mysql.com/doc/refman/8.0/en/set-variable.htm
       l)). For variables that can be persisted, a new check box
       enables configuration changes at runtime that also
       persist across server restarts, and applies the persisted
       value if one exists. Persistent system variables can be
       reset (to not persist) individually or collectively.

     * The layout and behavior of the graphical elements within
       all administration tabs now are consistent across the
       tabs. In addition, the sidebar Management secondary tab
       was renamed to Administration to match the title of the
       workspace tabs that open when accessing the operations
       listed in the Management, Instance, Performance, and
       MySQL Enterprise sections.

     * The SSH implementation based on Paramiko was replaced
       with the one based on libssh.

Bugs Fixed


     * Several tooltips within the Administration - Users and
       Privileges tab had inaccurate text that was corrected by
       this fix. (Bug #27392119, Bug #89256)

     * Columns of a table that followed a column containing a
       fractional seconds part did not appear within the tab
       opened by using Alter Table. (Bug #27314770, Bug #89053)

     * MySQL Workbench generated an error when the valid
       encryption instruction was improperly identified, but the
       query executed as expected. (Bug #27239353)

     * A differences report generated during the compare schemas
       operation for models could not be saved to a file. (Bug
       #27187659)

     * The on-screen buttons that enable saving a script to a
       file or copying it to the clipboard were missing from the
       review step of the forward-engineering operation on macOS
       hosts. (Bug #27162920, Bug #88612)

     * A UNION query with valid syntax produced an error
       message. (Bug #27113889, Bug #88456)

     * Some MySQL 8.0 keywords within a query were improperly
       identified as syntax errors. (Bug #27036620)

     * Importing a JSON document with the Table Data Import
       Wizard was unsuccessful. (Bug #27036381, Bug #25983728,
       Bug #86148)

     * Recorded rules were not found after the Mode option in
       the Firewall tab was properly configured for a valid user
       account. (Bug #27003240)

     * The manual editing step of the MySQL Migration wizard
       generated an exception when an object was selected for
       editing. (Bug #26986326)

     * The version of gtkmm30 that shipped with Red Hat
       Enterprise Linux 7.4 was incompatible with the version
       that MySQL Workbench compiled against. The version
       mismatch caused MySQL Workbench to close unexpectedly.
       (Bug #26797891, Bug #26705113, Bug #87380)

     * The DBDoc Model Reporting feature omitted comments from
       the detailed HTML report using frames when processing a
       model based on a database with valid table comments and
       the Include DDL code for Objects option selected.
       Generating the report also caused MySQL Workbench to exit
       unexpectedly. (Bug #26436291)

     * The Table Data Import wizard ignored the user's column
       selection and always generated tables containing the full
       set of columns. Deselected columns were populated with
       NULL values after the import operation. (Bug #26194914,
       Bug #86577)

     * When typing text in the search box related to an EER
       diagram, MySQL Workbench became unresponsive or exited
       unexpectedly. (Bug #26025177, Bug #86225, Bug #26678740,
       Bug #87522)

     * A table or stored procedure with the ENCRYPTION
       table-level option in the definition prevented Workbench
       from parsing the definition, regardless of whether or not
       encryption was actually enabled. (Bug #25961450, Bug
       #25447637)

     * The SQL editor did not highlight syntax errors in
       statements as expected. (Bug #25861352)

     * Workbench closed unexpectedly when the Compare and Report
       Differences in Catalogs wizard attempted to save the
       differences report to a file. (Bug #25860643)

     * With a default schema properly selected and with the
       Create View icon (from the menu bar in an active
       connection tab) selected to open a new_view - View tab, a
       valid statement returned errors and then dynamically
       appended _SYNTAX_ERROR to the view name. For example,
       new_view was changed to new_view_SYNTAX_ERROR. (Bug
       #25860621)

     * When a new procedure on a MySQL model was created, the
       parser incorrectly generated a syntax error. (Bug
       #25851441)

     * After restarting the server from MySQL Workbench and then
       attempting to refresh the server log from the
       Administration - Server Logs tab, an error message
       appeared indicating that a garbage packet was received.
       (Bug #25760560)

     * An error message appeared when MySQL Workbench was
       started that improperly identified the operating system
       as unsupported. (Bug #25736096)

     * The forward engineering wizard did not launch when the
       operation was selected from the MySQL Workbench menu on
       hosts running macOS. (Bug #25701117, Bug #85398)

     * Changes made to a view or stored procedure associated
       with a model were not detected after the model was
       synchronized without first closing or deselecting the
       editor. (Bug #25671681, Bug #85246)

     * Using Alter Stored Procedure from the context menu to
       rename a stored procedure did not remove the original
       stored procedure after renaming it. (Bug #25645222, Bug
       #85229)

     * Two program entries were created for MySQL Workbench
       6.3.9 on Windows when installed or upgraded with MySQL
       Installer. Only one of the programs listed in the Start,
       All Programs menu was a valid executable file. (Bug
       #25584877, Bug #85083)

     * All SQL options were missing during the SQL Export
       Options step of the Forward Engineering SQL Script wizard
       when a valid model was exported. (Bug #25559175, Bug
       #85012, Bug #25833972, Bug #84965)

     * Object rights, DDL rights, and other rights related to
       schema privileges set for a user account were not visible
       from the Administration - Users and Privileges tab on the
       Windows platform. (Bug #25527029, Bug #84923)

     * Labels and icons associated with the tables, views, and
       routines of an EER diagram were missing from within the
       Catalog tab. (Bug #25519411, Bug #84892)

     * The generated UPDATE statement was incorrect when the
       query included a row with a unique index, had multiple
       columns, and one column had the NULL value. (Bug
       #25510537, Bug #84856)

     * Browsing for files on a remote server using a valid SSH
       connection returned an error and did not display the
       remote files. (Bug #25495895)

     * After backing up server connections to a file on a Linux
       host, attempting to restore those connections from the
       backup file generated errors and was unsuccessful. (Bug
       #25492082)

     * Clicking Start Server within the Administration - Startup
       / Shutdown tab did not start the server on macOS hosts.
       (Bug #25489098)

     * The layout of Firewall Rules within the Administration -
       Users and Privileges tab obscured some graphical
       elements. This fix improves the usability. (Bug
       #25487997)

     * Source objects could not be viewed within the setup step
       when using MySQL Workbench Migration Wizard to prepare
       for a database migration. (Bug #25487312)

     * The spinning circular icon on the query tab that appears
       when a query executes and replaces the X on the tab was
       absent on hosts running Linux. (Bug #25482378)

     * The restore operation (MySQL Enterprise Backup) produced
       an exception when a backup file (.mbi) was selected while
       the MySQL server was running. This fix provides a message
       indicating that the server must be stopped first. (Bug
       #25476406)

     * An exception was returned when the Continue execution
       until next break point button was used on a script
       executing within the Scripting Shell. (Bug #25476250)

     * When a new snippet was saved within the Scripting Shell,
       the save operation did not save the snippet properly and
       the snippet could not be reused after MySQL Workbench was
       restarted. (Bug #25471491)

     * The Run Script File action could be selected from the
       Scripting menu without an available script to execute.
       This fix disables the submenu item unless there is a
       script to run. (Bug #25462195)

     * Migrating a table to a database generated an incomplete
       definition for a binary field that was NOT NULL. (Bug
       #25404308, Bug #84519)

     * Altering a stored procedure that contained double
       dollar-sign characters ($$) as part of a variable name
       produced an error parsing DDL message. (Bug #25377145,
       Bug #84466)

     * Single quotes in string columns were not escaped properly
       during the database migration operation. (Bug #24939843)

     * When multiple queries were executed, only the first query
       was displayed in the history output area or written to
       the sql_history log file. (Bug #24622889, Bug #82929)

     * The invalid syntax indicator that appears on each line of
       the SQL editor did not change after the syntax was
       corrected or completed. This fix ensures that the editor
       re-evaluates each change. (Bug #24528088, Bug #82741, Bug
       #24901911, Bug #83395, Bug #24901911, Bug #83395)

     * With large text enabled on the host, some option groups
       were not visible to select within the forward-engineering
       wizard. (Bug #24486726, Bug #82633)

     * For a table with existing indexes (and
       SQL_MODE=ANSI_QUOTES), the Indexes tab within the table
       editor (opened with the wrench button in the Schemas tab
       of the sidebar) did not show the indexes as expected.
       Columns, Foreign Keys, Triggers, and Partitioning tabs
       were also missing objects defined in the table. (Bug
       #24349382, Bug #80483)

     * Unless the default syntax checker was set to
       SQL_MODE=ANSI_QUOTES, all double-quoted string literals
       were highlighted as syntax errors by the SQL editor. (Bug
       #24329515, Bug #82293)

     * After executing a query, MySQL Workbench often quit
       working or exited unexpectedly without writing to the log
       file. This fix improves the overall stability of the SQL
       editor. (Bug #24291775, Bug #82187)

     * The SQL editor underlined some keywords and reserved
       words in statements, indicating a syntax error, but
       executed the statements successfully. (Bug #23346980, Bug
       #24345217, Bug #82331)

     * Attempting to store a password in the vault from the
       Manage Server Connections window on a Windows host caused
       MySQL Workbench to become unresponsive. (Bug #23308198,
       Bug #81470)

     * When executing Explain Current Statement (Ctrl+Alt+X)
       from the menu on an UPDATE statement, a query plan
       generation error was displayed and the operation failed.
       (Bug #23098982, Bug #81068)

     * The Reverse Engineer Database wizard excluded tables in
       which the WITH PARSER clause was present. (Bug #22940775,
       Bug #80760)

     * A column with the STORED keyword could not be generated
       by using the EER Diagram or MySQL Model tabs on macOS
       hosts. This fix updates all of the relevant tabs to
       include the missing STORED option for generating a column
       or for editing generated columns. (Bug #22645321, Bug
       #80211)

     * Table rows were not generated properly when a valid
       Microsoft SQL Server table was migrated using the MySQL
       Migration wizard. (Bug #22200194, Bug #77933)

     * The forward engineering operation passed the default
       collation when a custom collation was defined for a
       schema. (Bug #22148986, Bug #79115)

     * When synchronizing a MySQL model that contained a table
       with JSON columns, the operation attempted to create a
       new table instead of fetching the table from the
       database. (Bug #22060787)

     * Columns with custom collation were reset to the default
       collation when the model containing the table was
       exported. (Bug #22006966, Bug #78817)

     * Models synchronized with existing databases produced an
       error message if any of the tables within a model had
       comments enclosed between /* and */ characters in
       triggers. (Bug #21551643, Bug #76176)

     * Generated queries were incomplete for models that
       included table columns of type VARCHAR with partitioning
       enabled. (Bug #21104120, Bug #76489)

     * Some fields within the Table Data Import wizard were
       misaligned and difficult to use. (Bug #20956767)

     * If the SCHEMAS tree was refreshed during a long query,
       MySQL Workbench became unresponsive until the query
       finished. (Bug #20896682, Bug #76594)

     * An error message was displayed when the delete operation
       was performed on an existing connection in the Manage
       Server Connections window. (Bug #20652117, Bug #76153)

     * The mouse pointer did not always change shape to match
       the area it was moved to within the visual SQL editor.
       (Bug #20588048, Bug #75993)

     * A complex IF, ELSEIF, ELSE structure when used to create
       a stored procedure within the new procedure - Routine tab
       produced a syntax error message as clause 45 was added
       and for each clause that followed. (Bug #18972055, Bug
       #72991)

     * Auto-completion did not provide a suggestion reliably for
       instructions included in the server dictionary, such as
       statements or system variables. In addition, types like
       TIMESTAMP were completed with the wrong type values. (Bug
       #18445589, Bug #27386829, Bug #89222, Bug #26897612, Bug
       #87907, Bug #18871688, Bug #72812)

     * Attempting to access the MySQL Enterprise Backup
       interface caused MySQL Workbench to stop working. (Bug
       #18019469)

     * An exception was generated when attempting to view MySQL
       server logs remotely using a connection made with TCP/IP
       over SSH from a Windows host. (Bug #17505130, Bug #70379)

     * An on-screen label with inaccurate text was corrected.
       (Bug #16808557)

     * Erroneous input at the beginning of the line in the SQL
       editor generated an error marker that continued to
       display after the wrong input was corrected or removed.
       (Bug #13820997, Bug #64481)

     * Popular Windows themes did not always render as expected,
       especially when color themes were selected on Windows
       hosts. In particular, some areas persisted a white
       background regardless of the setting. (Bug #11760110, Bug
       #52485)

     * When out-of-range index, unique index, or primary key
       values were define in the source, no warning was provided
       to indicate that the code produced could not be executed
       by the MySQL server. (Bug #11745588, Bug #17509)

Changes in MySQL Workbench 8.0.0 - 8.0.10 (Skipped version numbers)

   There are no release notes for these skipped version numbers.

Changes in MySQL Workbench 6.3

Changes in MySQL Workbench 6.3.10 (2017-11-15, General
Availability)


     * Installation Notes

     * Bugs Fixed

Installation Notes


     * Because the Microsoft Visual C++ 2017 Redistributable
       installer deletes the Microsoft Visual C++ 2015
       Redistributable registry keys that identify its
       installation, standalone MySQL MSIs may fail to detect
       the Microsoft Visual C++ 2015 Redistributable if both it
       and the Microsoft Visual C++ 2017 Redistributable are
       installed. The solution is to repair the Microsoft Visual
       C++ 2017 Redistributable via the Windows Control Panel to
       recreate the registry keys needed for the runtime
       detection. Unlike the standalone MSIs, MySQL Installer
       for Windows contains a workaround for the detection
       problem. (Bug #28345281, Bug #91542)

Bugs Fixed


     * Performance information within the Administration -
       Dashboard tab demonstrated a slow rate of refresh on
       hosts running macOS High Sierra. (Bug #26921498)

     * Tooltips within the Administration - Dashboard tab did
       not display when the mouse pointer was paused over each
       performance graph and the host was running macOS High
       Sierra. (Bug #26921467)

     * Table objects did not display with the Show Selection
       button during the migration process on hosts running
       macOS High Sierra. As a result, source objects could not
       be selected for inclusion or exclusion. (Bug #26921431)

     * Queries executed with the Limit Rows value set to "Don't
       Limit" did not display rows in the result grid on hosts
       running macOS High Sierra. (Bug #26921372)

     * Executing a query in MySQL Workbench on a host running
       macOS High Sierra failed to load the result grid
       completely, which prevented result data from appearing
       within the Result Grid tab. (Bug #26826418, Bug #87714)

     * Performing a keyword search in the EER Diagram Editor on
       hosts running macOS High Sierra caused MySQL Workbench to
       exit unexpectedly. (Bug #26428849, Bug #87020)

     * Forward engineering a physical database design did not
       operate as expected on hosts running macOS High Sierra.
       (Bug #25979928, Bug #86146)

Changes in MySQL Workbench 6.3.9 (2017-02-07, General Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Support was added for many MySQL 8.0 features. Note that
       configuration-file support for MySQL 8.0 is not available
       and a warning banner is displayed during attempted use.
       (Bug #24908593, Bug #83422)

     * With MySQL 5.7, several new instruments were added to the
       performance section including the following for Memory
       Usage: Total Memory, Top Memory by Event, Top Memory by
       User, Top Memory by Host, Top Memory by Thread, User
       Resource Usage, and the following for User Resource
       Usage: Overview, I/O Statistics, and Statement
       Statistics. (Bug #21491775)

     * With MySQL 5.7, GTID_MODE can now be set online. (Bug
       #20712931)

     * Workbench is now aware of the
       innodb_optimize_point_storage option that was added in
       MySQL Server 5.7.5, and later removed in MySQL Server
       5.7.6. Note that MySQL Server 5.7.9 was the first 5.7 GA
       release. (Bug #20661496)

     * Mroonga storage engine support is now available for
       tables. (Bug #20058280, Bug #74367)

     * A new DDL tab was added to show the complete create
       statement of a table or view. Click the table inspector
       (info) button next to the table or view in the Schemas
       Navigator to display the new information. (Bug #19889537,
       Bug #74554)

     * Dropped support for DBDesigner 4.

     * Dropped Fabric support.

     * Dropped support for MySQL 5.1. Minimum version is now
       MySQL 5.5.

     * Changed to C++11.

     * Changed to GTK 3 on Linux.

     * OS X: Version 10.7 (Lion) and 10.8 (Mountain Lion)
       support was dropped. Now supporting 10.9 (Mavericks),
       10.10 (Yosemite), 10.11 (El Capitan), and 10.12 (Sierra).

     * Windows: Zip packages and 32-bit binaries are no longer
       published. The .NET Framework version 4.5 is now
       required.

     * Linux: Fedora 23 support dropped and Fedora 25 support
       added. Oracle Linux 6 support was dropped.

     * The option to specify an alternative application data
       directory, instead of the default location, was added.

     * The JSON editor was improved with better parsing and
       error checking.

     * A new Log Level preference (under Others) was added to
       alter the log verbosity level.
       As before, this can still be set by passing in the
       log-level
       (https://dev.mysql.com/doc/workbench/en/wb-command-line-o
       ptions.html) command-line argument into Workbench at
       runtime, and doing so overrides the Log Level setting.

     * The bundled sakila_full.mwb model now uses a dedicated
       5.7 version to allow for 5.7 specific features,
       regardless of the version setting in the preferences.

     * Full MySQL 5.7 language support was added, which affects
       grammar, syntax highlighting, preferences, behavior, and
       more.

     * The Home screen was modified: the connections, models,
       and starters were split into individual pages.

Bugs Fixed


     * With multiple tabs open in the SQL editor, using the
       context-sensitive menu to close all other tabs caused
       MySQL Workbench to exit unexpectedly. (Bug #25466086, Bug
       #84643)

     * Objects sorted in the schema inspector and then selected
       for an operation, such as Drop Table, generated a
       statement for the wrong object. (Bug #25464011, Bug
       #84697)

     * MySQL Workbench supports the option to require a CA
       certificate or identity validation. (Bug #25408639)

     * If a full backup added warning messages to the backup log
       file, then running an incremental backup later failed.
       (Bug #25315796)

     * No JSON tab appeared for the Open Value in Editor command
       if the field contained an empty array. (Bug #25222455,
       Bug #84106)

     * Schema names were not escaped properly in resulting DROP
       TRIGGER statements when a trigger was created or edited.
       (Bug #25036458, Bug #83655)

     * In some cases, executing a query caused MySQL Workbench
       to become unresponsive when the host was macOS Sierra.
       (Bug #25036263, Bug #83658)

     * Having a single quotation mark (') in the text field of a
       table caused the MySQL Schema Transfer wizard to fail.
       (Bug #24978403, Bug #83616)

     * Simple and complex queries executed from SQL Editor
       failed to complete and return control to MySQL Workbench.
       This behavior was observed for both local and remote
       queries and was often intermittent. (Bug #24977018, Bug
       #82951)

     * Deleting rows while connected to a remote server caused
       the connection to fail and for MySQL Workbench to exit
       unexpectedly. (Bug #24947899, Bug #81019)

     * The Selected schema drop-down list in the New Schema
       Privilege Definition dialog failed to display newly added
       schema names unless MySQL Workbench was restarted. (Bug
       #24798254, Bug #83111)

     * The bundled OpenSSL library was upgraded to version
       1.0.2J. (Bug #24753390)

     * Tooltips failed to operate properly in the Visual Explain
       panel. (Bug #24577687, Bug #82816)

     * Deleting selected rows from the Result Grid caused MySQL
       Workbench to become unresponsive. (Bug #24411733, Bug
       #82466)

     * Connecting to the server resulted in the following
       exception: Parameter is not valid. (Bug #24394987)

     * Queries returning more than 1000 rows on an SSH
       connection to AWS failed and caused MySQL Workbench to
       become unresponsive. (Bug #24330588, Bug #82291)

     * Adding a password with the Store in Vault option caused
       Workbench to fail and exit. (Bug #23987798, Bug #82190)

     * Opening a saved .mwb model file with MySQL Workbench
       generated the following error intermittently: Error
       unserializing GRT data string too long. The same file,
       when opened directly from the file system, started MySQL
       Workbench and displayed the model correctly. (Bug
       #23857478, Bug #80017)

     * Query statements executed from the SQL Editor did not
       remain selected when the focus returned to the query
       area. (Bug #23760790, Bug #79580)

     * The schema navigator incorrectly opened a previously
       viewed database, instead of the one selected, after the
       schema filter in the Navigator panel was used to find and
       list multiple databases. (Bug #23760745, Bug #71699)

     * Selecting TCP/IP over SSH for existing or new connections
       caused MySQL Workbench to fail and exit. (Bug #23743373,
       Bug #82113)

     * Changes made with the Options File editor were committed
       to my.cnf correctly, but also generated an error. (Bug
       #23741731, Bug #82102)

     * Stored procedures containing valid CASE statements
       reported syntax errors when created or edited. (Bug
       #23617646, Bug #81932)

     * Graphs in the performance dashboard reported negative
       values when the server instance was stopped and restarted
       during the analysis. (Bug #23103677, Bug #81067)

     * The Migration Wizard successfully migrated the schema,
       but failed to migrate the data, when the data source was
       SQL Anywhere 16 using ODBC. (Bug #22987681, Bug #79140)

     * Selecting too many tables when attempting to reverse
       engineer an EER diagram caused MySQL Workbench to fail
       and exit. This fix sets the permitted threshold to 1000
       objects and displays a warning message when the number of
       objects exceeds the threshold. (Bug #22828056, Bug
       #80516)

     * The import operation failed to import valid CSV files.
       (Bug #22817059, Bug #80472)

     * New connections configured with the Standard TCP/IP over
       SSH connection method failed and caused MySQL Workbench
       to become unresponsive or to exit. (Bug #22728573, Bug
       #80359)

     * EER diagram tables were locked to a fixed location in the
       window for some .mwb files. This fix enables users to
       unlock the tables within the diagram and to persist those
       changes by first changing the size of the diagram (click
       Model, Diagram Properties and Size) and then saving the
       file. (Bug #22722596, Bug #71533)

     * Performance reports generated by the Export button did
       not enclose in quotes and escape any string values in the
       CSV file, making it difficult to read the output when the
       strings contained commas. (Bug #22700858)

     * Check for Updates from the Help menu failed to detect new
       releases. (Bug #22578656, Bug #80074)

     * The Filter Rows value set in the Result Grid of a query
       was not reapplied when the query was changed or
       refreshed. (Bug #22566018, Bug #80050)

     * When running large queries over an SSH tunnel, MySQL
       Workbench became unresponsive. (Bug #22494755, Bug
       #79840)

     * The Export Data operation emitted an unhandled exception
       when the user connecting to the server lacked privileges
       on the mysql schema, but had full privileges on the
       database identified by the operation. (Bug #22478388, Bug
       #79807)

     * Adding or editing fields in the Table Templates window
       for a user-defined template caused MySQL Workbench to
       fail and exit. (Bug #22449752, Bug #79721)

     * Data exported from the Inserts tab of a table in an EER
       diagram generated invalid JSON syntax. (Bug #22381735,
       Bug #79673)

     * Some GRANT statements were parsed incorrectly. (Bug
       #22370783)

     * The Audit Inspector failed to initialize in MySQL
       Workbench when the locations of the audit log file and
       data directory were different. (Bug #22277384)

     * GEOMETRY table data failed to export properly into CSV
       file format and failed to export at all into JSON file
       format (with an error). (Bug #22269646)

     * Stopping a query before it finished executing often
       caused MySQL Workbench to stop working. (Bug #22071120,
       Bug #78881)

     * The placeholder row (last row of the Result Grid with
       NULL values) was hidden when new rows were inserted and
       applied. (Bug #22065173, Bug #78294)

     * Saving a reverse-engineered model caused MySQL Workbench
       to fail and exit. (Bug #21980722, Bug #78357)

     * The cost and data process information added to "EXPLAIN
       JSON" in MySQL Server 5.7.2 can now be viewed in
       Workbench. (Bug #21848024)

     * The autocomplete feature did not offer suggestions as
       expected. The CTRL+SPACEBAR keyboard shortcut can be used
       to activate this feature. (Bug #21685267, Bug #78185)

     * Some help text was hidden from the Schema Editor in the
       EER Diagram. (Bug #21630661, Bug #78021)

     * When MySQL Workbench performed a copy-back restore
       operation, it reported incorrectly to the mysqlbackup log
       that a copy-back-and-apply-log operation was performed.
       (Bug #21496475)

     * The require_secure_transport system variable that was
       added in MySQL Server 5.7.8 is now supported and can be
       modified using MySQL Workbench. This variable enables
       administrators to require all client connections to the
       server to be made using some form of secure transport.
       (Bug #21484632)

     * A dialog showing the wait time of an attempted connection
       now displays earlier for improved visibility. (Bug
       #21264710)

     * Some routine database operations caused MySQL Workbench
       to fail and exit intermittently. (Bug #21231450, Bug
       #77286)

     * The slash character (/) when used in the name of a new
       connection separated a group from the real connection
       name by default without first notifying the user. This
       fix gives the user an option to keep the slash character
       and create a connection group or to replace all slash
       characters in the connection name with underscore
       characters. (Bug #21158191, Bug #77175)

     * In a query, UNION and UNION ALL statements that contained
       data from different tables or different databases
       returned data in the Result Grid that could be edited and
       applied to the wrong table. This fix returns read-only
       data that cannot be edited directly for such queries.
       (Bug #21046384, Bug #76964)

     * The identifier quote character (`) was missing from the
       DROP statement when an attempt was made to drop the
       existing trigger on a database with an illegal character
       in the name. A syntax error resulted. (Bug #20978108, Bug
       #76869)

     * The property values of a table in an EER diagram could
       not be edited from the Properties Editor. (Bug #20930134)

     * Stored procedures containing valid query syntax produced
       syntax errors. (Bug #20929172, Bug #76761)

     * Some characters could not be inserted into cells of the
       result grid and displayed the following text-truncation
       error message: Inserted data has been truncated as the
       control's limit was reached. Please use the value editor
       instead for editing such large text data. (Bug #20927915,
       Bug #76760)

     * SQL Editor did not permit the use of DUAL in a
       derived-table subquery. (Bug #20800341)

     * When the resultset grid in SQL Editor was set to a font
       type and size that exceeded the default row height, the
       output from a query hid a portion the row content instead
       of increasing the row height to accommodate the font
       value. (Bug #20794106, Bug #76520)

     * The binlog_group_commit_sync_delay and
       binlog_group_commit_sync_no_delay_count options that were
       added in MySQL Server 5.7.5 are now supported, and can be
       modified using Workbench. (Bug #20712947)

     * Russian language connection names failed to load and
       display properly in the home screen. (Bug #20697403, Bug
       #76015)

     * The innodb_page_size MySQL Server system variable can now
       be changed to either 32k or 64k in Workbench, in addition
       to the current options. Support for these larger
       innodb_page_size values was added in MySQL Server 5.7.6.
       The default value in MySQL 5.7 is 16k. (Bug #20661249)

     * Executing the current statement of a query by using the
       CTRL+ALT+ENTER keyboard shortcut (Vertical Text Output)
       partially or fully hid the output. (Bug #20573658, Bug
       #75959)

     * When closing a tab in the SQL Editor, the focus always
       returned to the first tab regardless of the number of
       tabs open. This fix returns focus to the preceding tab
       (to the left) of the closed tab. (Bug #20351753, Bug
       #75490)

     * A valid server connection was required before a script or
       model file could be viewed or edited. (Bug #20326028, Bug
       #75452)

     * Starting MySQL Workbench from the command line with an
       optional argument of a script or model file required the
       absolute (or fully qualified) path name of the file. (Bug
       #20268606, Bug #75305)

     * SQL Editor identified syntax errors in valid statements
       that executed properly. (Bug #20116982, Bug #74183)

     * Font sizes were increased in the Home screen for improved
       readability. (Bug #19982157, Bug #74721)

     * The MySQL Table Editor did not display the name of a
       selected table within an EER diagram when the editor was
       first opened. (Bug #19693466, Bug #74102)

     * Because the sys schema is installed by default as of
       MySQL server 5.7.7, MySQL Workbench now checks for and
       uses it. Otherwise, MySQL Workbench (as it has since 6.1)
       provides the option to install it.
       References: See also: Bug #71207.

Changes in MySQL Workbench 6.3.8 (2016-10-21, General Availability)

Bugs Fixed


     * Important Note: During normal operations, MySQL Workbench
       frequently and unexpectedly closed or became
       unresponsive. (Bug #24571739, Bug #82778)

     * Compiler errors were resolved with GCC 6.2.1. Thanks to
       Christian Hesse for the patch. (Bug #24842267, Bug
       #83372)

     * Using the ->> operator in a valid SQL statement within a
       stored procedure returned the following error: The
       object's DDL statement contains syntax errors. (Bug
       #24693021, Bug #83043)

     * The Columns tab of the table editor displayed an
       incorrect tooltip description for the G flag. (Bug
       #24558804, Bug #82790)

     * For macOS, the table-partition model transposed column
       values leading to an incorrect CREATE TABLE statement.
       Thanks to Kit Yam Tse for the patch. (Bug #24517322, Bug
       #82716)

     * The migration script could not successfully convert UCS-2
       strings to UTF-8 in a table when migrating the table from
       Microsoft SQL Server to MySQL Workbench. (Bug #23751080,
       Bug #82134)

     * Database migration from Microsoft SQL Server 2000 emitted
       errors and stopped when the operation failed to locate
       the required schema list associated with the database
       version. (Bug #23747299, Bug #82069)

     * A CASE statement with WHEN clauses in a stored procedure
       emitted syntax errors. (Bug #23746795, Bug #82114)

     * Selecting TCP/IP over SSH for existing or new connections
       caused MySQL Workbench to fail and exit. (Bug #23743373,
       Bug #82113)

     * On Windows, migrating a table with an empty string in a
       column of type ntext failed and displayed the "Could not
       successfully convert UCS-2 string to UTF-8 ..." error
       message. (Bug #23630604, Bug #81967)

     * When migrating a table with a column of type
       nvarchar(max) from Microsoft SQL Server, MySQL Workbench
       found the record to be bigger than the server
       max_allowed_packet value and failed to copy the record to
       the server. (Bug #23623191, Bug #81944)

     * The usage graph under InnoDB Status in the Performance
       Dashboard consistently underreported the actual usage of
       the InnoDB buffer pool as reported on the server. This
       fix implements a new formula to represent the InnoDB
       buffer pool. (Bug #23584042, Bug #81837)

     * The Migration Wizard successfully migrated the schema,
       but failed to migrate the data, when the data source was
       SQL Anywhere 16 using ODBC. (Bug #22987681, Bug #79140)

     * Selecting too many tables when attempting to reverse
       engineer an EER diagram caused MySQL Workbench to fail
       and exit. This fix sets the permitted threshold to 1000
       objects and displays a warning message when the number of
       objects exceeds the threshold. (Bug #22828056, Bug
       #80516)

     * Check for Updates from the Help menu failed to detect new
       releases. (Bug #22578656, Bug #80074)

     * The Export Data operation emitted an unhandled exception
       when the user connecting to the server lacked privileges
       on the mysql schema, but had full privileges on the
       database identified by the operation. (Bug #22478388, Bug
       #79807)

     * Adding or editing fields in the Table Templates window
       for a user-defined template caused MySQL Workbench to
       fail and exit. (Bug #22449752, Bug #79721)

     * Data exported from the Inserts tab of a table in an EER
       diagram generated invalid JSON syntax. (Bug #22381735,
       Bug #79673)

     * The autocomplete feature did not offer suggestions as
       expected. The CTRL+SPACEBAR keyboard shortcut can be used
       to activate this feature. (Bug #21685267, Bug #78185)

     * When closing a tab in the SQL Editor, the focus always
       returned to the first tab regardless of the number of
       tabs open. This fix returns focus to the preceding tab
       (to the left) of the closed tab. (Bug #20351753, Bug
       #75490)

     * Index comments were improperly generated within the index
       section of an SQL script when using the Forward Engineer
       SQL Script wizard to create and export the script. (Bug
       #19896276, Bug #74530)

Changes in MySQL Workbench 6.3.7 (2016-06-13, General Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The Default target MySQL version model preference is now
       an open text field instead of a dropdown select box. For
       example, rather than choosing a version such as "5.7",
       you can now enter a specific version such as 5.7.12. (Bug
       #23080421, Bug #81023)

Bugs Fixed


     * A typo was fixed on the Configure Server Management page.
       (Bug #23534786, Bug #81738)

     * On OS X, after creating a new model, and new diagram,
       right-clicking on the empty diagram background would
       freeze Workbench. (Bug #23512126)

     * Executing Data Import/Restore would emit an unhandled
       exception with Import from Self-Contained File enabled.
       (Bug #23505226)

     * On Linux, the Table Data Export wizard failed to complete
       the export process. (Bug #23477814)

     * The MySQL Enterprise Backup Restore functionality could
       emit an unhandled exception under some circumstances.
       (Bug #23472573)

     * Editing a remote MySQL options file via the Options File
       management tool would emit an unhandled exception after
       clicking Apply. (Bug #23307191)

     * Exporting data to JSON was exporting NULL values as NULL
       instead of null, thus breaking the JSON output. (Bug
       #23241155, Bug #81331)

     * Under Users and Privileges, Workbench did not allow
       hyphens for host names in the "limit to hosts matching"
       field. (Bug #23224606, Bug #81301)

     * When viewing the code for an existing view (SQL to create
       the view), hexadecimal values were truncated. (Bug
       #23187761, Bug #81208)

     * Migrating a MySQL source to a MySQL target database would
       fail for tables that had generated columns, as the target
       server rejected attempts to insert data into generated
       columns. (Bug #23128380, Bug #81100)

     * Selecting "5.7" from Default target MySQL version did not
       take into account changes to newer versions, as 5.7
       behaved like 5.7.0 instead of a newer version. For
       example, it was not possible to use the JSON data type
       for variables inside the stored procedure editor as JSON
       was added in MySQL 5.7.7. (Bug #23080421, Bug #81023)

     * The Schema filter was slow (poor performance) when a lot
       (1000+) of schemas were present. (Bug #23047787, Bug
       #80946)

     * Under Reverse Engineering, the information provided in
       the wild card description to select objects contained a
       typo. (Bug #23022342, Bug #80902)

     * The Migration Wizard successfully migrated the schema,
       but failed to migrate the data, when the data source was
       SQL Anywhere 16 using ODBC. (Bug #22987681, Bug #79140)

     * The database migration wizard database field was
       described as "Leave blank to select it later" but this
       text was updated to read as "Cannot be blank" because it
       is a required field. (Bug #22896342)

     * The generated SQL generated by the forward engineering
       wizard would incorrectly output "VIRTUALCOMMENT" instead
       of "VIRTUAL COMMENT". (Bug #22880159, Bug #80618)

     * An new option is available to specify a path to the SSH
       configuration and/or known hosts file. This option
       overwrites the defaults. (Bug #22866791, Bug #80605)

     * Workbench's Alter Table functionality did not behave
       correctly when a column was defined using a TIMESTAMP
       with fractional seconds, such as TIMESTAMP(1). In this
       case, some columns would be hidden from the editor. (Bug
       #22839982, Bug #80547)

     * Selecting too many tables when attempting to reverse
       engineer an EER diagram caused MySQL Workbench to fail
       and exit. This fix sets the permitted threshold to 1000
       objects and displays a warning message when the number of
       objects exceeds the threshold. (Bug #22828056, Bug
       #80516)

     * After successfully executing the database migration
       wizard, executing it a second time required Workbench to
       be restarted. (Bug #22811588, Bug #80479)

     * When executing Data Export using a remote MySQL
       connection, the error resulting from a missing mysqldump
       binary was unclear. (Bug #22753693, Bug #80240)

     * The PostgreSQL migration wizard could fail to migrate
       PostgreSQL databases that were generated with tryton.
       (Bug #22747525, Bug #79217)

     * The Dashboard and Server Status reported different Select
       per second values. The Server Status page reported
       incorrect (inflated by about 3x) values. (Bug #22739583,
       Bug #74822)

     * The PostgreSQL migration wizard could fail with an
       "pg_catalog.pg_enum does not exist" error. (Bug
       #22738451, Bug #71121)

     * The Workbench interface would incorrectly orient itself
       to display as Right-To-Left (RTL) when a system's
       language is set to a RTL language, despite Workbench not
       being translated to that language. (Bug #22722701, Bug
       #72126)

     * Attempting to test custom connection details (a
       connection not yet created by Workbench) caused Workbench
       to fail and exit. The Test Connection functionality only
       functioned for existing or new connections. (Bug
       #22698924, Bug #80325)

     * The "Limit to Hosts Matching" field in the user manager
       would incorrectly report a "Host name contains incorrect
       characters" error if the host named contained numeric
       characters. (Bug #22670269)

     * Import and export to JSON format failed if the table had
       column names that were keywords such as key or value.
       (Bug #22668918, Bug #80272)

     * The Alter Table functionality did not detect a default
       value change from no default value to an empty string. In
       other words, adding a default value of "" resulted in
       Workbench reporting "No changes detected". (Bug
       #22664805, Bug #80267)

     * The DBMS connection keep-alive interval option did not
       function properly. As a result, Workbench could lose the
       connection and result in errors similar to "Error Code:
       2013. Lost connection to MySQL server during query". (Bug
       #22642241, Bug #80225)

     * All generated paths now will use "/" as the directory
       separator in order to avoid the "\s" being interpreted as
       a space, such as "C:\path\to\certs\server-cert.pem" for
       generated SSL certificates. (Bug #22636645, Bug #80087)

     * Importing CSV data with from a properly UTF-8 encoded
       source would sometimes fail, and instead could result
       with errors such as "'ascii' codec can't encode character
       u'\xcf' at position 29: ordinal not in range(128)". (Bug
       #22635390, Bug #80205)

     * With Fabric, Workbench cached the topology information
       and did not update it when the topology changed, like
       when switching to a new master. (Bug #22601466)

     * Code completion has been further improved to only show
       relevant details, such as if a table is referenced in the
       FROM clause then only show columns from that table and
       not all from the default schema, and entries have been
       reordered to show columns first (only preceded by
       keywords). (Bug #22579426, Bug #80092)

     * Some stored procedure definitions were incorrectly
       reported as having invalid syntax. (Bug #22552958, Bug
       #80007)

     * Executing Alter Stored Procedure with a user lacking
       SELECT privileges would crash MySQL Workbench. (Bug
       #22509047, Bug #79871)

     * With the MySQL Firewall plugin enabled, having a user
       name containing a single quote character (rare, but not
       illegal) the queries would fail and produce an error in
       the Users and Privileges area of Workbench. These checks
       are now properly escaped. (Bug #22468850)

     * With the validate_password plugin enabled, when Workbench
       attempted to check the strength of a new password by
       sending a query to the server, the password was not
       properly escaped in this query. In such cases, the
       password was incorrectly reported as a strong or weak
       password. The associated SELECT
       VALIDATE_PASSWORD_STRENGTH() query is now properly
       escaped. (Bug #22468332)

     * Some internal Workbench queries failed to execute with
       sql_mode set to ANSI_QUOTES. (Bug #22464406)

     * The Total Time field within the Recent Activity grid of
       the Online Backup / MySQL Enterprise Backup section of
       Workbench showed an incorrect duration value. (Bug
       #22462974, Bug #73499)

     * With MySQL Server 5.5 and lower, executing Alter Table on
       tables with partitions would fail with an error similar
       to "Syntax error: 'PARTITION' (identifier) is not valid
       input at this position". (Bug #22453898, Bug #79734)

     * MySQL Workbench lacked a CentOS profile, so could fail to
       make remote connections to a CentOS machine. (Bug
       #22453095, Bug #72205)

     * Adding or editing fields in the Table Templates window
       for a user-defined template caused MySQL Workbench to
       fail and exit. (Bug #22449752, Bug #79721)

     * Data exported from the Inserts tab of a table in an EER
       diagram generated invalid JSON syntax. (Bug #22381735,
       Bug #79673)

     * After opening the stored procedure editor from the object
       browser, clicking Execute would execute a query that did
       not take into account the IN parameters. (Bug #22378620)

     * On Windows, the "DEFAULT NULL" value could
       unintentionally be removed from the "Alter Table" window
       when clicking on it. (Bug #22375946, Bug #79661)

     * The Database Migration migration link on the home page
       was not functioning immediately after a successful
       migration. (Bug #22271448)

     * Several grammar and spelling corrections were implemented
       into the GUI. (Bug #22251496, Bug #79373)

     * Under certain circumstances, sub-queries were reported as
       syntax errors. (Bug #22251347, Bug #79371)

     * Several SQL Server 2014 database migration improvements.
       (Bug #22243141, Bug #79299)

     * While modeling, pressing the Enter key while editing a
       document's properties would close the document properties
       window instead of adding a new line. (Bug #22204168)

     * When copying tables, Workbench makes one connection at
       the start to disable triggers, makes a separate
       connection to do the data copy, then returns to the first
       connection to re-enable triggers. If the copy takes
       longer than the server's wait_timeout, the first
       connection timed out. (Bug #22190703, Bug #79242)

     * The Driver sends Unicode data as UTF-8 advanced database
       migration option that is available when using an ODBC
       driver is now disabled by default. Also, connections
       could hang when this option was enabled. (Bug #22149342,
       Bug #76382)

     * Executing Delete Row(s) after selecting more than six
       rows from the results grid would not delete all of the
       selected rows. (Bug #21909625, Bug #78560)

     * The autocomplete feature did not offer suggestions as
       expected. The CTRL+SPACEBAR keyboard shortcut can be used
       to activate this feature. (Bug #21685267, Bug #78185)

     * Adding a DATETIME with precision (such as DATETIME(3))
       from the Table Editor would eventually get reverted to
       DATETIME (without precision). (Bug #21666012, Bug #78153)

     * The search (magnifying glass) icon in the schema search
       field was misplaced after the left sidebar was resized.
       (Bug #21329109, Bug #77507)

     * Workbench will now prompt to continue the execution of
       operations containing loops in stored procedures, instead
       of just canceling it after ~200 executions. (Bug
       #21310357, Bug #77470)

     * The Performance Schema installation procedure in
       Workbench failed to check user privileges before
       attempting the installation. For example, if the user had
       all privileges except "ALTER ROUTINE", it would update
       sys.version but fail to complete the installation, and
       also fail to back out thereby leaving the sys.version as
       current but none of the functions were updated. (Bug
       #21261239, Bug #77360)

     * On Linux and OS X, the Options File viewer shortened
       (cut) long option names in the GUI, although editing
       their values changed the correct options. (Bug #21167521,
       Bug #77179)

     * MySQL connections were leaked when connecting and
       disconnecting to MySQL databases. It leaked one
       connection per re-connect to a database. (Bug #20996606)

     * A large database caused the size reported under the
       Schema Inspector to wrap around and display a negative
       number. (Bug #20990435)

     * From the Options File management feature, clicking
       Discard with the Advanced tab open would always revert
       the thread_handling option value to
       "one-thread-per-connection" even if it was set to "no
       threads". (Bug #20956570)

     * When closing a tab in the SQL Editor, the focus always
       returned to the first tab regardless of the number of
       tabs open. This fix returns focus to the preceding tab
       (to the left) of the closed tab. (Bug #20351753, Bug
       #75490)

     * The print preview icon dialog was missing the Workbench
       icon. (Bug #20309812, Bug #75422)

     * Changes to the modeling Appearance font preference did
       not save properly, or have an effect. (Bug #20196073, Bug
       #75173)

     * On Windows, the Query Stats graph would not render with
       MySQL Server 5.7. (Bug #20141414, Bug #75100)

     * The Query Stats information tab was populated even when
       the Performance Schema was disabled. (Bug #20141262, Bug
       #75101)

     * The Toggle whether execution of SQL script should
       continue after failed statements button was updated to
       better indicate when the option is enabled or disabled.
       (Bug #20093801, Bug #74982)

     * On Windows, after closing and reopening Workbench with
       several SQL Editor tabs open, the tabs names were hash
       values (instead of MySQL connection names) if the
       connection names contained non-standard text. (Bug
       #20086117, Bug #74966)

     * In the Table Editor, if a column has NN checked, and NN
       is then unchecked, then a default NULL value is
       automatically added to the CREATE TABLE statement when
       Apply is clicked. The column then shows a default value
       of NULL in the Table Editor. (Bug #19890571, Bug #74558)

     * If a setting is (incorrectly) defined twice in my.ini,
       Workbench separates its values with a newline ("\n"). For
       example, if sort_buffer_size is defined twice, Workbench
       displays it as "sort_buffer_size=256K\n256K". Workbench
       now follows MySQL Server behavior, and uses the last
       defined option. (Bug #19769849)

     * The cursor could seemingly disappear after executing a
       query, as it could remain at its last position when the
       query started to execute. (Bug #19703074, Bug #74128)

     * The model Page setup... functionality was not always
       preserved when choosing a size for printing. (Bug
       #11766583, Bug #59724)

Changes in MySQL Workbench 6.3.6 (2015-12-15, General Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * On OS X, the multiple object selector was disabled in the
       model overview. (Bug #22265928)

     * On Linux, Fedora 23 is now supported. (Bug #22146526, Bug
       #79101)

     * The "mysql_old_password
       (http://dev.mysql.com/doc/refman/5.7/en/old-client.html)"
       protocol is no longer supported by Workbench, as its
       support was removed in MySQL Server 5.7. For this reason,
       the Use the old authentication protocol option was
       removed. That option did not function in Workbench 6.3.5.
       For information about updating a user's password from the
       old to new format, see Updating Old Authentication
       Protocol Passwords
       (https://dev.mysql.com/doc/workbench/en/wb-mysql-connecti
       ons-secure-auth.html). (Bug #22093548, Bug #78947)

     * Management operations when using an SSH MySQL Server
       connection that authenticated using a password (and not
       SSH keys) would not function. (Bug #22047602)

     * The File, New Query option no longer requires an open
       MySQL connection. (Bug #21879064)

     * The MySQL Firewall tab is now disabled when the Firewall
       user is being created. (Bug #21150265)

Bugs Fixed


     * The results grid remained empty after executing SELECT
       queries. A new GTK2 prerequisite was added, which is
       checked by the Yum repository. This affected Enterprise
       Linux variants, such as the Oracle Linux and CentOS
       distributions.
       This fix was released (pushed) after version 6.3.6 was
       initially released. Current users of 6.3.6 must reinstall
       Workbench. (Bug #22376818, Bug #79495)

     * Setting the MySQL Firewall mode to "PROTECTING" for a
       user without defined rules would emit an unhandled
       exception. (Bug #22294174)

     * Improvements were made to the Microsoft SQL Server 2008
       migration wizard. (Bug #22271597)

     * On OS X, the MySQL Firewall management option was missing
       from the commercial edition builds. (Bug #22270244)

     * After editing the code of a routine and closing the
       routine editor, the changed routine was duplicated
       instead of applying the changes to the original routine
       object. (Bug #22269199)

     * The JSON Data Field Value Editor functionality was
       improved, and bugs were fixed. Workbench 6.3.5 had known
       limitations. (Bug #22265214, Bug #22337871)

     * On Linux, the MySQL Firewall installation checked the
       path /usr/share/ instead of /usr/share/mysql/. (Bug
       #22263249)

     * For Online Backup, the Fix Grants for MEB function would
       not create the MySQL Enterprise Backup user account. (Bug
       #22258080)

     * The SSL results page listed the "-" character as "_" for
       the SSL certificate file names. (Bug #22243210)

     * Exporting a database from the Data Export wizard did not
       function with remote connections. (Bug #22233795)

     * The libzip library was updated; Workbench can now be
       installed on Ubuntu 15.10. (Bug #22230416, Bug #79320)

     * After initially altering a table using the Alter Table,
       subsequent alterations to the same table in the same
       screen, without having closed the screen, would not
       always complete, as the previous alterations were applied
       again. For example, it might attempt to add a column that
       was already added, or remove a column that was already
       deleted. (Bug #22202325, Bug #79265)

     * Workbench did not recognize identifiers with a leading
       digit if it was preceded by a dot. (Bug #22193758, Bug
       #79247)

     * After creating a table, editing the table in the same tab
       would yield an error after clicking Apply. (Bug
       #22178996, Bug #79199)

     * Clicking Apply a second time while performing an Alter
       Table operation would emit a "No Changes Detected"
       message, despite changes being present. (Bug #22169405,
       Bug #79164)

     * The MySQL connection search field's background and text
       were both white, making it difficult to decipher. (Bug
       #22168697, Bug #79159)

     * On Windows 10, and with resolutions of 1366x768 and
       below, the default table editor window did not show the
       table columns.
       As a workaround, the output pane could be resized or
       hidden. (Bug #22168049, Bug #79160)

     * The "BY" keyword is now supported. (Bug #22151204, Bug
       #79121)

     * The MySQL Enterprise Backup binary can now be configured
       per MySQL connection, to match the correct version needed
       by the connected MySQL server. Before, only one MySQL
       Enterprise Backup binary could be used for all
       connections. (Bug #22143844, Bug #79108)

     * Compiling Workbench now requires Connector/C++ 1.1.7 or
       higher, as this is the first Connector/C++ release that
       supports JSON. (Bug #22141269, Bug #79054)

     * The Error Logs management tab showed a MySQL Firewall
       button within the community edition. (Bug #22139172, Bug
       #79082)

     * On the Server Logs management tab, the Copy and Copy
       Details options were switched. (Bug #22139172, Bug
       #79082)

     * Attempting to install MySQL Enterprise Firewall would
       fail with the following error: "Unhandled exception: type
       object 'FileUtils' has no attribute
       'check_file_readable'".
       As a workaround, execute a xyz_install_firewall.sql
       script that is bundled with MySQL Server. (Bug #22138989,
       Bug #79083)

     * The Alter Table tool did not function with partitioned
       tables. (Bug #22135172, Bug #79070)

     * The preference windows could not be resized. (Bug
       #22121297, Bug #79022)

     * The USE statement result was not preserved in the SQL
       editor, which sometimes led to unknown errors when
       executing multiple statements. (Bug #22106190, Bug
       #78985)

     * After placing a new table on an EER diagram, and
       double-clicking on the new table, the column fields were
       hidden. (Bug #22090203, Bug #78931)

     * "ALTER PROCEDURE" changes were not detected by Workbench
       6.3.5.
       As a workaround, the SQL Editor could be used to decorate
       the "CREATE PROCEDURE" code with delimiters. (Bug
       #22084956, Bug #78924)

     * Workbench 6.3.5 would fail to export MySQL Server 5.6 and
       below, due to changes present in MySQL Server 5.7.
       As a workaround, a MySQL 5.6 version of mysqldump could
       be used. (Bug #22060729)

     * The modeling table editor did not list the JSON data type
       in the dropdown select list, nor did it accept it
       manually. Importing a JSON column from a live database
       worked, but creating/assigning the JSON type in the
       editor was not possible. (Bug #22060699, Bug #22116098,
       Bug #79012)

     * Reverse Engineering a database that contained JSON data
       (columns) failed, and crashed Workbench. (Bug #22053512)

     * The Validate option was missing from the JSON field
       value's editor. (Bug #22052957)

     * The Grid and Tree tabs would interfere with each other in
       the JSON Data Field Value Editor. (Bug #22052934)

     * When using a remote connection, clicking the wrench icon
       next to a table name in the object browser would cause a
       crash. (Bug #22052557)

     * From Models, Create EER Model From Script, importing a
       script would close the diagram instead of creating the
       model. (Bug #22048218)

     * The MySQL Firewall installation wizard did not function.
       (Bug #22047561)

     * The data migration wizard did not always function with
       BLOB data. (Bug #22046141)

     * On Linux, with the commercial edition, the Online Backup
       log window's status log would not always update. (Bug
       #22027353)

     * Attempting to add comments to stored procedures would
       fail with invalid syntax errors. (Bug #21941439, Bug
       #78683)

     * The Action Output auto-scrolling failed to function after
       clicking inside the action log. (Bug #21930774, Bug
       #78648)

     * The Table Data Import wizard failed to import large
       integers. They are now properly detected and assigned as
       BIGINT. (Bug #21896324)

     * Whitespace is now trimmed from the MySQL Connection
       fields. (Bug #21865018, Bug #78471)

     * With MySQL Server 5.7.8+ connections, the login name
       (username) can now be 32 characters in length. (Bug
       #21848065)

     * The Copy All Field Names action would insert extra
       (repeated) column names. (Bug #21760124, Bug #78280)

     * The SYS Schema could not be installed using a remote
       MySQL Server connection. (Bug #21661235)

     * The SHOW GRANTS statement would be seen as invalid
       syntax. (Bug #21520434, Bug #77868)

     * Generated columns(a feature added in MySQL 5.7) were not
       fully supported in the SQL editor, Table Editor, nor
       Modeling interface. (Bug #21505058, Bug #77837)

     * The bundled OpenSSL library was upgraded to version
       1.0.1p. (Bug #21438134)

     * When adding stored procedures to a Routine Group,
       Workbench would sometimes append "_SYNTAX_ERROR" to the
       procedures. (Bug #21174637, Bug #77197)

     * Several behavioral improvements were made to Workbench
       for when the MySQL Server connection is down. (Bug
       #21131790)

     * SQL auto-completion would sometimes show unavailable
       columns. (Bug #21046868, Bug #76954)

     * MySQL Workbench sometimes wrongly detected a syntax error
       when creating stored procedures in the SQL editor. (Bug
       #21031036, Bug #76934)

     * Including a model (via File, Include Model) generated a
       window that was too small. (Bug #20956593)

     * When editing a MySQL Server connection, pressing Enter
       under Server Connection, Advanced, Others, could shutdown
       Workbench. (Bug #20930014)

     * On Windows, the Vertical Output tab failed to close. (Bug
       #20834266, Bug #76590)

     * The performance_schema_max_sql_text_length and
       max_digest_length options were not displayed under the
       Options File tab. These variables dictate how queries
       under Statement Analysis are truncated. (Bug #20671061,
       Bug #76223)

     * Resizing the New Job window in the Online Backup
       management tool would show a floating text box. (Bug
       #20631601, Bug #76110)

     * On Fedora 21, Locate Log Files and Show Log File did not
       function due to an underlining Fedora 21 glib issue. (Bug
       #20609499, Bug #76066)

     * On OS X with multiple displays present, the SQL
       auto-complete box would always show on the main display,
       even if Workbench was on the secondary display. The
       underlining Scintilla library was updated to solve this
       problem. (Bug #20341650, Bug #75460)

     * Workbench would report SQL syntax errors for subqueries
       using multiple parentheses. (Bug #20330840, Bug #75462)

     * Saving a model file with non-ASCII characters in the name
       would crash Workbench, and renaming a file using
       non-ASCII characters would rename the file using the .bak
       file extension. (Bug #20328493, Bug #75455)

     * On Windows, the MySQL Workbench application is now
       associated to files with the .sql extension. (Bug
       #20326058, Bug #75453)

     * Scheduled incremental backups would not function if the
       file path contained spaces. (Bug #20254772, Bug #75092)

     * The Check for Update functionality did not detect newer
       Workbench versions for the commercial edition. (Bug
       #20167571, Bug #75132)

     * With incremental backups, TTS usage was attempted with
       the Use Transportable Tablespaces option disabled. This
       resulted in an error. (Bug #20098272)

     * Workbench's Alter Table functionality did not detect
       changes to fractional seconds. (Bug #19774377, Bug
       #74254)

     * The Forward Engineering SQL output sometimes contained a
       BOM character. (Bug #19495516, Bug #73693)

Changes in MySQL Workbench 6.3.5 (2015-10-21, General Availability)

   Known limitations:

     * The new JSON editor is in an early state, and has a
       number of usability issues

     * The table editor in a MySQL Workbench model does not
       allow the JSON data type. The table editor in the SQL
       Editor is not affected

     * Model synchronization fails to function for tables with
       JSON columns

     * The MySQL migration wizard will not function with MySQL
       Server 5.7 as the source database. However, MySQL Server
       5.7 can be the target database

     * The bundled mysqldump tool fails to create dumps for
       MySQL Server 5.6 and earlier. To work around this
       limitation, set an explicit mysqldump binary in the
       Workbench preferences under Administration -> Data Export
       and Import -> Path to mysqldump tool. Use one from MySQL
       Server 5.6.


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A JSON viewer/editor was added in the field editor for
       result sets.

Bugs Fixed


     * Executing Create EER Model from Database with Place
       imported objects on a diagram enabled would not always
       create the diagram. (Bug #22046248)

     * On OS X 10.11, a newly opened EER diagram was not always
       viewable. A workaround was to either scroll or resize the
       EER diagram window. (Bug #22016760, Bug #78829)

     * MySQL Workbench commercial edition now checks MySQL
       Enterprise Backup compatibility with MySQL 5.7 when using
       the Online Backup and Restore features. MySQL Enterprise
       Backup 4.0 and above is required with MySQL 5.7 and
       above. (Bug #21972677)

     * On Windows, connecting via RDP to Workbench with a model
       would cause MySQL Workbench to crash. (Bug #21951171)

     * On Windows with the firewall enabled, either editing a
       current user or creating a new user from the Users and
       Privileges tab would crash after clicking Apply. (Bug
       #21866290)

     * Under Server Status, the reported Disk Space in Data Dir
       was limited to "1.00 TB", even if more space was
       available. (Bug #21833382)

     * The SQL parser and grammar was updated; some queries
       would emit bogus errors, although they would execute with
       success. For example, queries with syntax such as "ALTER
       TABLE foo MODIFY COLUMN bar VARCHAR(10)" and "ALTER TABLE
       foo MODIFY bar INT NOT NULL". (Bug #21776051, Bug
       #20116935, Bug #77549, Bug #75048)

     * On Windows, creating blocked statements (such as
       BEGIN...END) with auto-complete activated would cause
       MySQL Workbench to emit an unhandled exception (Bug
       #21774642, Bug #77488)

     * On Linux, dragging a routine to a Routine Group did not
       function. (Bug #21770594, Bug #21889801, Bug #78299)

     * Opening Open Value in Viewer to view the contents of BLOB
       and string types would sometimes crash MySQL Workbench.
       (Bug #21746985, Bug #75516)

     * An SSH timeout option was added, under the Others
       preferences panel. (Bug #21690190)

     * After opening a model file, after choosing Preferences,
       Others, checking (enabling) Allow more than one instance
       of MySQL Workbench to run, clicking OK would crash MySQL
       Workbench. (Bug #21666322)

     * On Windows 10, MySQL Workbench failed with an error
       similar to "The type initializer for
       'HtmlRenderer.Utils.FontsUtils' threw an exception". The
       HtmlRenderer.dll DLL was updated with a fix. (Bug
       #21642135, Bug #75344)

     * Clicking Cancel when using the Table Import wizard would
       emit an error, although the import process continued.
       (Bug #21610117, Bug #78013)

     * On OS X, the Rescan for local MySQL instances operation
       was not discovering local MySQL server connections. (Bug
       #21605220, Bug #77989)

     * On Windows, and when connecting to MySQL Server 5.7.8 or
       higher, the Server Logs did not properly display the
       MySQL error logs, and it instead referred to a file named
       "stderr" that could not be found. This is because the
       error log is now written to the Windows Event Log. (Bug
       #21566823, Bug #77958)

     * Executing Control + W to close all tabs, and then
       executing it again (with all tabs already closed), would
       emit a Null Pointer Exception. (Bug #21543454, Bug
       #77906)

     * When creating new user privileges with access to All
       Schemas (via the % wildcard), the resulting user record
       in mysql.db was created with an asterisk (*) in
       mysql.db.Host and mysql.db.Db instead of using %,
       resulting in inability to connect to the database.
       As a workaround, you could have executed queries such as
       "UPDATE mysql.db SET Host='%', Db='%' WHERE User =
       'MyNewUserName'; FLUSH PRIVILEGES;". (Bug #21529564, Bug
       #77865)

     * Several grammar and spelling fixes were made in the GUI.
       (Bug #21526053)

     * On OS X, integrated browser tabs would open but not
       close. (Bug #21497509)

     * With MySQL not running, the MySQL Enterprise Backup
       Restore option would emit an unhandled exception, and it
       was unable to execute restore operations. (Bug #21496671,
       Bug #21619525)

     * Expanding the schema tree for a database that contained a
       large number of tables, such as 20,000 tables, would
       cause a crash. (Bug #21490728, Bug #77801)

     * The Table Data Import wizard failed to import data into
       an existing table when a DECIMAL column was used. (Bug
       #21461807, Bug #77739)

     * Importing a DBDesigner4 schema would sometimes fail, and
       cause a crash. (Bug #21429693, Bug #77688)

     * After opening a model's EER diagram for the first time,
       opening the Preferences menu would immediately cause
       MySQL Workbench to crash, due to some parts being
       uninitialized. (Bug #21395988, Bug #77662)

     * When copying elements from one diagram to another, the
       style attributes were not copied, although the position
       of the elements were retained. (Bug #21384159, Bug
       #77640)

     * The Performance and Firewall options were missing from
       the Server menu in the commercial edition. (Bug
       #21379250)

     * The Unlock the Audit log procedure in the Audit Inspector
       would sometimes fail due to malformed XML. (Bug
       #21379224)

     * Sometimes Startup / Shutdown management would ignore the
       system's profile and use default commands to start and
       stop the MySQL server. (Bug #21357438)

     * On Linux, with the commercial edition, MySQL Workbench
       did not delete the cron job after the scheduled online
       backup was deleted. (Bug #21312652)

     * On Ubuntu 15.04, MySQL Workbench threw a lot of
       GLib-GObject warnings. (Bug #21292286, Bug #77420)

     * Forward Engineering would sometimes append "COMMENT ''"
       to field and index definitions. (Bug #21278452, Bug
       #21429688, Bug #21390162, Bug #77400, Bug #77685, Bug
       #77644)

     * Making an SSH connection to a server where the
       fingerprint was not in the known_hosts file, clicking
       Test Connection under Remote Management would freeze
       MySQL Workbench. (Bug #21264620)
       References: This issue is a regression of: Bug #21122128.

     * The Data Export wizard failed to include date information
       when the JSON export type was used instead of CSV. (Bug
       #21259942, Bug #77364)

     * With the commercial edition, setting up a new Online
       Backup profile would display an "Error Configuring
       Backup" error after entering in details, such as the
       MySQL Enterprise Backup executable path and backup home
       directory, and then clicking Ok. The settings would not
       save due to UTF-8 conversion failures in the
       mysqlwbmeb.py helper file. (Bug #21255978)

     * When importing JSON, the Table Data Import wizard would
       fail at the Configure Import Settings step, and emit
       "Can't analyze file, please try to change encoding
       type...". (Bug #21252834, Bug #77335)

     * After exporting a database with no-create-info checked,
       the import operation would fail to import it. (Bug
       #21250323, Bug #71393)

     * In the Table Data Import wizard, the Field Separator
       dropdown in the Configure Import Settings operation did
       not list the "," (comma) character. (Bug #21240249)

     * From the Table Data Import wizard, switching the line
       endings from the Configure Import Settings screen, and
       then switching it back, would cause the table columns to
       be displayed on a single line. (Bug #21240215)

     * Improved integer and number recognition for data
       import/export with CSV files. (Bug #21240092)

     * In the commercial edition, the Audit Log Inspector logo
       was broken. (Bug #21236152, Bug #77302)

     * With the commercial edition, clicking Firewall after
       stopping the MySQL Server would emit the following
       unhandled exception: "'NoneType' object has no attribute
       'find'". (Bug #21236051, Bug #77304)

     * The validate_password plugin options are no longer
       visible in the Options File editor when the plugin is not
       enabled. (Bug #21187942)

     * With MySQL server not running, and with a MySQL
       Enterprise Backup configuration file missing, attempting
       to open either the Online Backup or Restore tabs would
       throw an unhandled exception. (Bug #21161660)

     * On Fedora, executing Help, Locate Log File / Show Log
       File would fail to function, due to an underlining
       problem with glib 2.44. For additional information, see
       Fedora bug #1175719. (Bug #21113811)

     * In the Audit Inspector, executing Select or Deselect from
       the Show Columns context-menu would fail to function.
       (Bug #20956668)

     * Several buttons and text boxes were not always located in
       the correct location. (Bug #20929972)

     * On OS X, the Shift + Alt + Arrow combination would select
       individual characters instead of whole words. (Bug
       #20797766, Bug #76526)
       References: This issue is a regression of: Bug #50085.

     * When executing Start Command Line Client, entering the
       incorrect MySQL password would immediately close the
       Window. Now, an error is displayed before the window is
       closed. (Bug #20737515)

     * The VARBINARY type could not be edited in the results
       view grid. Clicking Apply to execute the change would
       emit an error. (Bug #20735501, Bug #76386)

     * On Windows, SSH connections would fail when connecting to
       a server with pageant running. (Bug #20652700, Bug
       #76168)

     * The MySQL server connection would sometimes timeout
       (error 10060) while processing the result set when
       combined with a large number or rows (e.g., 10,000) and
       an SSH tunneled MySQL connection. (Bug #20639995, Bug
       #74557)

     * The Action Output query tooltip would sometimes display
       information about the wrong query. (Bug #20535654, Bug
       #75877)

     * On Windows, a scheduled incremental MySQL Enterprise
       Backup backup job would always choose the latest backup
       as the base for the backup instead of using the last
       successful backup. This meant that after a failed backup,
       future incremental backups would fail until the next
       successful full backup. (Bug #20533780)

     * The Catalog Tree would truncate table names at around 20
       characters. (Bug #20122059, Bug #74995)

     * The Table Inspector could fail if the schema name
       contained a dash. (Bug #20007660, Bug #74788)

     * The bundled SSH library (paramiko) was not capable of
       supporting the key exchange algorithm (ecdsa) added in
       OpenSSL 6.7. (Bug #20003201, Bug #74658)

     * When a connection to a MySQL server instance through a
       SSH Tunnel, MySQL Workbench failed to recognize the
       server fingerprints stored in the .ssh/known_hosts file,
       and claimed that the server authenticity could not be
       established. Clicking Continue also caused the current
       fingerprint to be removed, after which MySQL Workbench
       froze.
       Also, due to a bug in the underlining paramiko library,
       if a server supported ECDSA and RSA, paramiko would first
       try to use RSA and, as such, not use ECDSA. For
       information about this bug, see
       https://github.com/paramiko/paramiko/issues/243. (Bug
       #19714350, Bug #74160)

     * The import and export process did not always function
       with network folders. (Bug #19443451, Bug #73575)

Changes in MySQL Workbench 6.3.4 (2015-06-15, General Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Fabric 1.5.x support was added. (Bug #19915013)

     * Added MySQL Enterprise Firewall support. For additional
       information, see MySQL Enterprise Firewall Interface
       (https://dev.mysql.com/doc/workbench/en/wb-mysql-firewall
       .html).

     * On Windows, SQL files are now automatically associated to
       MySQL Workbench after the installation.

Bugs Fixed


     * On OS X 10.11 (El Capitan), clicking Close after
       synchronizing a model would cause a crash. (Bug
       #21978855, Bug #78750)

     * MySQL Enterprise Firewall support now checks and requires
       the commercial edition of MySQL server 5.6.24 and above.
       (Bug #21149929)

     * The cursor focus would exit from the SQL editor after
       executing a query with the keyboard shortcut. (Bug
       #21141309, Bug #75733)

     * Testing an SSH connection to a host with an unknown SSH
       fingerprint would freeze MySQL Workbench. (Bug #21122128)

     * When selecting objects in the Forward Engineering filter,
       the < and > buttons were not always present. (Bug
       #21098504)

     * On Linux, the Audit Inspector section was missing from
       the Enterprise management tab. (Bug #21098445)

     * Opening a MySQL connection while the Open SQL Script
       dialog was open would crash MySQL Workbench. (Bug
       #21085623)

     * On Linux, MySQL Workbench would not connect to a MySQL
       server unless gnome-keyring was installed, even if
       gnome-keyring was not used by the user. A workaround was
       to set WB_NO_GNOME_KEYRING to true. (Bug #21065455, Bug
       #76981)

     * Executing the Table Data Import wizard with CSV data
       would sometimes fail when using a remote MySQL
       connection. (Bug #21065442, Bug #76991)

     * When migrating from Microsoft Access, the Data Transfer
       Setup step would fail and throw the following exception:
       "Error - Unhandled exception: unknown attribute 'getOS'".
       In other words, the tables were created but the data was
       not migrated to MySQL. (Bug #21025943, Bug #76926, Bug
       #76647)

     * On OS X, the Edit Type Mappings for Generic Migration
       wizard failed to function. (Bug #20986654, Bug #76896)

     * The Table Export wizard operation would suggest the .csv
       file extension when JSON was selected as the file type.
       (Bug #20956744)

     * On Linux, adding a new user to a model would display the
       model user's password. The password is now hidden by
       default, and a toggle button was added to view it. (Bug
       #20956578)

     * An object reference error was emitted when adding a
       second role for a new user under the Schema Privileges
       modeling tab. (Bug #20956538)

     * On the Models SQL Scripts tab, the Apply Changes and
       Discard Changes remained inactive after the SQL script
       was edited. (Bug #20930147)

     * On Windows, the object labels were overlapping on the
       Physical Schemas section of the Model Overview page. (Bug
       #20924697)

     * Executing a query containing a large number of columns
       (70+) would freeze MySQL Workbench. (Bug #20921329, Bug
       #76770)

     * On Windows, attempting to open a MySQL connection from
       the home page would sometimes hang. (Bug #20917040)

     * Clicking Cancel after clicking [x] to close MySQL
       Workbench would cause the home page tab to disappear.
       (Bug #20910092, Bug #76747)

     * On Windows, attempting to connect to a MySQL server that
       only had named pipes enabled would fail and emit the
       following exception: "Invalid for this platform protocol
       requested(MYSQL_PROTOCOL_SOCKET)". (Bug #20885645, Bug
       #76692)

     * Executing (applying) an Alter Table operation after
       deleting a table comment would not execute the query, as
       the generated SQL contained "COMMENT =;" instead of
       "COMMENT = '';". (Bug #20836140, Bug #76578)

     * The bundled MySQL client was upgraded to MySQL 5.6.24.
       (Bug #20747709)

     * Clicking a MySQL connection tile on the home page would
       not open the MySQL connection if the tile was not on the
       first screen of the home page. (Bug #20742205, Bug
       #76391)

     * In the EER diagram editor, adding non-English characters,
       including high Unicode characters, into table's VARCHAR
       field would assume the text was too large to fit. (Bug
       #20732306, Bug #76380)

     * After adding a TCP/IP connection over SSH to an unknown
       host, MySQL Workbench would hang after accepting the
       identity as a known hosts. (Bug #20692926, Bug #76260)

     * The Retry functionality would sometimes fail to continue
       a database migration after the source database server was
       restarted. (Bug #20577169, Bug #75985)

     * On Linux, if a query returned more than 999 rows, the row
       number would always show as "..." instead of the row
       number in the results view. (Bug #20414127, Bug #75621)

     * After completing a successful Import from Dump Project
       Folder operation, clicking Import again would fail with
       ERROR 1046. (Bug #20365353, Bug #75514)

     * Left-clicking on the Visual Explain overview thumbnail
       would cause MySQL Workbench to crash. (Bug #20362922, Bug
       #75508)

     * The Option File and Status and System Variable sections
       were missing information for the Audit Log plugin. (Bug
       #20166897, Bug #75130)

     * Performance improvements were made to the results view
       grid. (Bug #20024729, Bug #74836)

     * MySQL Workbench did not account for the variable change
       of validate_password_policy_number to
       validate_password_policy in MySQL 5.6.10. (Bug #19881314)

     * Dropped Fedora 20 support, and added Fedora 22 support.

Changes in MySQL Workbench 6.3.3 (2015-04-23, General Availability)

Bugs Fixed


     * On OS X, after opening the Table Data Export feature from
       schema sidebar in the SQL Editor, the wizard's window was
       not wide enough to display the wizard's controls. (Bug
       #20822603)

     * Executing a partial MySQL Enterprise Backup job and then
       clicking Configure Job would emit an unhandled exception
       for RadioButton_set_active. (Bug #20734865)

     * Copying SQL statements from the history panel would crash
       MySQL Workbench. (Bug #20724034, Bug #76362)

     * Right-clicking on an out-of-focus empty field under the
       Inserts editor in the EER modeling table editor would
       crash MySQL Workbench. (Bug #20692093, Bug #76278)

     * On OS X, inserting a new row of data via the results grid
       would either crash MySQL Workbench after clicking Apply,
       or insert the rows along with additional empty NULL
       filled rows. (Bug #20681539, Bug #76245)

     * The Schema Transfer Wizard would always report a failure,
       even when the operation succeeded. (Bug #20680466, Bug
       #75125)

     * Triggers could not be edited after applying changes to a
       different trigger. Attempting to do this multiple times
       could also have caused MySQL Workbench to crash. (Bug
       #20678160, Bug #19916370, Bug #76234, Bug #74624)

     * While creating or altering a table, the ENUM type handler
       would remove parentheses and quotes. For example,
       "enum('One','Two')" would convert to "ENUMOne, Two".
       Workaround: Review and correct the SQL before submitting
       the CREATE TABLE or ALTER TABLE. (Bug #20667788, Bug
       #76214)

     * Stopping a MySQL server service immediately after
       installing MySQL Workbench would emit an "Unhandled
       exception: not a string" message.
       Workaround: restart MySQL Workbench. (Bug #20662285, Bug
       #76194)

     * The trigger editor would fail to save data for triggers
       including the BEGIN ... END construct. It would also
       generate a
       "GLib-GObject:ERROR:gsignal.c:756:emission_pop: code
       should not be reached" error. (Bug #20655462, Bug #76082)

     * The StrictHostKeyChecking and UserKnownHostsFile
       variables are now read from the SSH configuration file
       when using SSH for a MySQL connection.
       MySQL Workbench will attempt to load this configuration
       from the following locations: For Windows,
       %APPDATA%\MySQL\Workbench\ssh\ssh_config or
       %APPDATA%\MySQL\Workbench\ssh\config. For Linux and OS X,
       ~/.ssh/ssh_config or ~/.ssh/config. (Bug #20653285, Bug
       #75764)

     * Connections to MySQL Server 5.7 and higher now use
       mysql_real_escape_string_quote instead of
       mysql_real_escape_string. (Bug #20637587)

     * On Linux, the >Check for updates functionality reported a
       "Name or service not know" error when an Internet
       connection was not available, and now it emits "No
       network connection available." (Bug #20631579, Bug
       #76109)

     * Checking an Advanced Options check box under Performance
       Schema Setup would generate an error. (Bug #20630030, Bug
       #76101)

     * Executing the Table Maintenance action on a table after
       creating an event would fail with an "invalid column
       Comment for resultset" error. (Bug #20259610, Bug #75291)

     * Data could not be imported into a result set when the
       results did not contain a Primary Key. The new import
       wizard does not have this limitation. (Bug #19881191, Bug
       #74514)

     * On OS X, SSH tunneling would sometimes fail start. (Bug
       #11764879, Bug #57758)

Changes in MySQL Workbench 6.3.2 (2015-03-13, Release Candidate)

Bugs Fixed


     * The icons for the data import and export features were
       reversed. (Bug #20645134, Bug #76143)

     * Deleting a MySQL Enterprise Backup partial backup job
       would generate an unhandled exception. (Bug #20637715,
       Bug #76129)

     * On Windows, table comments did not appear in the Table
       Inspector. (Bug #20330742, Bug #75459)

     * While modeling, the tables were no longer being listed in
       alphabetical order. (Bug #20299714, Bug #75401)

     * The Audit Log inspector no longer requires sudo access to
       read audit log files, and will only prompt for sudo
       rights if the audit log is not readable by the MySQL
       Workbench user. (Bug #20255637, Bug #75288)

     * The MySQL configuration file editor was missing the
       innodb_buffer_pool_size option. (Bug #20168131, Bug
       #75131)

     * While modeling, the link between two tables could not be
       deleted. (Bug #20123214, Bug #75064)

     * The FROM keyword was not listed in the code completion
       popup. (Bug #18899887, Bug #72862)

Changes in MySQL Workbench 6.3.1 (2015-03-05, Beta)

   This is the first public release of the 6.3.x branch. It
   includes fixes from the 6.2.x branch up to 6.2.5. See the
   MySQL Workbench 6.3.0 release notes for a list of new 6.3.x
   features.

Functionality Added or Changed


     * This is the first public release of the 6.3.x branch. For
       additional details about MySQL Workbench 6.3, see the
       6.3.0 changelog and the What's New in 6.3
       (https://dev.mysql.com/doc/workbench/en/wb-what-is-new.ht
       ml) guide.

Changes in MySQL Workbench 6.3.0 (Not released, Internal)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Platforms support changes: Fedora 21 and Ubuntu 14.10
       support was added, while Ubuntu 12.10 support was
       dropped.

     * 64-bit architecture support:
       For OS X, the build architecture changed from 32-bit to
       64-bit, meaning 32-bit binaries are no longer built.
       For Windows, both 32-bit and 64-bit binaries are built,
       but users are encouraged to use the 64-bit builds. 32-bit
       support is deprecated.

     * Fabric 1.5 is now supported. Older versions of Fabric are
       no longer supported due to incompatible protocol changes.

     * A new "fast migration" option was added to the migration
       wizard. This is another way to transfer data from one
       MySQL server to another while performing a migration, and
       it complements the existing solutions. The premise is to
       use a generated script on the source server to create a
       dump that you move to the target machine to perform the
       import there. This avoids the need to traffic all data
       through MySQL Workbench, or to have a permanent network
       connection between the servers. Instead, the dump and
       restore is performed at maximum speed by using the LOAD
       DATA call for the MySQL import. The migration wizard
       automatically creates all necessary scripts for all
       supported platforms and servers. It creates a
       self-contained Zip file that must be copied to the target
       server. You unzip it and execute the provided script to
       perform the data import.

     * A new SSL certificate generation wizard was added. This
       new wizard helps create proper SSL certificates for both
       MySQL clients and MySQL servers. Connections in MySQL
       Workbench are updated with the certificates by the
       wizard. This wizard requires OpenSSL to create the
       certificates.

     * A new table data import/export wizard was added. This
       feature enhances the current CSV import and export
       feature found in the SQL editor's result set viewer. It
       supports import and export of CSV and JSON files, and
       allows a more flexible configuration (separators, column
       selection, encoding selection, and more). This new wizard
       does not require an executed statement on a table for a
       result set to be operated on, as it can now work directly
       on tables.

     * Code completion support was improved. Code suggestions
       are more precise and work with additional statement
       types, when before only SELECT statements were fully
       supported. Additional database features are also
       supported including table engines, log file groups, table
       spaces, character sets, and more.

     * The Test Connection panel was restructured. The Host,
       Port, User, and SSL entries are now listed separately on
       their own lines. Before, the text "SSL not enabled"
       confused some users as being a possible error.

Bugs Fixed


     * On Linux, the Saved password in keychain functionality
       for a MySQL connection would not always save correctly. A
       possible workaround was to execute "export
       GNOME_KEYRING_CONTROL=1" before starting MySQL Workbench.
       (Bug #20074563, Bug #74771)

     * When clicking the Replace and Find button in the SQL
       editor without selected text, a replace-string was
       inserted at the current cursor position before the editor
       highlighted the next match. If instead text was selected,
       the selected text was also replaced with the
       replace-string even if it did not match the found-string.
       Now, selected text does not affect the "Replace and Find"
       functionality. (Bug #19957424, Bug #76499)

     * On Linux, the query result view did not populate with
       libglib version 2.42 and above. This affected Linux
       distributions that recently upgraded libglib, such as
       Ubuntu 14.10 and OpenSUSE 13.2.
       To solve this, additional builds were added. For example,
       Ubuntu 14.10 builds are now available as Ubuntu 14.04
       builds fail on Ubuntu 14.10. (Bug #19831054, Bug #74147)

Changes in MySQL Workbench 6.2

   For detailed information about the new features, see What's
   New in MySQL Workbench 6.2
   (http://dev.mysql.com/doc/workbench/en/wb-what-is-new-62.html
   ).

   Prerequisite change: On Windows, MySQL Workbench now requires
   the Microsoft Visual C++ 2013 Redistributable Package, as
   previous MySQL Workbench versions used the Microsoft Visual
   C++ 2010 Redistributable Package.

Changes in MySQL Workbench 6.2.5 (2015-03-03, General Availability)

Bugs Fixed


     * The Options File editor would display the equals sign
       character ("=") as a space (" ") when the equals sign was
       used in an option's value. (Bug #20404658)

     * The bundled MySQL client was upgraded to MySQL 5.6.23.
       (Bug #20375565)

     * The Fedora RPM would not install on Fedora 21 due to
       missing ctemplate dependencies. This is due to changes
       introduced in ctemplate version 0.97, where the
       "ReloadIfChanged" function was replaced with
       "ReloadAllIfChanged". (Bug #20323716, Bug #75421)

     * On Linux with FIPS (Federal Information Processing
       Standard) enabled, MySQL Workbench would fail to connect
       and emit a "Cannot start SSH tunnel manager" error.
       Creating local connections on FIPS enabled systems is now
       functional, although SSH tunneling (for remote
       connections) remains unavailable due to limitations with
       the underlining paramiko library. (Bug #20236376, Bug
       #75262)

     * On Windows, MySQL Workbench failed to schedule weekly or
       monthly MySQL Enterprise Backup backups.
       As a workaround, change "/ST " to " /ST " on lines 754
       and 757 of mysqlwbmeb.vbs. (Bug #20174892)

     * Executing Data Export with Export to Dump Project Folder
       enabled would fail and emit unhandled exception:
       'builtin_function_or_method' object has no attribute
       '__getitem__';. (Bug #20168180, Bug #20542086, Bug
       #75136, Bug #75845)

     * The Linux RPM builds failed to check for the libzip and
       libtinyxml dependencies, and the installation process
       would continue when the system did not have either of
       them installed. (Bug #20128947, Bug #75012)

     * The model synchronization wizard would produce an
       incorrect synchronization SQL script if table or column
       mappings were modified. The generated script did not
       contain all of these modifications. (Bug #20128561, Bug
       #74878)

     * The Connection Group folders would not properly display
       all connections when 40+ connections were stored in a
       single folder. (Bug #20119383, Bug #74763)

     * On Linux, the action buttons were hidden after clicking
       Next from the initial Forward Engineer wizard menu.
       As a workaround, the window could be resized by dragging
       the bottom right corner, or by double clicking the top of
       the window to resize the window. (Bug #20091734, Bug
       #74983)

     * Executing Data Export against multiple databases with the
       Export to Dump Project Folder option enabled would fail
       and generate an unhandled exception; "Error Unhandled
       exception: 'builtin_function_or_method' object has no
       attribute '__getitem__'".
       As a workaround, an export with the Export to
       self-contained file option functioned properly. (Bug
       #20085036, Bug #74967)

     * On Linux, the Saved password in keychain functionality
       for a MySQL connection would not always save correctly. A
       possible workaround was to execute "export
       GNOME_KEYRING_CONTROL=1" before starting MySQL Workbench.
       (Bug #20074563, Bug #74771)

     * After editing a trigger once, future changes were not
       seen. Other triggers were no longer visible until the
       table was closed and reopened.
       As a workaround; after editing a trigger, click Apply
       from the "Select an existing trigger" screen, click Apply
       again, then click on the trigger name for expected
       behavior. (Bug #20061687)

     * Stability improvements were made to the modeling file
       saving and loading mechanisms. (Bug #20041632, Bug
       #74884)

     * On Linux and OS X, creating a MySQL Enterprise Backup
       backup job with scheduling enabled would fail to
       function. (Bug #20034934, Bug #74872)

     * A typo was fixed in the generated MySQL Workbench log
       file, the word "where" was changed to "were". (Bug
       #20016911, Bug #74784)

     * When clicking the Replace and Find button in the SQL
       editor without selected text, a replace-string was
       inserted at the current cursor position before the editor
       highlighted the next match. If instead text was selected,
       the selected text was also replaced with the
       replace-string even if it did not match the found-string.
       Now, selected text does not affect the "Replace and Find"
       functionality. (Bug #19957424, Bug #76499)

     * On Linux, the query result view did not populate with
       libglib version 2.42 and above. This affected Linux
       distributions that recently upgraded libglib, such as
       Ubuntu 14.10 and OpenSUSE 13.2.
       To solve this, additional builds were added. For example,
       Ubuntu 14.10 builds are now available as Ubuntu 14.04
       builds fail on Ubuntu 14.10. (Bug #19831054, Bug #74147)

     * MySQL Workbench did not show the index type for spatial
       indexes. (Bug #19802579, Bug #74332)

     * The Synchronize Model wizard would fail on forward
       engineered tables that had hash partitioning enabled and
       then disabled. It assumed that partitioning was still
       enabled. (Bug #19515501, Bug #72909)

     * Opening a model from the operating system's file explorer
       (and not from within MySQL Workbench itself) would add
       duplicate entries to each table's context menu in the
       schema explorer. (Bug #19313268, Bug #73363)

     * Attempts to install the SYS performance helper schema
       with a "Local Socket/Pipe" enabled MySQL connection would
       fail, and do so without reporting an error. (Bug
       #19313081, Bug #73421)

     * Under User Accounts, attempting to change the password
       for the default 'root'@'::1' user would fail and with
       "Invalid host specification: The host specification "::1"
       is not valid. Please correct it and try again.". (Bug
       #19313045, Bug #73420)

     * The measurement units used by the performance reports
       were sometimes incorrect. (Bug #19273555, Bug #73344)

     * The results grid rendering functionality was improved.
       Before, some queries took an unreasonable amount of time
       to display the results. (Bug #18952956, Bug #72946)

     * Clicking Revert after adding a trigger under the Alter
       Table's Triggers tab would fail to remove the trigger
       name from the trigger list, although it did delete the
       trigger. (Bug #18492291)

     * The Reset saved passwords functionality did not always
       reset (delete) saved passwords in the vault. (Bug
       #18492237)

     * Migrating from SQL Server 2005 to MySQL would emit
       "copytable: Invalid timestamp literal detected" errors if
       the source database contained a DATETIME column with one
       or more NULL values. (Bug #18117211, Bug #71350)

     * The buttons after executing "Data Export" or "Data
       Import/Restore" operations was changed from Start Import
       / Start Export to Import Again / Export Again. (Bug
       #17665484)

     * Due to "result grid" size limitations (e.g., 64k with GTK
       on Linux), the text there is truncated at some point.
       Now, an error is generated if the entered text will be
       truncated.
       To enter long text using the GUI, click Open Value in
       Editor from a fields context menu to open an editor
       window. (Bug #14383416, Bug #66031)

     * Importing a DBDesigner 4 model containing INSERT
       statements could crash MySQL Workbench. (Bug #12949941,
       Bug #62317)

     * The DBDoc Model Reporting window was undersized. (Bug
       #12937567)

     * Pasting a "Start of Heading" (SOH) control character into
       the SQL editor could cause MySQL Workbench, and
       potentially the system, to crash. (Bug #74593, Bug
       #19899245)

     * On Windows, closing MySQL Workbench after opening the SQL
       editor would cause a MySQL Workbench process to hang
       (remain active).
       On Linux and OS X, this instead delayed the MySQL
       Workbench shutdown for several extra seconds.

Changes in MySQL Workbench 6.2.4 (2014-11-20, General Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A new advanced tab was added to the MySQL Enterprise
       Backup profile editor. These options are stored in the
       [mysqlbackup] section of the backup profile, which is
       used by the MySQL Enterprise Backup executable through
       the --defaults-file parameter. (Bug #19643172)

     * A new preference was added that defines whether pressing
       Tab inserts tab characters or spaces. (Bug #19598375, Bug
       #73189)

     * The EER diagram catalog browser now remembers view states
       on a per diagram basis. (Bug #19508483, Bug #72255)

     * A new Indentation section was added to the "General
       Editors" preferences. Included are options to set the
       indentation width and tab width. (Bug #17455648, Bug
       #70148)

     * Adding an SQL snippet now opens the snippet editor, when
       before it immediately added the snippet without a title
       or code review. (Bug #14724622, Bug #67085)

     * A new preference was added that limits the number of
       automatically opened SQL result sets for SELECT queries,
       which defaults to 50. Reaching this limit emits a
       warning.
       Before, executing a large number of SELECT queries (about
       800) at once would cause a fatal error after exceeding
       system CPU and memory limits. (Bug #12949811, Bug #62259)

     * A new Skip checking of Routine Definer option was added
       to the Catalog Diff Report wizard. This improves
       functionality for stored procedures and functions. (Bug
       #11764775, Bug #13418623, Bug #57645, Bug #63175)

     * Opening an SQL script no longer requires a MySQL
       connection. To do this, select Open SQL Script from the
       File navigation menu on the home page. (Bug #11757343,
       Bug #49377)

Bugs Fixed


     * Inserting the locate() function inside another function
       would incorrectly report an SQL syntax error. (Bug
       #19856523, Bug #74439)

     * Compiling MySQL Workbench would fail on Hurd, kFreeBSD,
       s390x, and ppc64el systems. (Bug #19806379, Bug #74241)

     * Double-clicking on an object in the schema navigator
       (except for the schema name) now populates the SQL editor
       area with the object name. This restores previous
       behavior. (Bug #19788017, Bug #74299)

     * Connections to remote hosts using the connection method
       "Standard TCP/IP over SSH" would fail with new versions
       (1.15+) of the paramiko library.
       A workaround was to downgrade the system's paramiko
       library. (Bug #19768621, Bug #74223)

     * Stored procedures that were identified as having syntax
       errors could not be saved. (Bug #19767233, Bug #74237)

     * MySQL Workbench generated incorrect UPDATE queries for
       tables without a Primary Key even where unique keys were
       present. (Bug #19711078, Bug #74140)

     * After typing Control + F and clicking Replace, the
       entered text of the replace string was not fully visible.
       (Bug #19690226, Bug #74088)

     * On Windows, "Beautify/reformat the SQL script" could
       cause MySQL Workbench to freeze. (Bug #19667130, Bug
       #74020)

     * The Find's Previous button would sometimes behave like
       the Next button. (Bug #19647189, Bug #73971)

     * Under Data Import/Restore, the "Enable Cleartext
       Authentication Plugin" option did not always function.
       (Bug #19598678, Bug #72433)

     * Under Users and Privileges, the text "Click the Drop
       button to completely remove the account" was changed to
       "Click the Delete button to completely remove the
       account". (Bug #19598511, Bug #73857)

     * A new Data Export preference was added that makes the
       CREATE DATABASE and USE statements optional in the
       generated output. (Bug #19598433, Bug #72599)

     * A new preference (check box) was added to optionally
       export triggers. (Bug #19598408, Bug #73718)

     * On Linux, the [x] button to close an SQL editor tab was
       missing if the required font package was not present on
       the system. Now, an image is used instead. (Bug
       #19598393, Bug #70993)

     * The SQL syntax checker would show errors for EXECUTE
       statements without the "using" keyword. (Bug #19560590,
       Bug #73804)

     * A new GTID_PURGED option was added under "Advanced
       options" to the Data Export wizard. (Bug #19528673)

     * There was a performance regression between 6.0 and
       6.1/6.2 when switching diagram tabs, loading the model,
       and also adding new tables. The Catalog Tree was
       refactored for increased performance. (Bug #19524441, Bug
       #69184)

     * Exporting an ALTER script using the Synchronize with Any
       Source wizard after making "Column Mapping" (table name)
       changes would incorrectly generate CHANGE COLUMN queries
       as "CHANGE COLUMN `newcolumnname` `newcolumnname`"
       instead of "CHANGE COLUMN `oldcolumnname`
       `newcolumnname`". (Bug #19500938, Bug #73644)

     * Attempting to execute a query with one SQL editor tab
       while another SQL editor tab was causing a metadata lock
       would freeze MySQL Workbench. (Bug #19444247, Bug #73574)

     * The Auto-save scripts interval preference did not
       function, as auto-save saved all connection and query
       tabs every 10 seconds regardless of this setting. (Bug
       #19201716, Bug #73178)

     * Attempting to add multiple entries using the results view
       "Form Editor" would fail and generate an exception unless
       Apply was clicked after each individual entry. (Bug
       #19185746, Bug #73253)

     * The Dashboard charts for Client Connections latest
       current value was always null, and the current, max, and
       limit values were overlapped. (Bug #18965879, Bug #72984)

     * The Server Status page did not recognize the enabled
       Memcached and Semi-Sync replication features. The status
       light for these features did not change from red to
       green. The System and Status Variables page reported the
       correct values for these features. (Bug #18703315, Bug
       #72531)

     * Custom user creation and MySQL Enterprise Backup was
       fixed to always function with a MySQL server started with
       the skip_name_resolve system variable enabled. (Bug
       #17924757)

     * Clicking Cancel at the password prompt for a Navigator
       option, such as System Status, would emit an unhandled
       exception. (Bug #17651774)

     * The SQL CREATE Script for Selected Object window under
       Object Migration in the migration wizard was narrow, and
       was missing a slider. (Bug #14823142, Bug #67189)

     * Font selection and support was improved. Some fonts, such
       as Cyrillic fonts, were not displayed properly. (Bug
       #12951450, Bug #62328)

     * When generating default INSERTs code for tables in
       modeling, columns that are specified NOT NULL will now
       replace NULL column values with the DEFAULT keyword. (Bug
       #11762839, Bug #55483)

Changes in MySQL Workbench 6.2.3 (2014-09-23, General Availability)

Bugs Fixed


     * On Linux (64-bit only), clicking Delete Row on a result
       grid would cause a crash. (Bug #19598295, Bug #73879)

     * Several issues were identified and fixed in the GRANT
       parsing logic for MySQL Enterprise Backup. Related
       unhandled exceptions are no longer generated. (Bug
       #19589202, Bug #72390)

     * On Windows, the Data Export functionality was escaping
       the $ symbol in table names, which resulted in mysqldump
       failing to find the table. (Bug #19553584)

     * On Windows, using the key combination Control + Shift + Z
       after altering a view could cause a crash. (Bug
       #19543544, Bug #73496)

     * The Set field(s) to NULL result field context-menu option
       did not function. (Bug #19499823, Bug #73079)

     * The SHOW SLAVE STATUS NONBLOCKING syntax introduced in
       MySQL 5.7 is now supported. (Bug #18383851)

     * In the SQL editor, code completion would freeze MySQL
       Workbench when used with a large (1000+ tables) database.
       (Bug #17457790, Bug #70338)

Changes in MySQL Workbench 6.2.2 (2014-09-05, Release Candidate)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The following SSL related changes were introduced:

          + The Use SSL option for SSL connection options was
            changed to a dropdown, where you can select one of:
            No, If Available, or Required.

          + If Required is selected, the connection will fail if
            a SSL connection cannot be enabled.

          + New MySQL connections default to If available.

          + The Test Connection button now shows whether SSL was
            enabled when the connection was opened.

          + The Session Information panel in the SQL Editor
            sidebar shows is SSL is enabled, and also the Cipher
            in use.
       (Bug #18547269)

     * Indentation is now respected in the SQL and code editors,
       when before the current indention level would be
       forgotten. New lines now start at the previous indention
       level. (Bug #17354356, Bug #14666286, Bug #70138, Bug
       #66941)

     * The tab key now inserts a tab character into the query
       editor, when before it inserted three spaces. (Bug
       #14499535, Bug #66382)

Bugs Fixed


     * On OS X, the SQL auto-completion feature did not function
       for table or field names. (Bug #19563290, Bug #73805)

     * Refreshing the query results grid after an external
       source modified a table would sometimes fail to yield the
       expected results, such as showing a bogus row containing
       NULL values. (Bug #19527620, Bug #73762)

     * Executing Execute (All or selection) to Text on queries
       that SELECT from empty tables failed and generate an
       error similar to "Error during "Execute Query Into Text
       Output" error calling Python module function
       SQLIDEUtils.executeQueryAsText". (Bug #19490650, Bug
       #72611)

     * Selecting a color from color picker on a table would
       generate an invalid color value. (Bug #19487822, Bug
       #73682)

     * On Windows, the catalog treeview now has tooltips to show
       object names of any length. On Linux, this information is
       available from a new column. (Bug #19487798, Bug #73681)

     * The Commit results edits and Discard results Edits
       options would sometimes be hidden from view. (Bug
       #19484760, Bug #71539)

     * The document tab controls now block mouse movements when
       the button is down, as to prevent accidental window
       dragging. (Bug #19484086, Bug #72256)

     * If a transaction was already open with auto-commit
       disabled, there was a dialog that prompted to commit the
       open transaction before applying the changes. That dialog
       was simplified to only offer Apply and Cancel options.
       This dialog still has no effect on the transaction for
       applying the result set itself.
       Also, the result set changes will no longer be committed
       if a transaction was already open when Apply is clicked.
       With auto-commit enabled, the old behavior of applying
       the change inside a new transaction is maintained. (Bug
       #19482785, Bug #73076)

     * The SQL beautification feature would change "NOW()" to
       "NOW ()" (note the inserted space), which created an SQL
       syntax error. (Bug #19477485, Bug #73661)

     * The server management functionality would sometimes fail
       with connections using SSH tunneling. (Bug #19447288, Bug
       #73580)

     * Clicking the spatial view in the results tab could cause
       a crash. (Bug #19429414, Bug #19574103, Bug #73824)

     * With the presence of char(0) (0x00) in data fields,
       exporting result sets to CSV would sometimes generate
       corrupt data. (Bug #19412388, Bug #73524)

     * Several typos were fixed in the GUI descriptions, such as
       "Program Fiels" to "Program Files". (Bug #19397736, Bug
       #73510)

     * When there were multiple result sets, then only one was
       shown in the output pane when using "Vertical Output"
       output type. (Bug #19344302, Bug #73452)

     * The Queries per Second metric was renamed to Selects per
       Second, to avoid confusion. (Bug #19314885, Bug #70132)

     * On OS X, changing database settings would cause a crash.
       (Bug #19313190, Bug #73416)

     * On Linux, clicking the "Zoom out the diagram" icon in the
       Visual Explain interface would cause a crash. (Bug
       #19279674)

     * Quickly clicking Apply twice after editing a result set
       entry would cause a crash. (Bug #19264864, Bug #73348)

     * The --script parameter, which is meant to load an SQL
       script into a query editor, will now explicitly emit a
       warning when it is mistakenly used with a Python script.
       (Bug #19255337, Bug #73334)

     * The CHAR() data type was added to the SQL and Model
       editors. (Bug #19206172, Bug #73282)

     * After adding enough SQL statements in the SQL editor to
       require scrolling, and scrolling to the bottom statement
       and executing it, the SQL window would automatically
       scroll to the top statement. Now, the cursor position is
       preserved. (Bug #19194043, Bug #73262)

     * The three columns widths under Status and system
       variables can now be resized. (Bug #19186598, Bug #73245)

     * Under certain conditions, Visual Explain would only
       display the raw explain data. (Bug #19186177, Bug #73256)

     * The form editor would only display up to 250 characters.
       (Bug #19176830, Bug #73234)

     * The "column privileges" section in the Table Inspector
       contained an extra third column. (Bug #19166119, Bug
       #73221)

     * Saving a query in the SQL editor would clear the undo
       history. (Bug #19153350, Bug #73188)

     * When exporting a database, MySQL Workbench now checks and
       notifies the user when the bundled or configured
       mysqldump is older than the target MySQL version, and
       prompts the user to set Path to mysqldump Tool in MySQL
       Workbench to the appropriate version. (Bug #19127351, Bug
       #72312)

     * Clicking Help, Report a Bug did not function. (Bug
       #19063645, Bug #73104)

     * Clicking Import or Export from a Model's table properties
       Inserts tab did not function. (Bug #18974785, Bug #72733)

     * The results grid columns only showed a small number of
       characters. (Bug #18966800, Bug #72967)

     * The generated code from an EER diagram would sometimes
       add the Primary Key in the wrong order. (Bug #18945899,
       Bug #72920)

     * On Linux, assigning a referenced foreign key could cause
       a crash. (Bug #18936194, Bug #72916)

     * MySQL Workbench incorrectly reported that the current
       user did not have permission to execute a SELECT query
       that requested values from columns that the user was
       explicitly granted SELECT permission. (Bug #18932984, Bug
       #72905)

     * New lines inside an SQL statement comment would truncate
       the comment at the new line. (Bug #18925569, Bug #72904)

     * On OS X, executing a query would sometimes hide the
       results grid. (Bug #18922858, Bug #72897)

     * Expanding the schema list in the object browser could
       take a long time to execute, depending on the number of
       procedures present. Now, mysql.proc is used to get
       procedure and function information, with the previously
       used (and less efficient) SHOW PROCEDURE STATUS as a
       fallback option. (Bug #18906030)

     * On Linux, the BLOB columns were not viewable in the query
       results editor. (Bug #18788268, Bug #72676)

     * Migrating SQL Server 2005 tables with timestamps would
       not import the timestamp column data. (Bug #18764121, Bug
       #72650)

     * Importing or exporting data records to/from a table
       to/from an external file would cause a crash. (Bug
       #18762702, Bug #72648)

     * The bundled MySQL Workbench documentation was removed,
       and it was replaced with a link to the official online
       manual. (Bug #18734566)

     * While executing the Forward Engineering wizard after
       renaming a schema, the routines and views were not
       exported when the Omit Schema Qualifier option was
       selected. (Bug #18719282)

     * The object dialog tooltip remained viewable when an
       object was dragged. (Bug #18718988, Bug #72549)

     * Corrupted tables were listed under the Views tab, instead
       of being listed under the Tables tab. (Bug #18621591, Bug
       #72380)

     * The Notifications tab in the Scripting Shell was missing
       its panel title. (Bug #18548008, Bug #72299)

     * The MySQL 5.7+ implementation of the server-side
       statement timeout syntax is now supported in the syntax
       checker, configuration editor, and error handler. Example
       syntax includes "SELECT MAX_STATEMENT_TIME = 1 * FROM
       SAKILA.actor". (Bug #18545802)

     * In the schema inspector, the Copy to Clipboard and Send
       to SQL Editor context menu options did not function. (Bug
       #18540059, Bug #72282)

     * Executing a model to database synchronization immediately
       after the model was forward engineered would show too
       many differences. (Bug #18492219)

     * Migrating from Sybase ASE could generate an incorrect
       connection string. (Bug #18490804)

     * Connections using SSH tunneling would sometimes die after
       a short idle period. (Bug #18454694, Bug #72105)

     * The comment input box for a model view was too short.
       (Bug #18454388)

     * The Export Recordset dialog was too wide. (Bug #18454356)

     * The DBdoc Model reporting feature did not function. (Bug
       #18453959)

     * On Linux, the left and right arrow keys now expand and
       collapse nodes in the schema (object) navigator tab. (Bug
       #18451434, Bug #72103)

     * The performance dashboard tooltips would remain open and
       cover other GUI elements. (Bug #18445789)

     * The Previous and Next buttons did not function after
       loading a large audit file in the Audit Inspector. (Bug
       #18427194)

     * In the table inspector, the Drop Index button would be
       pushed off the screen (hidden) when the index name was
       too long. (Bug #18426804)

     * When migrating from Microsoft SQL Server 2008 to MySQL
       5.6+, copying a table with the column type DATETIME using
       milliseconds precision would only fill the target entry
       milliseconds as .000. (Bug #18412667, Bug #72060)

     * Some options were listed twice in the Relay Log box in
       the Replication tab of the Options File window, options
       such as relay-log-index, relay-log-recovery, and
       relay-log-info-file. (Bug #18373619, Bug #71976)

     * SSH authentication would sometimes fail when the password
       was not saved to the vault. (Bug #18149737, Bug #71504)

     * The query tab names would be forgotten after closing
       MySQL Workbench, and these tab names are now preserved
       across sessions. (Bug #18131999, Bug #19492952, Bug
       #69234, Bug #71471)

     * Workbench did not recognize ALTER ONLINE|OFFLINE TABLE
       syntax, a syntax removed in MySQL server 5.6. (Bug
       #18067770)

     * On 64-bit operating systems, MySQL Workbench would
       display the incorrect default value for the
       "thread_stack" system variable. (Bug #17879238, Bug
       #71045)

     * The "expanded" property in the Property Editor was
       ignored when opening an EER Diagram. All routine groups
       were expanded, regardless of the "expanded" setting.
       Expanded, manual sizing, and any other properties are now
       persistent. (Bug #17554059, Bug #70506)

     * The innodb_buffer_pool_size option was listed twice under
       option file management. (Bug #17339642, Bug #70003)

     * On Windows, the Schema transfer wizard background image
       was cropped. This background image was removed. (Bug
       #17300415)

     * During a partial backup operation, under certain
       circumstances the desired schema would not be visible in
       the UI. (Bug #17300033)

     * The migration wizard would not migrate PostgreSQL to
       MySQL server 5.7. (Bug #17075011)

     * The "word wrap" state is now preserved across SQL tabs
       and MySQL Workbench sessions. (Bug #16505796, Bug #68693)

     * Empty user names are no longer allowed. (Bug #16298174,
       Bug #68305)

     * Closing an ERR Model would not release an appropriate
       amount of RAM. (Bug #14768662, Bug #67264)

     * When the ALTER Table editor had changes committed and an
       error occurred, it would attempt to re-create the
       original object. However, that was not functioning
       correctly most of the time, so this feature was
       completely removed to avoid confusing error messages.
       (Bug #13640795)

     * The syntax checker and parser now handles SQL_NO_CACHE
       and SQL_CACHE in subqueries. This is accepted as valid
       syntax for MySQL server versions less than or equal to
       5.1. For higher versions, a syntax error is generated.
       (Bug #12711154, Bug #61668)

     * On Windows, the dialog windows would appear under the
       Windows task bar. (Bug #12622572, Bug #61125)

     * Draggable boxes were difficult to locate when the model
       view zoom was lowered. (Bug #11749682, Bug #39608)

     * The migration wizard now sets
       "SQL_MODE=NO_AUTO_VALUE_ON_ZERO" before copying data,
       which causes auto_increment field values of 0 to be
       copied as 0. (Bug #11747050, Bug #30486)

Changes in MySQL Workbench 6.2.1 (2014-08-19, Beta)

   See the MySQL Workbench 6.2.0 release notes for a list of new
   6.2.x features.

Bugs Fixed


     * Adding comments for a column in a model would sometimes
       generate special characters. (Bug #19351764, Bug #73462)

     * The word "International" was written as "Iternational" in
       the Administration panel. (Bug #19240901, Bug #73315)

     * Tables could not be clicked-and-dragged after closing any
       other EER diagram tab. (Bug #19058582, Bug #73090)

     * After editing a table column and then returning focus to
       the diagram view, the table name field would incorrectly
       take the focus. (Bug #18688201, Bug #72496)

     * The "show captions next to relationships" option would
       cause the captions to overlap. (Bug #18633273, Bug
       #72307)

     * The automatic context help did not always function in the
       SQL editor. (Bug #18592483, Bug #72324)

     * On Windows, the command line character limit affected the
       data export function for self-contained files, as a full
       list of tables was passed to the mysqldump utility but
       the character limit meant some tables were not exported.
       (Bug #18296838, Bug #71799)

     * Sometimes a new MySQL Enterprise Backup 3.9.x partial
       backup failed. (Bug #17354393)

Changes in MySQL Workbench 6.2.0 (Not released, Internal)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The schema navigator now includes new overlay icons for
       common operations such as table data view, table edit,
       and table/schema inspector. (Bug #18621683, Bug
       #13813178, Bug #72384, Bug #64493)

     * The NONBLOCKING modifier (SHOW SLAVE STATUS NONBLOCKING)
       in MySQL 5.7+ is now supported. (Bug #18383812)

     * An option was added that converts SQL keywords to
       uppercase when using the SQL beautification tool. (Bug
       #18124415, Bug #71459)

     * A new "Pin Tab" feature was added that saves (pins)
       result set tabs to the SQL Editor. To use, right-click on
       a result set menu and select Pin Tab from the context
       menu. (Bug #16171532, Bug #67364)

     * Shared SQL snippets were added. They allow multiple users
       to share SQL code by storing the snippets in a shared
       MySQL instance. (Bug #13596578, Bug #64007)

     * For Microsoft Windows, 64-bit binaries are now built to
       go along with the 32-bit versions. (Bug #12589701, Bug
       #61263)

     * An option to include (attach) SQL scripts was added in
       the forward engineer and synchronization wizards. (Bug
       #11748756, Bug #37299)

     * Visual Explain now allows you to "drill down" into large
       to very large explain plans.

     * The result set panel now integrates Visual Explain, and
       offers an execution plan for all executed queries.

     * Database modeling was updated to allow changes to the
       formatting of note objects, and attached SQL scripts can
       now be included in the forward engineering and
       synchronization scripts.

     * The Run SQL Script command can now be executed on SQL
       scripts, without first loading the scripts.

     * The result tabs can now be "pinned" for persistent data
       views.

     * The improved results handling include better column
       auto-sizing and saved width preferences. The fonts can
       also be customized.

     * The migration wizard now supports migration from
       Microsoft Access.

     * MySQL Fabric cluster connectivity: Browse, view status,
       and connect to any MySQL instance in a Fabric Cluster.

     * The Metadata Locks view shows the locked connections that
       are blocked or being waiting on.

     * The MySQL 5.7 SQL syntax and configuration options are
       now supported.

     * A new spatial data viewer that offers graphical views of
       result sets containing GEOMETRY data. This utilizes the
       GIS capabilities in MySQL 5.7+.

Bugs Fixed


     * On OS X, closed query tabs could reopen after restarting
       MySQL Workbench. (Bug #19376105, Bug #73487)

     * A clear warning was added that fully enabling all
       "Performance Schema" instrumentation options causes
       performance degradation. (Bug #18984148)

     * The results grid Filter Rows box failed to filter out
       partial matches. (Bug #18974865, Bug #72214)

     * When importing a CSV file, only the first line was
       displayed. (Bug #18849285, Bug #72768)

     * A newly created SSH / TCP connection required MySQL
       Workbench to be restarted before it could be used with
       Enterprise features. (Bug #18673220)

     * The refresh button on the results grid did not function.
       (Bug #18670542, Bug #72471)

     * The log viewer did not take into account the log file
       changes in MySQL server 5.7.2+. (Bug #18632608)

     * Column widths in the results view window would sometimes
       not fit, thus requiring the columns to be resized
       manually.
       In addition to the autofit function being fixed, adjusted
       column widths are now preserved. (Bug #18589588, Bug
       #14079636, Bug #72332, Bug #65223)

     * Multiple trigger support in MySQL server 5.7+ was added.
       (Bug #18547239)

     * The SQL parser was updated to reflect the SQL grammar
       changes in MySQL 5.7. (Bug #18545678, Bug #18545802)

     * A failed WMI managed connection would not emit an error,
       and would instead report the connection as being valid.
       (Bug #18492248)

     * Sort on numeric columns did not function properly. (Bug
       #18447936, Bug #72104)

     * The text boxes in the "Object" and "Session" windows
       could be edited. (Bug #18445344)

     * A specific error message was added for failed MySQL
       connections when the max_user_connections limit was
       reached. (Bug #18431229, Bug #72026)

     * The mouseover tooltips in the Visual Explain window would
       sometimes hide unrelated content. (Bug #18251611, Bug
       #71711)

     * A new configuration option was added to configure the
       font in the results view window. (Bug #17490024, Bug
       #70388)

     * Models that were auto-saved could not be recovered. (Bug
       #17299758)

     * The "precision" keyword was not considered valid in MySQL
       Workbench. The SQL editor, reverse engineering wizard,
       and table editor were updated to accept the "precision"
       keyword. (Bug #17169591, Bug #69754)

     * Opening BLOB field data (such as an average sized image)
       in the Value Editor could take 10-40 seconds to load.
       (Bug #16715370, Bug #69049)

     * In the scripting editor, the Control + F keyboard
       shortcut inserted an ACK character instead of loading the
       "Find and Replace" dialog. (Bug #14495634, Bug #66302)

     * Reordering tabs could cause query execution in an
       unexpected tab. (Bug #14221754, Bug #65557)

     * The Control + S keyboard shortcut would not save the
       Python file in the scripting shell. (Bug #14172988)

     * Textual content would not wrap the text when resizing a
       text object. (Bug #12546783, Bug #61092)

     * A new context menu item was added that adds all tables in
       the privileges role editor. (Bug #11763614, Bug #56346)

     * A new button was added to select all privileges when
       assigning privileges to a role. (Bug #11763614, Bug
       #56346)

     * On Microsoft Windows, the Microsoft visual C++ 2013
       redistributable package is now used instead of the 2010
       version.

     * The Lua scripting language is no longer supported in the
       Scripting Shell. For additional information about Python
       support, see Extending Workbench
       (https://dev.mysql.com/doc/workbench/en/wb-extending.html
       ).

Changes in MySQL Workbench 6.1

   For detailed information about the new features, see What's
   New in MySQL Workbench 6.1
   (http://dev.mysql.com/doc/workbench/en/wb-what-is-new-61.html
   ).

Changes in MySQL Workbench 6.1.7 (2014-06-27, General Availability)

Bugs Fixed


     * Security Fix: The linked OpenSSL library for MySQL
       Workbench Commercial 6.1.7 has been updated from version
       1.0.1g to version 1.0.1h. Versions of OpenSSL prior to
       and including 1.0.1g are reported to be vulnerable to
       CVE-2014-0224
       (http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-20
       14-0224).
       This change does not affect the Oracle-produced MySQL
       Community build of MySQL Workbench 6.1.7, which uses the
       yaSSL library instead.

     * On Ubuntu Linux, the 32-bit build was discontinued.
       Ubuntu 32-bit users must now build from the source. (Bug
       #19124922, Bug #73140)

     * Under certain conditions (with a subquery), Visual
       Explain would fail with the error "error calling Python
       module function SQLIDEQueryAnalysis.visualExplain", even
       when the tabular EXPLAIN was properly generated. (Bug
       #18997475, Bug #72725)

     * The Backup Recovery process could fail and generate an
       unhandled exception titled "list indices must be
       integers, not NoneType" after clicking Cancel. General
       improvements were made to this functionality. (Bug
       #18925451)

     * The Form Editor could generate an "Index was out of
       range" error after adding a new record and then clicking
       Add Record. (Bug #18891983, Bug #72844)

     * The schema selection step of the migration wizard would
       not display the complete names of the schemas nor
       complete the migration process if the schema name
       contained a dot. (Bug #18844624, Bug #72757)

     * On Ubuntu 14, the dependency check was updated to allow
       any of mysql-client, mysql-client-5.6 or
       mysql-community-client client libraries. Previously, the
       dependency check could fail. (Bug #18841046, Bug #72729)

     * Sometimes MySQL Workbench would crash when connecting to
       a remote Linux host using SSH. (Bug #18817608, Bug
       #72486)

     * The Backup Restore action would hang with a MySQL server
       running in a MySQL Sandbox environment that used MySQL
       Sandbox to start/stop the MySQL server. (Bug #18814560)

     * Executing the following steps (in order) would generate
       an error: change layer name, change layer color, and then
       resize layer. (Bug #18760955, Bug #72647)

     * With the Move Model tool enabled, dragging a model while
       hovering (and pausing) over a table would generate a
       tooltip that would not go away. (Bug #18718801, Bug
       #72555)

     * For a new EER diagram, editing a text object after adding
       a different text object could cause MySQL Workbench to
       crash.
       A workaround was to close the new diagram and model, and
       then reopen the model and diagram. (Bug #18718784, Bug
       #72559)

     * MySQL error code 1698
       (ER_ACCESS_DENIED_NO_PASSWORD_ERROR) is now handled as an
       authentication error. (Bug #18711142, Bug #72536)

     * After enabling Import from Folder in the Data Import /
       Restore wizard for a connection, doing the same for a
       second connection would reset (deselect) this option in
       the first connection. (Bug #18685308, Bug #72492)

     * A new "Override sudo command line" option was added to
       the connection manager under the System Profile in the
       connection editor for systems other than Windows. It can
       (optionally) configure the sudo command line to use on
       any operation requiring root access for administration
       tasks.
       If left blank (the default), MySQL Workbench continue to
       pass in -S and -p. Otherwise, you can replace the default
       sudo command. This should only be defined if the server
       configuration requires it. (Bug #18679748)

     * For Linux, Ubuntu 14.04 builds now exist. (Bug #18622692,
       Bug #72388)

     * Preferences, SQL Queries, Confirm Data Changes did not
       generate the Apply Data option. (Bug #18492280)

     * On OS X, the "Oracle Linux 6" entry was missing from the
       MySQL connections installation type listing. (Bug
       #18445795)

     * Column sorting did not function properly for the
       Performance Reports. (Bug #18427135)

     * On OS X, pressing Option + Shift with the Arrow buttons
       did not function as expected in the SQL editor. This key
       combination selects adds a word (string) to the current
       selection. (Bug #18385643, Bug #72014)

     * When creating a table, the FULLTEXT and SPATIAL index
       types were not present in the index type drop-down list
       when non-MyISAM tables were selected. (Bug #18376840, Bug
       #71998)

Changes in MySQL Workbench 6.1.6 (2014-05-16, General Availability)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * MySQL Workbench now shows a SSH fingerprint dialog box
       when connecting to an SSH server, to notify you when the
       fingerprint does not correspond to the fingerprint stored
       (in known_hosts) for that particular server. (Bug
       #11765158, Bug #58091)

Bugs Fixed


     * MySQL Workbench could crash with a MySQL connection that
       was defined with an unprivileged MySQL user. (Bug
       #18704357, Bug #72350)

     * Configuring MySQL Enterprise Backup using SSH would cause
       an online backup operation to fail, and it also generated
       an unhandled exception. (Bug #18676962)

     * The following scenario generated a segmentation fault in
       the EER diagram editor: Double-click a table with a FK,
       double-click a table with a FK, select the Foreign Keys
       tab, and to generate the "Index out of range" error and
       segfault, either double-click an existing table or create
       a new table. (Bug #18632808, Bug #72329)

     * The Don't create table placeholder for views option of
       the Forward Engineer SQL Create Script wizard did not
       function. (Bug #18614177, Bug #72366)

     * The Show in Editor functionality from the Client
       Connections context-menu would not function (the option
       was grayed out). (Bug #18598559, Bug #72349)

     * On OS X, the code completion tooltip could be displayed
       on top of a non-Workbench application. (Bug #18593798,
       Bug #72344)

     * Closing the Stored Procedure Editor after changing a
       stored procedure (and clicking Apply) would emit an
       "Object reference not set to an instance of an object."
       error. (Bug #18591542, Bug #72328)

     * In the EER diagram editor, tooltips are now hidden when
       mouse movements or clicks are registered, and they are
       also hidden when switching applications. (Bug #18536932,
       Bug #72257)

     * When generating a Visual Explain report, a group
       operation would cause the generated JSON output to
       contain a node error. (Bug #18534644, Bug #72180)

     * Altering (adding values to) an ENUM column potentially
       caused MySQL Workbench to crash. (Bug #18530674, Bug
       #72267)

     * Executing the Select Objects to Forward Engineer step in
       the Forward Engineering wizard would crash MySQL
       Workbench each time the wizard is executed after the
       first time. In other words, the wizard would only execute
       every step with success during its initial (first)
       execution. (Bug #18526002, Bug #72251)

     * Clicking a column header in an SQL result view sorts rows
       in ascending order, but clicking the column header a
       second time would not sort the rows in descending order.
       (Bug #18517317, Bug #72226)

     * The Query Stats panel contained the string "sigle"
       instead of the word "single." (Bug #18516611, Bug #72228)

     * Subsequent executions of Query, Execute (All or
       Selection) to Text would cause the result's tab title
       from the previous execution to turn blank. (Bug
       #18516486, Bug #72232)

     * With the Collect Resultset Field Metadata disabled, the
       Form Editor results view was blank. It now displays a
       message asking the user to enable the required Query,
       Collect Resultset Field Metadata preference. (Bug
       #18516369, Bug #72233)

     * Executing a Visual Explain would sometimes generate an
       error with the text "Error calling Python module function
       SQLIDEQueryAnalysis.visualExplain". (Bug #18509791, Bug
       #72216)

     * Changes made to a Trigger were not always recognized by
       the Apply action.
       A workaround was to edit the Trigger, close and reopen
       the table, and then continue to make changes before
       saving. (Bug #18502294, Bug #72198)

     * The PERFORMANCE schema navigator tab was disabled for
       MySQL server 5.5 (and below) MySQL connections, as the
       system requires a MySQL server 5.6 (and above)
       connection. Attempting a MySQL server 5.5 would report an
       error about a missing sys_55.sql configuration file. (Bug
       #18502244, Bug #72201)

     * The Beautify/Reformat feature would add whitespace to
       variable names, so that "@foo" would become "@ foo". (Bug
       #18502104, Bug #72193)

     * Rapidly clicking Execute in an SQL session too frequently
       sometimes caused MySQL Workbench to crash. (Bug
       #18491041)

     * On OS X, the background banner for the 6.1 installer (DMG
       file) incorrectly displayed 6.0. (Bug #18491018)

     * Executing Backup Restore with a MySQL user lacking the
       proper permissions would generate an unhandled exception.
       (Bug #18490779)

     * On Microsoft Windows, the Management, Client Connections,
       View Thread Stack feature failed to function. (Bug
       #18490766)

     * After clicking Apply to save changes to a result set in
       the SQL editor, the executed SQL statement was no longer
       being displayed. (Bug #18490695, Bug #72155)

     * On OS X, and after adding a backtick character on a
       German keyboard in the SQL editor, MySQL Workbench would
       crash after advancing from the backtick using Space while
       the code-completion drop-down was visible. (Bug
       #18445851)

     * Mixed case and lower cased triggers were not properly
       displayed in the Alter Table tab, causing them to not be
       visible or editable. (Bug #18436881, Bug #71868)

     * A MySQL connection that was created without a defined
       username and password failed to open, despite prompting
       for the username and password. (Bug #18436002)

     * Labels could be cut off from the exported image when
       exporting a Visual Explain, if there were "many" objects.
       (Bug #18374308, Bug #71980)

     * Visual Explain could fail to function for large EXPLAIN
       plans. (Bug #18373387, Bug #71973)

     * MySQL Workbench will now use the default schema when set,
       or use the last active schema even if after closing MySQL
       Workbench. Before, the last active schema was not
       preserved after a restart. (Bug #18352922, Bug #71900)

     * On OS X, when a Model Validation Plugin was executed on a
       nonempty document, only the first of the calls succeeded.
       All subsequent calls to these plugins showed an "Cannot
       execute db.plugin.wb.validate. Plugin requires
       unavailable argument value" error. (Bug #18338544, Bug
       #71917)

     * The bundled MySQL client library was upgraded to version
       5.6.17, to solve the following MySQL client issue:
       MySQL client programs from a Community Edition
       distribution could not connect using SSL to a MySQL
       server from an Enterprise Edition. This was due to a
       difference in certificate handling by yaSSL and OpenSSL
       (used for Community and Enterprise, respectively).
       OpenSSL expected a blank certificate to be sent when not
       all of the --ssl-ca, --ssl-cert, and --ssl-key options
       were specified, and yaSSL did not do so. To resolve this,
       yaSSL has been modified to send a blank certificate when
       an option is missing. (Bug #18070573)

     * On Linux, starting/stopping the MySQL server from MySQL
       Workbench failed if "Default requiretty" was enabled in
       the system's /etc/sudoers file. (Bug #17438804, Bug
       #70289)

     * The File, Import, Import DBDesigner4 model operation
       failed and generate an error. (Bug #11766079, Bug #59115)

Changes in MySQL Workbench 6.1.5 (2014-04-15, General Availability)

Bugs Fixed


     * Security Fix: MySQL Workbench Commercial has updated the
       bundled MySQL client library and command-line clients
       (mysql and mysqldump) to MySQL 5.6.18, to use OpenSSL
       version 1.0.1g, which has been publicly reported as not
       vulnerable to CVE-2014-0160
       (http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-20
       14-0160). Please see Oracle Note #1645479.1
       (https://support.oracle.com/CSP/main/article?cmd=show&typ
       e=NOT&id=1645479.1) for further details.
       Since the only change in MySQL 5.6.18 is the inclusion of
       OpenSSL libraries publicly reported as unaffected by
       CVE-2014-0160, and since Oracle-produced MySQL Community
       builds use YaSSL libraries which have been reported as
       not affected by CVE-2014-0160, Oracle will not produce
       builds for MySQL Workbench Community for version 6.1.5.
       This means the Community edition of MySQL Workbench will
       skip version 6.1.5. (Bug #18533200)

Changes in MySQL Workbench 6.1.4 (2014-03-31, General Availability)

Bugs Fixed


     * Clicking > on a selected object during the Select Objects
       step of the Forward Engineering wizard did not move the
       objects. (Bug #18454428)

     * Executing Backup recovery after a full Online backup
       could cause a crash.

     * With MySQL Enterprise Backup, validation was added when
       backing up schemas without tables.

     * On Microsoft Windows, several ".pyc" files remained after
       uninstalling MySQL Workbench.

Changes in MySQL Workbench 6.1.3 (2014-03-24, Release Candidate)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The default schema is now expanded automatically when a
       connection is opened, or when the default schema changes.
       (Bug #18237247, Bug #70522)

     * The Beautify query feature was changed. It now only
       affects the current statement, unless there is an
       explicit selection. Before, it would reformat all
       statements in the window by default. (Bug #18237189, Bug
       #71544)

     * A new Create Missing Local Connections option was added
       to the right-click context menu on the Home screen. It
       attempts to identify and create connections to locally
       installed MySQL servers. (Bug #17454766, Bug #70150)

     * A specific connection string can now be passed to the
       --query command-line option at startup, in the form of
       "--query user@host:port". If this connection string does
       not already exist, then it will be created. (Bug
       #17353691, Bug #70134)

     * MySQL Workbench now checks if the lower_case_table_name
       variable is correctly set on Microsoft Windows and OS X
       systems. If not, then MySQL Workbench will display a
       dialog after connect, and emit a warning message when
       performing synchronization or reverse engineering
       actions. (Bug #14802853)

     * New Report a Bug functionality now opens a browser with
       the MySQL bug page pre-populated with MySQL Workbench
       data. This also allows MySQL Workbench to be fully
       manipulated while submitting the bug report. (Bug
       #14079590, Bug #65258)

Bugs Fixed


     * Adding and then immediately deleting the same MySQL
       connection from within the Synchronize With Any Source
       wizard would emit an error such as "Unable to cast object
       of the type mysql.forms.seperationitem to type system
       string." (Bug #18449191, Bug #71501)

     * FOUND_ROWS() (after a SQL_CALC_FOUND_ROWS statement)
       returned 1 (true) instead of the number of found rows.
       (Bug #18342953, Bug #71920)

     * The local private key file for an SSH connection when
       executing Remote Connection in MySQL Workbench through
       SSH could not be saved to a folder with accented
       characters. (Bug #18328846, Bug #71800)

     * Exported JSON string delimiters used double quotes
       instead of single quotes, and the exported JSON file
       extension changed from .js to .json. (Bug #18314718, Bug
       #71846)

     * Some user interface (UI) elements explicitly set a
       background color but not a font color, and vice-versa.
       (Bug #18305958, Bug #71828)

     * On OS X, the Find button was grayed out (disabled). (Bug
       #18290813, Bug #68949)

     * On OS X, using key shortcuts to record marker positions
       #3 and #4 on the modeling canvas did not function, as
       these shortcuts (Command + Shift + 3 and Command + Shift

       + 4) are predefined to execute screenshot features. (Bug
       #18268043)

     * A Show schema name diagram preference was added. If
       enabled, it shows the schema name in the table heading of
       an EER Diagram. (Bug #18268014, Bug #71592)

     * The Shift + Control + Arrow Key (left or right) now moves
       the cursor word-by-word in the SQL code editor, to go
       along with the character-by-character Shift + Arrow Key
       functionality. (Bug #18267537)

     * On Linux, the audit log inspector did not function when
       there were not spaces in the "ls" date column. On some
       Linux variants, such as SLES 11, "ls -l" outputs a date
       format like "2014-02-14" instead of "Feb 14". (Bug
       #18257020)

     * On Linux, a scheduled and executed MEB Online Backup
       would not output the error log to stderr. Also, the saved
       log file was always named $BACKUP_NAME.log, by using the
       literal '$BACKUP_NAME' instead of parsing it as a
       variable. (Bug #18243667, Bug #71674)

     * MySQL Workbench will now see the NO ACTION and RESTRICT
       referential action options as two different options. (Bug
       #18237503, Bug #71499)

     * On OS X, pressing Shift would interfere with the Option +
       Arrow word-by-word selector operation, and would instead
       change it to a character-by-character operation. (Bug
       #18237104, Bug #64358)

     * On Linux, the Help, View Reported bugs link (to view
       current MySQL Workbench bugs) was broken. Its path
       included "WB%2520bugs" instead of "WB%20bugs". (Bug
       #18231109, Bug #71668)

     * The Check for updates operation failed to function for
       the commercial edition. (Bug #18225980, Bug #16879533,
       Bug #69346)

     * After copying and pasting tables within the Alter Table
       panel, clicking Apply would return "No changes detected"
       instead of detecting the changes. Copied and pasted
       entries (from the clipboard) are now detected and saved.
       (Bug #18205924, Bug #71632)

     * When migrating from Microsoft SQL Server, nVarchar(n)
       columns would always migrate to a MySQL VARCHAR(n) column
       that was twice the size. (Bug #18195599, Bug #71608)

     * While executing the Migration Wizard, successfully
       entered credentials during a Test Connection remained in
       cache until the migration tab was closed, despite the
       Save password in keychain option not being enabled. The
       connection is now closed after executing Test Connection.
       (Bug #18195389)

     * When migrating from Microsoft SQL Server, column names
       greater than 64 characters were automatically renamed
       with the object migration component. The schema creation
       created the new table structure as expected, but later
       the bulk migration bulk data transfer attempted to import
       data to the original column names. (Bug #18168027, Bug
       #71532)

     * When migrating from Microsoft SQL Server, mapping a
       VARCHAR column to TEXT would still attempt to migrate it
       to VARCHAR, which could yield an error if the VARCHAR
       exceeded the maximum size. It now properly maps to TEXT.
       (Bug #18167872, Bug #71036)

     * Saved connections would sometimes not function (connect)
       properly unless the password was saved to the local
       vault. (Bug #18154787)

     * The values "true" and "false" are now converted to "1"
       and "0" if the column is a BOOLEAN or TINYINT. Also,
       synchronizing a BOOLEAN against a TINYINT no longer
       generates any differences, when before it might generate
       SQL that "changed" TINYINT columns to TINYINT. (Bug
       #18124474, Bug #71458)

     * The Store connection for future usage option in the
       Database Migration wizard did not store the defined MySQL
       connections. (Bug #18124149)

     * When migrating from Microsoft SQL Server, DECIMAL(n, n)
       columns did not properly migrate to BIGINT(n). (Bug
       #18105487, Bug #71379)

     * When migrating from Microsoft SQL Server, Varchar(MAX) is
       now imported as LONGTEXT, instead of the erroneous
       VARCHAR(-1). (Bug #18105486, Bug #71253)

     * On Linux, using a GTK theme with light font colors would
       cause the schema listing to be difficult to read. (Bug
       #17958777, Bug #71141)

     * Altering a table's comment would immediately move the
       cursor position to the end of the comment. A workaround
       was to copy-n-paste a comment into this window. (Bug
       #17945616, Bug #70970)

     * After creating an InnoDB table with a primary key,
       dropping it and then creating the same table with MyISAM
       but without a primary key would fail with a "missing
       primary key" error. (Bug #17843045, Bug #70982)

     * MySQL Workbench failed to reverse engineer tables
       containing TIME(n) and DATETIME(n) (fractional timestamp)
       columns. (Bug #17559837, Bug #70515)

     * Executing Execute Now for a defined backup job would
       finish successfully, but would also report an error. (Bug
       #17408250)

     * When multiple versions of MySQL Enterprise Backup were
       installed, the MySQL Backup Command Path would include
       both paths. Now, the first discovered path is used, and a
       warning about having multiple MySQL Enterprise Backup
       installations is logged. (Bug #17367584)

     * The MySQL keywords were sometimes blank (missing) in the
       SQL Additions panel. (Bug #17346343, Bug #70116)

     * The Migration Wizard Overview text was updated to reflect
       better grammar. (Bug #17283213)

     * When too many tabs are present in MySQL Workbench, a
       double arrow now appears in the right top corner. When
       clicked, a list of the hidden tabs will appear. (Bug
       #16757127, Bug #69091)

     * The MySQL Workbench Scripting Shell did not allow tabs or
       spaces for indentation in interactive Python scripts. A
       workaround was to instead create and execute script
       files. (Bug #14520728, Bug #66451)

     * Sometimes the Report Bug window would remain open, even
       after pressing Cancel. (Bug #14495624, Bug #66084)

     * The panel dimensions for an EER diagram are now
       preserved. This left panel stores the descriptions,
       properties, and history tabs. (Bug #13972049, Bug #64661)

     * The Synchronize Model routine would only notice changes
       to some triggers, while ignoring changes to others. It
       would not update these triggers even if forced by using
       the Update Source button. (Bug #11766750, Bug #59934)

     * MySQL Workbench would allow a table group to be renamed
       using a reserved MySQL keyword. (Bug #11763690, Bug
       #56431)

Changes in MySQL Workbench 6.1.2 (2014-03-04, Beta)


     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The ability to select multiple processes in the Client
       Connections table was added. (Bug #18043979)

     * When an error is generated while synchronizing a model to
       a database, the statement causing the error is now
       displayed alongside the generated error. (Bug #13702410,
       Bug #64208)

     * Create Model from SQL Script with Place imported objects
       on a diagram checked now prompts to configure the diagram
       dimensions, which is especially useful when a lot of
       objects are imported. (Bug #11764060, Bug #56848)

     * The validation routine now checks whether a column
       referred to by an FK has the same character set as the
       source column. (Bug #11749091, Bug #38136)

Bugs Fixed


     * The following sequence would crash MySQL Workbench:
       Execute a standard SELECT statement in the SQL editor,
       right-click on a row from the results, click on another
       row when the context-menu appears (to close it), and then
       right-click on another row from the results. (Bug
       #18237466, Bug #71238)

     * Data Export could only be opened once per session. If the
       connection was closed and reconnected, then it would work
       again (but only once). (Bug #18149809, Bug #71506)

     * The Visual Explain feature did not function with MySQL
       Server 5.7. (Bug #18141803, Bug #71464)

     * On OS X, general stability improvements were made to the
       codebase. (Bug #18132375, Bug #71473)

     * Executing a DROP from within the UI (via right-click on a
       database in the schema navigator) would cause the UI to
       freeze while the DROP operation was executed. (Bug
       #18123337, Bug #71457)

     * On OS X, Command + F did not open a search box in the SQL
       editor. (Bug #18055066, Bug #71326)

     * Having SQL_MODE set to "MYSQL40" would not allow the
       ALTER TABLE action to create new columns in MySQL
       Workbench. (Bug #18055044, Bug #64741)

     * Dropping a schema that had non-committed or reverted
       transactions could crash MySQL Workbench, but now the
       drop statement is executed as a user command so it can be
       aborted. (Bug #18054944, Bug #71327)

     * After editing an SQL file from outside of MySQL Workbench
       that was also open inside MySQL Workbench, a refresh
       would update a different (wrong) SQL editor tab in MySQL
       Workbench. (Bug #18051499, Bug #71321)

     * A MEB backup could not be scheduled for December 31. (Bug
       #18019619)

     * On OS X, executing Synchronize Database could crash MySQL
       Workbench. (Bug #18000412, Bug #71203)

     * Sorting by a column would sort the data starting with
       uppercase characters first, before sorting the lower case
       strings. The sorting algorithm now behaves like a typical
       ORDER BY clause, which does not prioritize uppercase
       characters. (Bug #17993866, Bug #71195)

     * On OS X, the auto-completion popup window remained until
       reopening MySQL Workbench. (Bug #17799326, Bug #18281362,
       Bug #70912, Bug #71771)

     * On Microsoft Windows, increased support for "High
       Contrast" modes was added. (Bug #17694247, Bug #70750)

     * MySQL Workbench would freeze when the connected MySQL
       server stopped responding, when the context help was
       running. (Bug #17667094)

     * The SQL editor could lose newline characters. The new
       forms editor is useful for this type of input, as the
       newlines are preserved. (Bug #17559560, Bug #70519)

     * While executing Database, Synchronize Model..., adding a
       ROW_FORMAT definition (such as "ROW_FORMAT = COMPACT;")
       would not add a valid ROW_FORMAT definition on the next
       execution of Synchronize Model..., and instead an invalid
       (empty) "ROW_FORMAT =" was added. (Bug #17454626, Bug
       #70129)

     * After creating two tables with an n:m relationship,
       attempting to create an n:m identifying relationship
       between the two tables would yield a misleading prompt
       that read "Select the Table to receive the Foreign Key."
       (Bug #17449878, Bug #67864)

     * When configuring an SSH connection, MySQL Workbench
       initially shows the $HOME directory, and hides all
       directories configured to be hidden, which often includes
       files and directories that begin with a dot. This means
       that the commonly used ~/.ssh/ directory is hidden by
       default. You can now right-click over the "Open File..."
       window and view a menu with the Show hidden files option.
       A workaround was to type in the full path to the .ssh
       directory. (Bug #17439032, Bug #70291)

     * The Search Table Data tool failed to function when used
       to search multiple schemas. (Bug #17404072, Bug #70232)

     * The diagram page size is now properly passed on to
       printer driver. For example, defining a diagram with an
       A3 page size now sends A3 to the printer driver, when
       before it reverted to A4. (Bug #17389155, Bug #70191)

     * When executing Database, Synchronize with any source on a
       model, the model schema was unintentionally renamed when
       enabling the Override Target option. (Bug #17299799)

     * On Microsoft Windows, Control + V would not paste a
       copied diagram. (Bug #17299778)

     * Using Create EER Model from Script would sometimes close
       the model without defining a schema. (Bug #17299745)

     * On Microsoft Windows, the Indexes section would disappear
       after restoring (after an undo) a table change from the
       history tab. (Bug #17299519)

     * Tables created with the n:m identifying relationship tool
       were missing the created timestamp. (Bug #17050577, Bug
       #69656)

     * On Linux, when closing a script tab that carried unsaved
       changes in the SQL editor, the model dialog that prompted
       to "save the script first" could become hidden behind the
       main MySQL Workbench window. (Bug #16672658, Bug #68802)

     * Selecting an element in a section (when the section was
       longer than the visible part of the overview panel) would
       scroll the view back up to the top of the panel, instead
       of preserving the current cursor focus. (Bug #14520978,
       Bug #66420)

     * The Scripting file chooser would generate an exception
       (without an option to cancel) when an unsupported file
       type was selected. A new Cancel button was added to this
       dialog. (Bug #14520515, Bug #66453)

     * The birds-eye image of the object canvas in the navigator
       view of the model sidebar did not always show the correct
       z-order, when objects overlapped on the canvas. (Bug
       #14456188)

     * Using a MySQL script that started with an empty line to
       create an EER diagram would generate an empty EER
       diagram. (Bug #14278179, Bug #65749)

     * When setting "On Delete" and "On Update" to "SET NULL" on
       Foreign Key fields that were marked as "NOT NULL", a
       generic "ERROR: Error 1005: Can't create table" error was
       emitted. The generated error is now more specific. (Bug
       #13029457, Bug #62464)

     * While creating a column with the serial data type
       generates a NOT NULL constraint with a UNIQUE INDEX for
       the column, MySQL Workbench would complain about a
       missing Primary Key. (Bug #11762455, Bug #55051)

     * When executing Database, Synchronize Model, the Model and
       Database Differences step now expands the folder of each
       database that contains differences. (Bug #11758101, Bug
       #50251)

     * Relationship lines now snap to the closest snap point,
       rather than the most recently passed-over snap point.
       (Bug #11755408, Bug #47178)

Changes in MySQL Workbench 6.1.1 (2014-01-23, Beta)

   This is the first public release of the 6.1.x branch. It
   includes fixes from the 6.0.x branch up to 6.0.9.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A MEB interface now allows MEB users to be added,
       configured and validated inside MySQL Workbench so that a
       user has the correct privileges to operate MEB. (Bug
       #17314254)

     * Dragging objects from the schema tree to the code editor
       now inserts the object name at the drop position. For
       example, dragging a table object will insert the table
       name. (Bug #11766411, Bug #59514)

     * Files can now be dragged and dropped into MySQL
       Workbench, which opens the file in a new SQL editor tab.
       (Bug #11760313, Bug #52710)

     * The restore operation can restore to a different schema.
       (Bug #11759068, Bug #51351)

     * A caption can now have a solid background in classic
       relationships and/or tables. (Bug #11753926, Bug #45452)

     * Comments added with the File, Export, Forward Engineer
       SQL CREATE Script... action would not be transferred to
       the generated SQL file. (Bug #11748708, Bug #37174)

Bugs Fixed


     * Sometimes, when exporting an EER diagram to SQL, the
       generated SQL code did not include "DROP SCHEMA"
       statements even with the Generate DROP SCHEMA option
       checked. (Bug #18054932, Bug #71243)

     * On Linux, the Cancel button was written as "Cance" on
       some systems, depending on the GTK theme used on the
       system. (Bug #18042862, Bug #71106)

     * Ubuntu 13.10 is now supported. (Bug #18042416, Bug
       #71281)

     * MySQL Workbench now builds on Debian 7.0-unstable. (Bug
       #18041235, Bug #71156)

     * One tab could execute the query from a different tab,
       after swapping tabs. (Bug #17903147, Bug #71029)

     * From MySQL Notifier, and with multiple MySQL instances
       installed, clicking Configure Instance... from MySQL
       Notifier, and then choosing the instance to configure in
       MySQL Workbench, could crash MySQL Workbench. (Bug
       #17853197)

     * On Linux, renaming foreign keys and indexes would crash
       MySQL Workbench. (Bug #17841664, Bug #70977)

     * Executing a DROP failed when multiple views were selected
       in the schema navigator panel. For example, selecting two
       views would generate an error such as "join() takes
       exactly one argument (2 given)". (Bug #17840809, Bug
       #70978)

     * Toggling the Additions and Output panel as hidden is now
       preserved across MySQL Workbench sessions. (Bug
       #17833296, Bug #70965)

     * On Linux, building MySQL Workbench from source would
       generate many glib related warnings with newer versions
       of glib. (Bug #17813170, Bug #70932)

     * After creating a new view inside a model, clicking Add
       View would display a new view in the editor this new
       could not be saved. (Bug #17796027, Bug #70904)

     * The --routines command line option was missing from the
       generated mysqldump command when multiple schemas were
       selected for a dump into a single file backup when the
       routines option was enabled. This could happen after
       executing the dump multiple times. (Bug #17795551, Bug
       #70896)

     * Executing Model, Forward Engineering with the Do not
       create users, only export privileges option enabled would
       recreate the user instead of simply changing privileges
       for the existing user. (Bug #17794653, Bug #70903)

     * When building from source and without building the
       documentation, the documentation link will open the
       online MySQL Workbench manual. (Bug #17788936, Bug
       #70873)

     * Adding a new table to an empty EER diagram would crash
       MySQL Workbench. (Bug #17775383, Bug #70872)

     * On OS X, switching colors with layers and tables several
       times could eventually cause a crash. (Bug #17758312, Bug
       #70841)

     * Opening MySQL Workbench from the MySQL Notifier by
       choosing SQL Editor on a remote MySQL connection could
       crash MySQL Workbench. (Bug #17751731)

     * MySQL Workbench displayed an empty binary string as NULL.
       (Bug #17741282, Bug #70817)

     * The Inserts tab under Forward Engineering would sometimes
       unexpectedly fail. (Bug #17698069, Bug #70747)

     * The ENUM type now corresponds better to its definition
       better under Model, User Defined Types, to allow
       arguments. (Bug #17633506, Bug #70671)

     * On Microsoft Windows and OS X, the bundled PyCrypto
       library was upgraded to version 2.6.1. (Bug #17615430)

     * If a Linux box had multiple MySQL instances running, the
       status would be reported as "running" for all instances
       even if only one or more of them were running. (Bug
       #17516593)

     * MySQL Workbench could crash when using a MySQL connection
       that connects via an SSH tunnel with success, but is
       defined using incorrect MySQL server credentials. A
       dialog now requests the correct information. (Bug
       #17456433, Bug #70332)

     * Having a long comment (more than 60 characters for table,
       or more than 255 characters for a column) in the model,
       single quotes or newlines after this length would result
       cause Forward engineer SQL Alter Script... to not include
       objects after the offending comments in the exported
       file. (Bug #17455899, Bug #69776)

     * Attempting to change a trigger name in an EER Diagram
       would crash MySQL Workbench. (Bug #17425655, Bug #70257)

     * The catalog treeview for an EER diagram was replaced by a
       central control with improved handling, which allows
       MySQL Workbench to worth more smoothly with a large
       number of tables. (Bug #17370413, Bug #69692)

     * Opening a valid MySQL connection would sometimes yield a
       window with a wide SQL editor panel. (Bug #17300438)

     * Under certain scenarios, the File, Print to File...
       action would not allow models to be unchecked. (Bug
       #17300434)

     * On OS X, opening a local MySQL connection to a MySQL
       server that was unavailable would generate an unhandled
       exception. (Bug #17300002)

     * Indexes that were auto-created for a Foreign Key can now
       be deleted in case another suitable index was available.
       (Bug #17275827, Bug #69937)

     * On OS X, an option to Disable column Resizing or continue
       is now displayed when a query is determined to display
       too many columns. This works around a Cocoa issue that
       could potentially freeze MySQL Workbench. (Bug #17085770,
       Bug #69613)

     * Model synchronization would complete, but if repeated
       then MySQL Workbench would ask to update the database
       again. (Bug #17033354, Bug #69591)

     * Changing the collation type would not always be detected,
       as "No changes detected" would be reported after
       attempting to apply the change. (Bug #16492371, Bug
       #68672)

     * On OS X, right-clicking inside the code area of the
       Script editor did not provide the copy and paste
       commands. (Bug #16276986)

     * The MySQL Forums link on the MySQL Workbench home page
       was updated, and it now links to a MySQL Workbench page
       that also links to the MySQL Workbench - Database
       Migration forum, when before it was difficult to find.
       (Bug #14773380, Bug #67272)

     * From Database, Reverse Engineer, and after selecting a
       schema with multiple tables, clicking the left or right
       arrow buttons with the Show Filter feature to
       include/exclude tables would lose the cursor position,
       and always move the cursor to the top of the list. (Bug
       #14017237, Bug #65018)

     * For models, tables can now be renamed by double-clicking
       the name column, and the columns edited. (Bug #13702831,
       Bug #64134)

     * MySQL Workbench could crash after choosing Recover when
       prompted to recover a model file from a previous session
       after MySQL Workbench was not closed properly. (Bug
       #13051204, Bug #62589)

     * A large SQL script file could not be saved for a model,
       although a limit of around 200MB limit still exists. (Bug
       #13025333)

     * Applying an large SQL Script object to a model could
       crash MySQL Workbench. (Bug #13025299)

     * The full path to the model file is now displayed in the
       Models section in the home page. (Bug #12616312, Bug
       #61349)

     * On Linux, executing Export to Disk with a custom ~/my.cnf
       present would cause the export to fail. (Bug #12613307,
       Bug #58526)

     * The temporary table created would only include one column
       ID rather than the full table when a view statement
       contained a subquery. This caused processing problems
       when attempting to use the exported scripts.
       A workaround was to recreate the view object by deleting
       the dependent view definitions and replacing them with
       new view definitions. (Bug #11765994, Bug #59018)

     * The "Scratch" SQL editor tabs were removed, and instead
       standard SQL editor tabs are always opened. (Bug
       #11765876, Bug #58882)

     * Importing an invalid model could crash MySQL Workbench,
       but now an error is generated. (Bug #11765756, Bug
       #58752)

     * On Microsoft Windows, opening and closing models/diagrams
       would increase the number of open GDI (Graphics Device
       Interface) objects as they were kept in memory for the
       undo queue. The required memory for this task was
       decreased. (Bug #11765437, Bug #15998212, Bug #58405, Bug
       #67870)

     * Editing a mandatory relationship now updates the
       referenced column. (Bug #11764011, Bug #56792)

     * On the index tab in the table editor, the option to
       change the "PRIMARY" text had no effect. (Bug #11761805,
       Bug #54331)

     * General sorting improvements were made to the SQL
       statement results matrix, including changes to remove
       variances with different platforms. A selected column
       stays set after a sort, and selecting a column while
       holding Shift adds the column to the sort criteria, thus
       sorting by multiple columns. (Bug #11760178, Bug #52561)

     * The Schema Privileges tab was hidden in the Schema
       editor, and is now more viewable. (Bug #11758814, Bug
       #51066)

     * The Copy and Paste keyboard shortcut did not always
       function from within table cells in all environments.
       (Bug #11755245, Bug #46994)

     * Zooming out from an EER diagram would also reduce the
       size of the associated tooltips, which rendered the
       tooltips unreadable. (Bug #11749683, Bug #39609)

Changes in MySQL Workbench 6.1.0 (Not released, Internal)

   This is the first private alpha release of the 6.1.x branch.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A global Arrange, Align to Grid preference was added,
       which affects the Snap To Grid option in the EER Diagram
       editor. (Bug #11754669, Bug #46306)

     * The 'Visual Explain' feature was rewritten with a new
       layout. The raw EXPLAIN output and JSON output are also
       displayed.

     * A new Performance Dashboard was added to the Navigator.
       It is a graphical representation of the data/query flow
       of the connected MySQL server that shows status info from
       SHOW STATUS, P_S and other places.

     * A new Performance Reports page was added to the
       Navigator. It provides a list of Performance Schema based
       server-wide performance reports.

     * A Thread Stack view was added, and can be accessed by
       right-clicking a connection entry in the Client
       Connections tab and choosing View Thread Stack.

Bugs Fixed


     * On the home screen, the model tile layout is wider, and
       tooltips were added in case the title does not fit. (Bug
       #17959942, Bug #71154)

     * When using the main menu to load the administration
       pages, the tabs only appear or switch if the
       administration tab was open, and not yet closed. (Bug
       #17753473)

     * Event privileges manipulation was added to Server, Users
       and Privileges under the Schema Privileges tab. (Bug
       #17733771, Bug #70810)

     * MySQL Workbench now checks and validates MEB related
       variables before use, when before it assumed they were
       always defined. (Bug #17509559)

     * Browsing the "Backup Storage directory" would generate an
       unhandled exception. The sequence for this browsing is
       Online Backup, New Job, Options, Browse. (Bug #17307519)

     * A new MySQL Utilities installation was not detected when
       installed while MySQL Workbench was open. (Bug #17307175)

     * Checking the Server Status of a remotely managed MySQL
       connection would throw an unhandled exception when
       pressing OK at the password prompt, after not entering a
       password. (Bug #17300394)

     * On Microsoft Windows, the plugin icon was cropped if a
       plugin was installed. (Bug #17300272)

     * Information in the Object Info panel could not be copied
       to the clipboard. (Bug #15884708, Bug #67587)

     * With modeling, a red key now indicates that a key is both
       a PK and FK. This coincides with a red diamond
       representing FKs, and a yellow key for PKs. (Bug
       #11761658, Bug #54172)

Changes in MySQL Workbench 6.0

   For detailed information about the new features, see What's
   New in MySQL Workbench 6.0
   (http://dev.mysql.com/doc/workbench/en/wb-what-is-new-60.html
   ).

Changes in MySQL Workbench 6.0.9 (2014-02-05, General Availability)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 6.0.8.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The restore operation can restore to a different schema.
       (Bug #11759068, Bug #51351)

Bugs Fixed


     * Sometimes, when exporting an EER diagram to SQL, the
       generated SQL code did not include "DROP SCHEMA"
       statements even with the Generate DROP SCHEMA option
       checked. (Bug #18054932, Bug #71243)

     * On Linux, the Cancel button was written as "Cance" on
       some systems, depending on the GTK theme used on the
       system. (Bug #18042862, Bug #71106)

     * Ubuntu 13.10 is now supported. (Bug #18042416, Bug
       #71281)

     * MySQL Workbench now builds on Debian 7.0-unstable. (Bug
       #18041235, Bug #71156)

     * One tab could execute the query from a different tab,
       after swapping tabs. (Bug #17903147, Bug #71029)

     * On Linux, renaming foreign keys and indexes would crash
       MySQL Workbench. (Bug #17841664, Bug #70977)

     * On Linux, building MySQL Workbench from source would
       generate many glib related warnings with newer versions
       of glib. (Bug #17813170, Bug #70932)

     * After creating a new view inside a model, clicking Add
       View would display a new view in the editor this new
       could not be saved. (Bug #17796027, Bug #70904)

     * The --routines command line option was missing from the
       generated mysqldump command when multiple schemas were
       selected for a dump into a single file backup when the
       routines option was enabled. This could happen after
       executing the dump multiple times. (Bug #17795551, Bug
       #70896)

     * Executing Model, Forward Engineering with the Do not
       create users, only export privileges option enabled would
       recreate the user instead of simply changing privileges
       for the existing user. (Bug #17794653, Bug #70903)

     * When building from source and without building the
       documentation, the documentation link will open the
       online MySQL Workbench manual. (Bug #17788936, Bug
       #70873)

     * Adding a new table to an empty EER diagram would crash
       MySQL Workbench. (Bug #17775383, Bug #70872)

     * On OS X, switching colors with layers and tables several
       times could eventually cause a crash. (Bug #17758312, Bug
       #70841)

     * The Inserts tab under Forward Engineering would sometimes
       unexpectedly fail. (Bug #17698069, Bug #70747)

     * The ENUM type now corresponds better to its definition
       better under Model, User Defined Types, to allow
       arguments. (Bug #17633506, Bug #70671)

     * On Microsoft Windows and OS X, the bundled PyCrypto
       library was upgraded to version 2.6.1. (Bug #17615430)

     * MySQL Workbench could crash when using a MySQL connection
       that connects via an SSH tunnel with success, but is
       defined using incorrect MySQL server credentials. A
       dialog now requests the correct information. (Bug
       #17456433, Bug #70332)

     * The catalog treeview for an EER diagram was replaced by a
       central control with improved handling, which allows
       MySQL Workbench to worth more smoothly with a large
       number of tables. (Bug #17370413, Bug #69692)

     * Under certain scenarios, the File, Print to File...
       action would not allow models to be unchecked. (Bug
       #17300434)

     * Indexes that were auto-created for a Foreign Key can now
       be deleted in case another suitable index was available.
       (Bug #17275827, Bug #69937)

     * Model synchronization would complete, but if repeated
       then MySQL Workbench would ask to update the database
       again. (Bug #17033354, Bug #69591)

     * Changing the collation type would not always be detected,
       as "No changes detected" would be reported after
       attempting to apply the change. (Bug #16492371, Bug
       #68672)

     * The MySQL Forums link on the MySQL Workbench home page
       was updated, and it now links to a MySQL Workbench page
       that also links to the MySQL Workbench - Database
       Migration forum, when before it was difficult to find.
       (Bug #14773380, Bug #67272)

     * From Database, Reverse Engineer, and after selecting a
       schema with multiple tables, clicking the left or right
       arrow buttons with the Show Filter feature to
       include/exclude tables would lose the cursor position,
       and always move the cursor to the top of the list. (Bug
       #14017237, Bug #65018)

     * For models, tables can now be renamed by double-clicking
       the name column, and the columns edited. (Bug #13702831,
       Bug #64134)

     * MySQL Workbench could crash after choosing Recover when
       prompted to recover a model file from a previous session
       after MySQL Workbench was not closed properly. (Bug
       #13051204, Bug #62589)

     * A large SQL script file could not be saved for a model,
       although a limit of around 200MB limit still exists. (Bug
       #13025333)

     * Applying an large SQL Script object to a model could
       crash MySQL Workbench. (Bug #13025299)

     * The "Scratch" SQL editor tabs were removed, and instead
       standard SQL editor tabs are always opened. (Bug
       #11765876, Bug #58882)

     * Editing a mandatory relationship now updates the
       referenced column. (Bug #11764011, Bug #56792)

     * The Schema Privileges tab was hidden in the Schema
       editor, and is now more viewable. (Bug #11758814, Bug
       #51066)

     * The Copy and Paste keyboard shortcut did not always
       function from within table cells in all environments.
       (Bug #11755245, Bug #46994)

Changes in MySQL Workbench 6.0.8 (2013-11-07, General Availability)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 6.0.7.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A new MySQL Workbench preference (Preferences, SQL
       Editor) was added that sets the default comment type that
       is generated in the SQL Editor when clicking the "add
       comment" key combination. It can be either "--" (default)
       or "#". (Bug #16679373, Bug #68708)

Bugs Fixed


     * When creating a table on a model diagram, an unhandled
       NULL reference exception was thrown when a second layer
       was drawn under some tables. (Bug #17561185, Bug #70518)

     * When forward engineering an SQL CREATE script, checking
       the Omit Schema Qualifier preference would correctly
       remove the schema name from the CREATE statements, but it
       incorrectly left the schema name on the GRANT statements.
       Command sequence: File, Export, Forward engineer SQL
       CREATE script. (Bug #17516695, Bug #70438)

     * On Microsoft Windows 7, under some circumstances MySQL
       Workbench would not connect to a MySQL server on a RHEL 5
       host. (Bug #17516617)

     * Restoring an incremental backup from a remote MySQL
       server would emit an unexpected error that referred to
       the WbAdminControl object. (Bug #17516320)

     * On Microsoft Windows, having an empty SQL file saved in
       the AppData path would cause MySQL Workbench to not
       start.
       A workaround was to delete the empty SQL file before
       starting MySQL Workbench. (Bug #17512088, Bug #70262)

     * On Linux, the Action Output would not auto scroll to
       place the latest action (executed SQL statement) in view.
       (Bug #17512005, Bug #70421)

     * With Use most recent backup checked, an incremental
       backup made after another incremental backup would not be
       restored if the previous incremental backup failed. (Bug
       #17509626)

     * On Microsoft Windows, after executing Search Table Data
       and viewing the results, right-clicking on a row and
       choosing Copy Query for Matches from the context menu
       would crash MySQL Workbench. (Bug #17506404, Bug #70411)

     * Executing Forward Engineer the Model to the local DB
       would generate an unexpected error. (Bug #17496362)

     * In the data result grid, selecting multiple fields and
       choosing Set Field(s) not Null from the context-menu
       would not alter the data. (Bug #17495179, Bug #70381)

     * An empty SQL script file could not be saved from within
       MySQL Workbench, and attempting this action would
       generate an unexpected error. (Bug #17468833, Bug #70365)

     * The Forward Engineer - SQL Create Script wizard would
       generate the LOCK TABLES privilege at the table level,
       instead of the database level. (Bug #17468314, Bug
       #70310)

     * An unhandled exception would be thrown if the audit.log
       file was missing. (Bug #17452099, Bug #70323)

     * Data Import/Export for self-contained data will now only
       select *.sql files by default, and if an extension is not
       defined during an export, the extension will be set to
       .sql. (Bug #17449969, Bug #69069)

     * When exporting a model with multiple routines as an SQL
       Script, under some circumstances a deliminator was
       missing after a routine in the generated SQL. (Bug
       #17448702, Bug #70313)

     * Backup operations now use the SOCKET protocol on Linux to
       make connections, and on Windows it uses TCP (if
       networking is enabled), as otherwise PIPE is used. (Bug
       #17440001, Bug #70295)

     * MySQL Workbench now uses the --defaults-file option when
       executing mysqlbackup. (Bug #17439084, Bug #70293)

     * On Linux, improvements were made to the check that tested
       if the backup directory was writable. This check now uses
       the Linux test command, instead of a temporary file
       creation/deletion. (Bug #17439061, Bug #70292)

     * On OS X, opening a new model and pressing the "Add EER
       Diagram" button from the toolbar would crash MySQL
       Workbench.
       A workaround was to click "Add EER Diagram" from the
       navigation or context menus. (Bug #17437387, Bug #70284)

     * The fetch_documentation.sh script was removed from the
       MySQL Workbench source download, as it referred to (and
       required) fetching documentation from internal URLs. (Bug
       #17435353, Bug #70279)

     * Clicking Alter Table on a table with multiple triggers
       would sometimes generate an error. Trigger handling was
       improved to avoid such errors. (Bug #17432083, Bug
       #70244)

     * Scrolling down an SQL file and executing a statement
       (Control + Enter) would scroll the window back to the
       top. The cursor now remains, even when the window is
       resized. (Bug #17399972, Bug #15837541, Bug #70221, Bug
       #67465)

     * Double-clicking on an Audit Log File row would generate
       an unexpected error. (Bug #17376494)

     * Viewing the Client Connection could generate an unhandled
       exception if a connection had a very large connection
       time. (Bug #17375435, Bug #70174)

     * Clicking Online Backup after deleting the configured
       MySQL Enterprise Backup directory (such as
       C:\MySQLBackupHome) would throw an unhandled exception.
       Validation was added, a profile status icon was added to
       the backup screen, and MySQL Workbench now redirects to
       the Settings page instead of emitting an error. (Bug
       #17375285)

     * While migrating a Microsoft SQL Server database to MySQL,
       database names with periods failed, and now the periods
       are replaced with underscores. For example, "foo.bar"
       will become "foo_bar". (Bug #17370098, Bug #70170)

     * After selecting a table in the Catalog tab of the Catalog
       Tree pane, choosing Insert new row from the Edit Table...
       context menu would emit an unexpected error. (Bug
       #17357020, Bug #70140)

     * After editing a trigger in the model tab, switching tabs
       (such as loading a connection or SQL editor tab) would
       cause the new trigger edits to disappear. (Bug #17348212,
       Bug #70122)

     * On Microsoft Windows, the mouse pointer inside an SQL
       Editor tab would rapidly change from pointer to cursor
       when the mouse was moved, thus creating a repeatedly
       flashing event. (Bug #17347406, Bug #70119)

     * Open query tabs were not persistent (reopened) after
       reopening MySQL Workbench. (Bug #17341182, Bug #17456474,
       Bug #17314977, Bug #70107, Bug #70325, Bug #70035)

     * On OS X, the full field names in the Performance tab of
       the Option Files navigator page would not be fully
       visible. (Bug #17323870, Bug #70057)

     * Stored routine groups could not be updated via the group
       editor in the EER diagram.
       A workaround is to use individual routine group editors
       for each routine, by dragging the routine objects into
       the members list of the routine group editor to group
       them. (Bug #17323855, Bug #70059)

     * In the commercial edition of MySQL Workbench, the "MySQL
       Utilities" download button linked to the community
       version of MySQL utilities. It now links to the
       appropriate edition. (Bug #17316512, Bug #70049)

     * On OS X, clicking Get Timestamp Ranges after selecting
       the available current filename from the Audit Plugin
       would throw an unhandled exception. (Bug #17300059)

     * The Run, Script File sequence did not function. (Bug
       #17299680)

     * I/O writes were reduced, which was especially a problem
       visible when closing MySQL Workbench with tables that had
       over 500 columns. (Bug #17283888, Bug #68276)

     * The EER Diagram did not support some Chinese characters.
       (Bug #17275879, Bug #69933)

     * Having a !include in the MySQL configuration file would
       cause MySQL Workbench to crash at startup. (Bug
       #17271775)

     * The Close Other Tabs context-menu option did not close
       Table Editor tabs. (Bug #17235359, Bug #69850)

     * The innodb_buffer_pool_size and
       innodb_buffer_pool_instances configuration parameters
       were duplicated in the Options File (formerly the Server
       Administration) tab. They were listed in both the Buffer
       Pool and Memory" groups.
       Also, using MySQL Workbench to change these settings
       would generate a change that also altered whitespace in
       the MySQL configuration file. (Bug #16915510, Bug #69406)

     * Migrating a Microsoft Access database would crash at the
       Reverse Engineer Selected Schemata step. MySQL Workbench
       does not support the migration of Microsoft Access, so
       the migration wizard will now display an error (and halt
       operation) when attempting to migrate an unsupported
       database. (Bug #16529142, Bug #67584)

     * After adjusting the width of the Id or Time columns in
       the connection listing, the integer value was cut off
       without indication. The value is now shown, or an
       ellipses (...) is appended. (Bug #16464457, Bug #68593)

     * The Workbench Bug Reporter failed to log in to report a
       bug, even when using valid credentials. This bug
       reporting functionality was removed from MySQL Workbench.
       (Bug #16056820, Bug #14520752, Bug #67990, Bug #66343)

     * On Linux, WM_WINDOW_ROLE property is now properly set for
       all MySQL Workbench windows. (Bug #14171771, Bug #65537)

     * The Check for Updates, Submit a Bug Report, and Discuss a
       Topic MySQL Workbench buttons are now underlined when the
       mouse cursor hovers over them. (Bug #11758492, Bug
       #50704)

Changes in MySQL Workbench 6.0.7 (2013-09-03, General Availability)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 6.0.6.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A new option was added in the connection settings
       "Advanced" tab for toggling the secure_auth
       (useLegacyAuth) option, to optionally connect to legacy
       systems. (Bug #17313129, Bug #70023)

Bugs Fixed


     * On OS X, MySQL Workbench would not start due to a missing
       libmysqlclient.18.dylib dependency. (Bug #17402670, Bug
       #70229)

     * On Linux, font type and font size preference changes were
       not always preserved. (Bug #17382557, Bug #69691)

     * Attempts to copy fields between two diagrams in the
       Diagram Editor failed. (Bug #17381018, Bug #70072)

     * Entering a wrong password while attempting to unlock the
       Audit Log would generate an unhandled exception. (Bug
       #17376518)

     * When right-clicking on a database's function via a server
       connection through a SSH tunnel, MySQL Workbench would
       crash if the function definition lacked a comment. (Bug
       #17353664, Bug #70016)

     * Changing Target MySQL Version to 5.6 on an older Model
       will now allow configurable date related values, such as
       DATETIME(6), TIMESTAMP(6), and CURRENT_TIMESTAMP(6). (Bug
       #17350288, Bug #70125)

     * On Linux, the list of local IPs is no longer retrieved
       with the deprecated ifconfig command. A list of standard
       localhost IPs is used instead. (Bug #17348054, Bug
       #70118)

     * Under certain conditions, the Database, Manage
       Connections, Duplicate action failed to function. Such
       as, if a connection with No Remote Admin was enabled.
       (Bug #17345754, Bug #70097)

     * Toggling the Selection Database Objects to Import option
       for the Data Import/Restore options would throw an
       unhandled exception. (Bug #17338687, Bug #70089)

     * Under certain circumstances, the Stored Connections
       listing was empty. (Bug #17324160, Bug #70022)

     * With Enterprise Audit, it would report that auditing was
       enabled when pressing Enable Audit for a MySQL Server
       that was not running. (Bug #17317526)

     * On Microsoft Windows and with lower_case_table_names set
       to "1", attempting to create a schema name with only
       question marks ("???") using the Create New Schema action
       item would emit an error. (Bug #17314386, Bug #70040)

     * On Microsoft Windows, a MySQL Enterprise Backup job with
       a space in the profile name was not scheduled in the
       Windows Task Scheduler. Also, validation was added for
       invalid characters. (Bug #17314101)

     * On OS X, the SQL File tabs would not display the file
       names, and would instead display generic names like "SQL
       File 1". (Bug #17313835, Bug #70031)

     * The full and partial backup labels were updated, to be
       less confusing. (Bug #17313567)

     * With Enterprise Audit, the Delete Cache would sometimes
       fail and generate an error. (Bug #17300071)

     * The MySQL Enterprise Backup UI was updated to clarify
       when a backup is full or partial, and when a partial
       backup is full or incremental. (Bug #17299838)

     * The Browse Audit Log File feature would not always locate
       the Audit Log File. (Bug #17299818)

     * On Linux, MySQL Workbench 5.2 packages would not upgrade
       to MySQL Workbench 6.0. It was required to manually
       uninstall MySQL Workbench 5.2 first. (Bug #17291904)

     * On Oracle Linux, the built packages were missing a
       libtinyxml.so dependency. (Bug #17291888)

     * Privileges that do not have a corresponding user entry
       will now be displayed in MySQL Workbench, so that they
       can be properly deleted by the user. This includes the
       "test" database. (Bug #17278181, Bug #69934)

Changes in MySQL Workbench 6.0.6 (2013-08-12, General Availability)

   This is the first General Availability release of Workbench
   6.0.

Bugs Fixed


     * The description of the OEL packages was changed in My
       Oracle Support (MOS) from "Oracle Linux 6" to "Oracle
       Linux / RHEL 6". (Bug #16897390)

     * On Microsoft Windows, the C:\Program Files
       (x86)\MySQL\MySQL Workbench 6.0\ directory would remain
       (with some files) after uninstalling MySQL Workbench.
       (Bug #16657516)

     * On OS X, an empty the Model Overview tab was empty. (Bug
       #16464436, Bug #68596)

     * Reading a my.ini file that contained a non-commented line
       before the first [section] would cause a crash.

     * On Microsoft Windows, the Print to File feature could
       generate a corrupted PDF file.

     * On Microsoft Windows, MySQL Workbench would only detect
       the connection settings when the list of locally
       installed instances was detected. It now also detects the
       instance settings, such as the service name and
       configuration file location.

Changes in MySQL Workbench 6.0.5 (2013-08-01, Release Candidate)

   This is the first RC release of 6.0. It is meant for testing
   purposes, and should not be used in a production environment.

Bugs Fixed


     * The "Query duration / Fetch time" report failed to
       function properly. (Bug #17229322, Bug #69840)

     * On Microsoft Windows 8, MySQL Workbench would freeze due
       to font related issues.
       A workaround was to change the font using Edit,
       Preferences, Appearance to a font other than "Bitstream
       Vera Sans Mono 12." (Bug #17183318, Bug #69480)

     * The Rename functionality, from within the Fix Index Names
       dialog, did not report that the rename operation was
       successful. (Bug #14508931, Bug #66340)

     * MySQL Workbench would crash after excessive Control + C
       and Control + V operations on modeling objects.

     * On Microsoft Windows, code signing was enabled on the
       Windows executables.

     * When performing a Sybase ASE migration, the custom length
       for TEXT, UNITEXT, and IMAGE columns was fixed as they do
       not allow a custom length.

     * On Microsoft Windows, Consolas is now the default font,
       except in XP. This solves a potential freeze when opening
       the SQL editor in Microsoft Windows 8.

     * On Microsoft Windows, the log file viewer would emit an
       exception when very long log entries were present.

     * The mysql-workbench-gpl packages were renamed to
       mysql-workbench-community, and various RPM packaging
       fixes were made.

Changes in MySQL Workbench 6.0.4 (2013-07-24)

   This is the third public beta release of 6.0. It is meant for
   testing purposes, and should not be used in a production
   environment.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The Print to PDF... and Print to PS... menu items were
       merged into a single Print to File... menu item. This new
       menu item also now allows diagrams to be selected (or
       deselected). (Bug #17069956, Bug #69176)

     * MySQL Workbench will now detect file edit changes in the
       SQL editor. For example, you may now open an SQL file in
       MySQL Workbench, edit the same file in another text
       editor, and MySQL Workbench will detect the changes and
       update accordingly. (Bug #16744919, Bug #68950)

     * It is now possible to manually specify referenced tables
       and columns to alter forward engineering behavior. A stub
       table is created for this, which is not forward
       engineered. (Bug #14134769, Bug #61440)

     * The tab navigation feature now includes wrapping.
       Pressing Control + Tab (forward) with the last tab active
       will move to the first tab, and pressing Control + Shift

       + Tab (backward) with the first tab active will move to
       the last tab. (Bug #14096668, Bug #65354)

     * As requested, MySQL Workbench can be opened from Visual
       Studio (or most any application) as an external tool. The
       --query command line option accepts connection
       information, see --help for additional options. (Bug
       #14079584, Bug #65261)

     * Columns for the Foreign Key definition are now reordered
       to match that of the index they are associated with. (Bug
       #13344743, Bug #62930)

     * A sub-menu in the Query menu was added to change the row
       count limit.
       A workaround was to click the toolbar button "Toggle
       limitation of records number" in the results grid pane to
       set or unset the limit for a specific result set. (Bug
       #11763098, Bug #55765)

     * A page header and footer was added to the Print to
       File... output.
       A workaround option was to add a text field to the
       document and add your information there. (Bug #11762619,
       Bug #55233)

     * Support for opening SQL (*.sql and *.dbquery) files from
       the command line option was added.
       If only a .sql file is passed in, then a connection
       dialog will be opened so that a MySQL connection can be
       chosen. If the -query $connection option is also passed
       in, then the file will be opened using that MySQL
       connection. (Bug #11752504, Bug #43721)

Bugs Fixed


     * The Schema Transfer wizard text was difficult to read.
       (Bug #17163820, Bug #69747)

     * In the Model view, the "Accordion" style tabs would
       disallow scrolling when multiple tabs were open. For
       example, Physical Schemas would not scroll down to other
       options like Model Notes. (Bug #17154650, Bug #69635)

     * The Schema Privileges page was updated. Schema privileges
       can now only be added to the previously selected
       user/host pair. (Bug #17088972, Bug #68059)

     * Forward Engineer SQL Script would not create View
       definitions in the generated SQL script when Omit Schema
       Qualifier in Object Names was set, the resulting SQL
       script only contained definitions for the table. (Bug
       #17066617, Bug #69686)

     * It was not possible to execute statements with the
       PROCEDURE ANALYSE statement.
       A workaround was to remove the generated LIMIT clause.
       (Bug #17066330, Bug #69687)

     * The innodb_file_format_check option was set as a String
       in the MySQL Workbench GUI, but it is now set with a
       (Boolean) check box. (Bug #17057975, Bug #69672)

     * Reverse Engineer Selected Schemata could fail while
       migrating PostgreSQL 9.0.x, because MySQL Workbench
       assumed the pg_catalog.pg_enum table had the
       enumsortorder column in version 9.0.x, when it was added
       in 9.1.
       A workaround is to edit db_postgresql_re_grt.py, as
       suggested in the bug report. (Bug #17056367, Bug #68997)

     * The Schema Privileges tab would not remove a user's
       schema privileges after pressing Delete. Only the Add and
       Modify operations functioned. (Bug #17050803, Bug #69660)

     * Horizontal scroll bars are now present on all text boxes.
       Sometimes the horizontal scrollbar would not be displayed
       until the cursor was moved past the edge of the text box
       using the keyboard. (Bug #17050483, Bug #66747)

     * Detection of compatible indexes was updated to accept any
       index with the correct columns at the right position. The
       ordering of the FK columns is automatically updated to
       match the index columns. (Bug #17043125)

     * Executing Synchronize Model on databases with foreign
       keys could generate "Error 1822" failures. Foreign key
       index dependencies are now respected, in addition to any
       other ordering that is being done. (Bug #17037751, Bug
       #69508)

     * A new preference was added to toggle casing for the
       generated keywords in the auto completion list. Edit,
       Preferences, SQL Editor TAB, Use uppercase keyboards on
       completion. (Bug #17033597, Bug #69621)

     * On Microsoft Windows, executing a query using the Control

       + Enter shortcut would cause the cursor focus to be lost.
       (Bug #16983168, Bug #69505)

     * The height of the SQL editor text pane would revert to
       the default height after executing a query. The
       customized height is now preserved. (Bug #16979473, Bug
       #69504)

     * On OS X, executing Apply SQL Script to Database could
       overflow the window if too many errors were generated.
       These errors are now logged in the Action Log pane. (Bug
       #16970560, Bug #69483)

     * Clicking "Alter Table" from the schema tables list and
       changing the engine from the engine drop down would not
       alter the database after pressing Apply. (Bug #16933119,
       Bug #69433)

     * Connection handling was refactored. All defined
       connections are now listed, when before only "stored"
       connections were shown. Additionally, the last used
       connection is now highlighted by default.
       This also solves a problem where the connection manager
       window could crash when it was closed. (Bug #16869457,
       Bug #69329)

     * Under Server Administration, Users and Privileges,
       clicking Add Account after sorting the list by User would
       load the details of an existing user. (Bug #16828217, Bug
       #69267)

     * On Microsoft Windows, only the size would be saved when
       attempting to save a size and name for a new diagram.
       (Bug #16793626, Bug #69182)

     * On OS X, opening the context menu for a table in the
       expanded tables list in the schemata explorer after
       running a query against the schema (before it was
       expanded in the schemata explorer) would cause MySQL
       Workbench to freeze. (Bug #16788873, Bug #69188)

     * The tables drop down was not sorted alphabetically in the
       schema explorer if a SELECT query was executed on a
       schema before viewing the tables. (Bug #16784484, Bug
       #69178)

     * A table's current information was not always reflected in
       the Information panel for the SQL editors, even after
       clicking Refresh All. (Bug #16708902, Bug #68988)

     * Control + PageDown and Control + PageUp now switch
       between open SQL Editor connections. (Bug #16687676, Bug
       #68968)

     * An option to edit a table's KEY_BLOCK_SIZE information
       was added to the Options tab, to go along with the
       current Row Format option. (Bug #16588233, Bug #68422)

     * The File/Open SQL Script dialog now defaults to the last
       used folder during the session. (Bug #16581302, Bug
       #68822)

     * Colons are now enclosed with brackets and recognized as a
       valid IPV6 hostname when using the Setup New Connection
       dialog. (Bug #16422401, Bug #68536)

     * Executing a Reverse engineer did not refresh the MySQL
       Model tab. It is now updated automatically. (Bug
       #16285313)

     * The Revert option not working for views/routines. (Bug
       #16284542)

     * A new option to reset all connection passwords was added.
       It is under Open Connection, Server, Reset saved
       passwords for connection. (Bug #16284321)

     * The Refresh data from data source option failed to
       function with local changes present. A dialog was added
       to either apply or cancel the local changes before
       performing the refresh. (Bug #16104127, Bug #68030)

     * An option to Select All schemata was added to the
       migration wizard. An option to Unselect All already
       existed. (Bug #16065000, Bug #68017)

     * With zoom at 100%, the letter "d" looked like a "c" in a
       table relationship tooltip. (Bug #14835312, Bug #67420)

     * The Catalog Diff Report for an EER Diagram could generate
       a list of differences, but without any actual
       differences. (Bug #14829528, Bug #67209)

     * After synchronizing with a data source by defining the
       source and destination databases, the previously selected
       stored connections would sometimes be incorrect. (Bug
       #14807904, Bug #67111)

     * While editing a Model Overview, executing undo (Control +
       Z) could undo text in the Trigger window beyond the point
       that another table was clicked, eventually removing all
       text in the trigger tab. The trigger information is now
       respected between tables. (Bug #14800878, Bug #66867)

     * The Filter field in the query tab would ignore the last
       character. (Bug #14636440, Bug #66844)

     * Refreshing filtered results could fill the table with
       data, without first applying the filter. (Bug #14498414,
       Bug #66009)

     * Scrolling around an EER diagram could sometimes cause
       glitches, by adding misplaced pixels along the borders.
       (Bug #14498256, Bug #65969)

     * After reading large EER model, and immediately loading
       another EER model, sometimes MySQL Workbench would crash.
       (Bug #13923093, Bug #17024905)

     * When defining a user defined data type, the available
       options did not include the specification of a charset,
       especially useful for the TEXT data type. The inclusion
       of the new Table template functionality fixes this issue.
       (Bug #13500224, Bug #63728)

     * Sometimes the MySQL Workbench GUI would not scale down to
       allow access to some of the buttons. All buttons are now
       displayed when using the minimal (or greater) required
       resolution of 1024x768. (Bug #12756582, Bug #61608)

     * When moving a column in a table either up or down by
       means of the context menu, the focus would not remain
       with the column being moved. Now, when moving a selected
       column of a table, the focus remains with the
       re-positioned column. (Bug #11763633, Bug #56371)

     * A Rename Diagram... context menu item was added for
       diagrams in the Model Overview. (Bug #11762737, Bug
       #55367)

     * The User Accounts panel is now resizable so that the user
       and from host columns can both fit without scrolling.
       (Bug #11757906, Bug #50023)

     * On Linux, the green lightening bolt icon in the schema
       editor did not function. It was replaced by a "Refactor
       Schema" button. (Bug #11757390, Bug #49430)

     * Changing the INTEGER data type to VARCHAR would leave the
       "AI" (AUTO_INCREMENT) attribute checked. (Bug #11755581,
       Bug #47379)

     * Textual UI inconsistencies were fixed, such as changing
       the name "Window" to "Tab" when referring to a new tab.
       (Bug #11753870, Bug #45389)

     * MySQL Workbench would allow the creation of a FULLTEXT
       index on tables using an engine that did not support
       FULLTEXT. Validation now catches invalid index
       type/engine type combinations. (Bug #11747352, Bug
       #31939)

     * Validation and forward engineering did not check engine
       dependencies when the index type was changed. (Bug
       #11747351, Bug #31938)

Changes in MySQL Workbench 6.0.3 (2013-07-09)

   This is the second public beta release of 6.0. It is meant
   for testing purposes, and should not be used in a production
   environment.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * On OS X 10.7 and above, full screen support was added.
       (Bug #16962994, Bug #69473)

     * Database models can now be synchronized with any schema
       overriding the schema name. For example, it is now
       possible to synchronize two databases that have different
       names. (Bug #11757723, Bug #49817)

Bugs Fixed


     * Migrating Microsoft SQL Server to MySQL could truncate
       VARCHAR data. (Bug #17025373, Bug #69596)

     * The SELECT DROP table/schema context menu action would
       generate SQL in lowercase. SQL keywords are now written
       in uppercase. (Bug #17006621, Bug #69560)

     * The check box in the bottom left corner of the Model,
       Model Options dialog box was not labeled. The label is
       now Use defaults from global settings. (Bug #17004380,
       Bug #69552)

     * Executing Synchronize Model against two tables that were
       identical except for the order that the indexes were
       created, would cause MySQL Workbench to drop and
       immediately re-add the foreign keys. (Bug #16999452, Bug
       #69153, Bug #69181)

     * Pressing Control + F would fail to open the Find dialog.
       (Bug #16996850, Bug #69540)

     * The ";" separator for passing in multiple values to the
       replicate-wild-ignore-table option was not parsed
       correctly, and MySQL Workbench would throw an unhandled
       exception. (Bug #16996665, Bug #69520)

     * The Forward Engineering Generate INSERT statements for
       tables option did not function. (Bug #16992658, Bug
       #69532)

     * When executing an Administration task, such as Manage
       Security, an "Current Profile Has no WMI enabled" error
       would be reported for local connections.
       A workaround was to edit and save the connection, while
       making edits to the connection was not required. (Bug
       #16986040, Bug #59933)

     * Under certain circumstances, entering an incorrect
       password would be saved and "Incorrect password" would be
       reported without the ability to enter a new (and valid)
       password. (Bug #16979861, Bug #69497)

     * On OS X, the default configuration files for local server
       instances were not discovered properly. Attempts to edit
       the Options File would emit an error. (Bug #16977187, Bug
       #69475)

     * The DBMS connection read time out user preference was
       limited to 5 characters in length. (Bug #16967769, Bug
       #69395)

     * MySQL Workbench prompted for the sudo password when it
       was not needed. (Bug #16967758, Bug #69481)

     * The Export recordset to an external file option would not
       check for existing files with the same name, and would
       overwrite a file without providing a warning. A prompt is
       now generated that asks if you want to overwrite the
       existing file. (Bug #16959225, Bug #69467)

     * Attempting to change my.cnf via Server Administration,
       Option File would generate an error about an invalid sudo
       password. (Bug #16941451)

     * Migrating a local MySQL server to a remote MySQL server
       would fail at the data copy step, when a stored
       connection using the default socket path was used. (Bug
       #16895726, Bug #69376)

     * On Microsoft Windows 8, a "Handle is not Initialized"
       exception would be generated after performing a "Find and
       Replace" in the routine tab that is located in the group
       routines section. (Bug #16892512, Bug #69354)

     * Adding a particularly long string (around 50 characters)
       to a table comment for a model diagram would cause MySQL
       Workbench to crash. (Bug #16703832, Bug #68984)

     * When executing an Import From Disk operation with Data
       Import/Restore to a connection with an SSL CA File
       specified in the connection's configuration, clicking
       Start Import would generate an error and fail to
       function. (Bug #16601645, Bug #68428)

     * Creating a stored function or procedure would generate
       SQL with superfluous CREATE and USE statements. (Bug
       #16588163, Bug #68204)

     * Executing Model, DBDoc, Model Reporting created a memory
       link. Then after the report was generated, executing
       File, Export, Export as PNG failed and report that MySQL
       Workbench ran out of memory. (Bug #16562737, Bug #68755)

     * Changing a column's default value from CURRENT_TIMESTAMP
       to CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP was not
       detected. (Bug #16546597, Bug #68341)

     * Clicking Apply after only changing a backtick ("`") or
       space (" ") would not save the results, and instead MySQL
       Workbench would report "No changes detected." (Bug
       #16545503, Bug #68162)

     * Moving tables around while constructing a diagram could
       cause the table positions to become lost, and scatter.
       (Bug #16521951, Bug #68727)

     * When connected to a database in SQL Development mode
       after running a query (or using the Edit table data
       context menu option), left clicking the leftmost column
       in the result set pane did nothing. The row options are
       now enabled when clicking the left side column. (Bug
       #16469383, Bug #68633)

     * Opening the SQL editor with a stored connection would not
       open the saved workspace if the stored connection was
       selected by default. (Bug #16433144, Bug #68499)

     * After creating a table against a MySQL server with
       lower_case_table_names set to 1, the Object Browser would
       display the new table name as the user entered it,
       instead of displaying how it was created with lower-case.
       The lowercase version is now displayed, and the user is
       notified of the conversion. (Bug #16390426, Bug #68210)

     * Importing a CSV file that defined line endings with "\r"
       instead of "\n" or "\r\n" would cause MySQL Workbench to
       crash. A warning message is now displayed that warns of
       the incorrect format. (Bug #16362189, Bug #68343)

     * The **.* object under Model, Schema Privileges,
       Privileges was missing an icon. (Bug #16285241)

     * The Replace & Find feature would insert the replacement
       text at the cursor location even if the matching text was
       not found. (Bug #16284625)

     * On Microsoft Windows, an "Index was out of range"
       exception was thrown after loading the Output tab in the
       SQL editor. (Bug #16283047)

     * The text editor in the lower bottom half of the snippets
       tab (inside the scripting shell) would become unavailable
       (hidden) after dragging the splitter bar all the way
       down. (Bug #16277909)

     * After adding and deleting a relationship between tables,
       the deleted relationship was still reported in the yellow
       tooltip box.
       A workaround was to restart MySQL Workbench after saving
       the project. (Bug #14835355, Bug #67421)

     * An error was emitted while generating a catalog diff
       report, and differences in catalogs are now successfully
       reported. (Bug #14692908, Bug #66986)

     * The canvas height of the Model Overview container was not
       calculated properly. The amount of whitespace would
       increase as the number of objects increased. (Bug
       #14456267)

     * Database synchronization with a View would sometimes
       fail, and could remove the View. (Bug #14005482, Bug
       #65108)

     * Right-clicking on an existing diagram in the model editor
       would display a disabled Cut and Paste option. It was
       removed. (Bug #13470625)

     * A column name mapping editor was added to the synchronize
       wizard, as sometimes manually adjusting the column
       mapping is required. (Bug #13463420, Bug #63486)

     * An error dialog is now generated if an invalid column is
       chosen from the foreign key picker when creating the
       relationship. (Bug #11766525, Bug #59655)

     * Validation now checks for the required parenthesis with
       the "Union Tables" argument during model synchronization,
       and adds them if they are missing. (Bug #11766487, Bug
       #59601)

     * The default value for an ENUM was not quoted. (Bug
       #11761349, Bug #53835)

     * MySQL Workbench could exhibit an extended timeout when
       suffering from incorrect permissions. This extended
       timeout was fixed, and MySQL Workbench will now ask for
       the sudo password when needed. (Bug #11761240, Bug
       #53711)

     * When adding a table to form a N:M relationship in a large
       EER Diagram, the new N:M table was positioned far away
       from the tables. This third table is now added between
       the two other tables. (Bug #11754898, Bug #46582)

     * The name of a Diagram can now be changed from the diagram
       tab via Model, Diagram Properties and Size.... (Bug
       #11753099, Bug #44472)

Changes in MySQL Workbench 6.0.2 (2013-06-13)

   This is the first public beta release of 6.0. It is meant for
   testing purposes, and should not be used in a production
   environment.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * A new Hide sleeping connections option was added to the
       Client Connections section of the MySQL MANAGEMENT tab.
       (Bug #16675975, Bug #68978)

     * The Select All and Unselect All (database) commands were
       added to the Synchronize Model context menu. (Bug
       #14084381)

     * A Functions section was added to the SCHEMAS viewer in
       the Object Browser, to go along with the current Tables,
       Views, and Stored Procedures sections. (Bug #11763631,
       Bug #56368)

     * A Truncate Table option was added to the right-click
       context menu for tables, which complements the current
       Alter Table and Delete Table options. (Bug #11758513, Bug
       #50726)

     * Relationship properties can now be edited by
       double-clicking the relationship in an EER diagram. (Bug
       #11758318, Bug #50506)

     * Table column and relationship defaults may now be
       configured to default as lowercase, uppercase, or
       capitalized (for camelCase). The syntax, under
       Preferences, Model is %table|upper%, %table|lower%, and
       %table|capitalize%. See the hovering help tool tips for
       additional information. (Bug #11753021, Bug #44382)

Bugs Fixed


     * Several improvements were made to the Microsoft SQL
       server migration wizard, which included fixes for
       unsupported operand types. (Bug #17086889, Bug #69713)

     * If several editor tabs were open, including one or more
       Table editor tabs (via Create Table or Alter Table),
       MySQL Workbench would crash when choosing Close all or
       Close all but this. (Bug #16959525, Bug #69466)

     * Specifying an ip/subnetmask as a host specification would
       be rejected. For example, "10.0.1.0/255.255.254.0" failed
       to validate as a host. (Bug #16887657)

     * Dropping a schema that was defined as the default schema
       would crash MySQL Workbench. (Bug #16876985, Bug #69337)

     * Executing a query that contained a regular expression
       would cause MySQL Workbench to crash. (Bug #16775867, Bug
       #69167)

     * Right clicking a field in the SQL Editor while in grid
       view would cause MySQL Workbench to freeze. (Bug
       #16762969, Bug #69139)

     * Forward Engineer failed on the foreign key validation
       step for tables with cyclical foreign key relationships.
       An option to disable foreign key checks during INSERT
       handling was added. (Bug #16719239, Bug #69054)

     * While migrating from a Microsoft SQL Server database, the
       Datetype2 MSSQL type is now converted to the DATETIME
       MySQL type. (Bug #16681117, Bug #68790)

     * An older version of the MySQL Client was bundled with
       MySQL Workbench, and it has since been updated. This
       caused problems while executing mysqldump. (Bug
       #16575396, Bug #16668532, Bug #16307109, Bug #68683, Bug
       #68779, Bug #68328)

     * On Microsoft Windows, migrating an SQL Server database
       that contained a lot of columns (100+) would sometimes
       fail to migrate. The problem involved how
       wbcopytables.exe uses temporary files to store table
       names and column information. (Bug #16538786, Bug #68146)

     * Upon synchronization between a model and a database, the
       database SQL code is no longer displayed when changes are
       applied to a model or set as ignored. (Bug #16529438, Bug
       #67692)

     * Statements following a "--" style code comment would not
       be executed. These comments are now handled properly by
       MySQL Workbench. (Bug #16492436, Bug #16171620, Bug
       #15978566, Bug #68674, Bug #67711, Bug #67848)

     * The Slow query log tab was empty when checking against
       MySQL Server 5.7. (Bug #16478942)

     * If two triggers existed on a table, but only one was
       modified, the second trigger was removed from the schema
       after applying the changes. (Bug #16477746, Bug #68651)

     * Using Synchronize with Any source would not display all
       available schemas for the source connection. (Bug
       #16471554, Bug #67887)

     * When configured to generate a script for data copying on
       the Data Transfer Setup page in the Database Migration
       wizard, the Truncate target tables... and the Enable
       debug output... options were not generating commands for
       this script. (Bug #16464193)

     * On Microsoft Windows, scripts generated for
       wbcopytables.exe would not escape parameter values that
       contained spaces or semi-colons. (Bug #16463467)

     * Executing a very large statement could produce generic
       GDI+ errors, and replace the process list with a large
       red X. (Bug #16453590)

     * While copying tables, the Database Migration wizard would
       create temporary files in the current directory upon
       execution. This would sometimes lead to permission
       errors, so the system's temporary folder is now used.
       (Bug #16447313)

     * The Manual Editing step of a Database Migration would
       display all columns, but will now only show the columns
       that were selected for migration. (Bug #16446660)

     * Edit, Format, Beautify Query would remove the ROLLUP
       keyword. (Bug #16435852)

     * Changes to a trigger are lost after editing a file from
       an older version of MySQL Workbench that contains the
       trigger. (Bug #16433014, Bug #66572)

     * On Linux, MySQL Workbench would crash after deleting a
       database schema from a model. (Bug #16353605, Bug #68402)

     * The Server Administration, Configuration, Options File
       editor would sometimes fail to display the options. (Bug
       #16346058, Bug #68398)

     * Edit Table Data was removed from the table context menu,
       and the table name was added as the title for the Select
       Rows - Limit 1000 context menu option that can be used to
       edit table data. (Bug #16346058, Bug #68398)

     * Comments added to primary keys were not saved. (Bug
       #16329439)

     * When synchronizing a model with columns with default
       values of NULL, MySQL Workbench would always treat these
       columns as having changed. (Bug #16325636, Bug #68369)

     * Selecting and then dropping multiple objects from the SQL
       editor would cause MySQL Workbench to delete the objects,
       and then crash. (Bug #16311466, Bug #68337)

     * Adding a new connection using the Manage Stored
       Connection option in the Synchronize Model dialog would
       not save the connection after MySQL Workbench was closed.
       (Bug #16292166, Bug #68294)

     * After dropping a database that is defined as the default
       schema and then clicking Create a new table, the New
       table tab would display the "default schema" in the
       "schema:" field. (Bug #16284582)

     * The -upgrade-mysql-dbs command line option was missing
       from -help. (Bug #16278270)

     * Clicking Cancel after loading Plugins, Utilities, Change
       the Storage Engine of All Tables would generate an error.
       (Bug #16248101, Bug #68232)

     * Datetime with fractional seconds is now supported.
       Before, MySQL Workbench would convert DATETIME(n) (where
       "n" is an integer) to DATETIME. This fix also applies to
       TIMESTAMP(n).
       Note that this option requires the default target MySQL
       Server version set to "5.6", which is set with the Model,
       Model Options preference. (Bug #16239203, Bug #68191)

     * A database with a name that contained an underscore could
       not be assigned schema privileges using the provided
       database list in the Server Administrator, as the
       database name was not escaped properly. (Bug #16227715,
       Bug #68175)

     * Default values for DECIMAL column definitions would not
       be preserved during synchronization. (Bug #16171808, Bug
       #67502)

     * Running Database, Reverse Engineer on an EER Model
       diagram would cause the canvas to not draw properly until
       the diagram was dragged. (Bug #16171635, Bug #67440)

     * While editing a schema comment, the cursor would jump to
       the end of the comment after the cursor was moved, thus
       making it impossible to edit previous comments. (Bug
       #16104719, Bug #67843)

     * The Action Output window would not refresh when the Text
       Output window was not active. (Bug #16063275, Bug #67419)

     * Opening a stored procedure or function for editing in a
       Model, editing it, and then closing the tab, would crash
       MySQL Workbench. (Bug #16058044, Bug #67995)

     * Extra whitespace would sometimes be present between the
       Migrate Table Objects and Migrate View Objects sections
       of the Source Objects step in the migration wizard. (Bug
       #14808352, Bug #67188)

     * A Database Migration from SQL Server to MySQL could fail
       if a SQL Server data type was a FLOAT(n). (Bug #14761954,
       Bug #67234)

     * MySQL Workbench could crash after modifying a functioning
       SSH key-based authenticated stored connection with
       incorrect credentials. (Bug #14701987, Bug #65672)

     * Clicking Cancel after loading Alter Table, Partition
       would duplicate the partition on the screen once for
       every time Cancel was clicked. (Bug #14571162, Bug
       #66615)

     * The right-click context menu was not available while text
       was highlighted in the SQL editor. (Bug #14568049, Bug
       #66613)

     * When migration SQL Server to MySQL, CHAR/VARCHAR/TEXT
       fields containing international text failed to transfer.
       These fields are now converted to NCHAR/NVARCHAR/NTEXT.
       (Bug #14534789, Bug #66516)

     * MySQL Workbench will now check if collation and charset
       are compatible, and in the case of generated SQL, the
       charset will be ignored if they are incompatible. (Bug
       #14278043, Bug #65764)

     * A connection could fail to connect prematurely and would
       report "Connection canceled" despite Test Connection
       reporting a valid connection. (Bug #13972036, Bug #64003)

     * A trigger meant to insert connections on an n-n
       relationship failed on INSERT due to a wrong insert order
       produced during the Forward Engineering step.
       A workaround was to forward engineer the database with
       the Skip Foreign Key creation and Skip FK Indexes options
       enabled while executing Synchronize Model. (Bug
       #13790046, Bug #61594)

     * With a Model project open, MySQL Workbench would crash
       after Edit, Find, Find Advanced was either clicked or
       after the associated keyboard shortcut (Control + Alt + F
       ) was pressed. (Bug #12565875, Bug #61214)

     * The Alter Table... option did not function on tables with
       triggers. This was resolved by correctly escaping the
       data returned by the MySQL Server when retrieving the
       triggers. (Bug #12546727, Bug #61110)

     * Deselected table objects were still evaluated when
       executing the EER Model From Existing Database wizard on
       a database with triggers. (Bug #11765398, Bug #58362)

     * Window placement improvements were made for using MySQL
       Workbench with lower screen resolutions than the minimum
       screen resolution requirement of 1024x768. (Bug
       #11764019, Bug #56802)

     * The image data viewer tab in the BLOB image viewer would
       not have a horizontal tab when the image was larger than
       the image viewing area. (Bug #11764016, Bug #56797)

     * The length of a primary key index could not be set when
       the primary key contained a text field. (Bug #11763301,
       Bug #55997)

     * MySQL Workbench suffered from slow performance when
       selecting a large amount of data, such as 100,000+ rows.
       (Bug #11762734, Bug #16507740, Bug #55364)

     * When Synchronize Model the feature was used to generate
       SQL to modify an existing database, it would lose the
       UNSIGNED attribute while executing the synchronization.
       (Bug #11760008, Bug #52373)

     * Clicking on a table cell and pressing F2 will now select
       (highlight) the cell contents for editing. Before, the
       cursor would be placed at the end of the cell. (Bug
       #11759671, Bug #52001)

     * It was not possible to force synchronization of a schema
       with another schema that had a different name. The new
       Override Target option allows this, and is available
       during the Select Schemata stage of the synchronization
       wizard.
       Note: you must click Override Target to set the override
       before clicking Continue. (Bug #11754001, Bug #45533)

Changes in MySQL Workbench 6.0.1 (Not released)

   This is the first private beta release of 6.0.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The Home tab was redesigned. See the "What's New" page
       for additional details. (Bug #16681573, Bug #68900)

     * The available information in the Object Browser was
       expanded to include nontable nodes, which includes
       indexes, foreign keys, functions, stored procedures, and
       triggers. For example, a description for an index will
       show the type, uniqueness, and associated columns, and a
       function will show its parameters. (Bug #16202768, Bug
       #11765064, Bug #67114, Bug #57983)

     * The splash screen, when loading MySQL Workbench, was
       removed. (Bug #11761020, Bug #53473)

     * The Server Administration screen was improved to include
       additional information, when before it only displayed
       start/stop information. New details include running
       status, number of connections, traffic bandwidth, key
       efficiency, queries per second, server directories,
       available features/plugins, InnoDB related statistics,
       and more. (Bug #11757812, Bug #49913)

Bugs Fixed


     * Forward Engineering would sometimes fail with triggers
       when the Omit Schema Qualifier in Object Names option was
       enabled. (Bug #16864493)

     * The Database Migration wizard failed to reverse engineer
       a Microsoft SQL Server database if the database name
       contained a space. (Bug #16754457, Bug #69115)

     * Attempting to create a user with the same name as the
       database, that contained a hyphen, would generate an
       error. The error was "SQL Error: 1064". (Bug #16691914,
       Bug #69007)

     * Clicking Apply after editing a field name in the Alter
       Table window would not save the change, unless a
       different part of the edit window was clicked. (Bug
       #16681375, Bug #67802)

     * The Server Administration panel would refresh the UI each
       time it was activated. So all unsaved changes were lost
       from the UI after switching to a different page and
       returning back to the Users and Privileges page. Now the
       UI for each tab in this page is refreshed only when it
       doesn't have unsaved changes. (Bug #16679449, Bug #68730)

     * On Microsoft Windows 8, MySQL Workbench would not start
       when loaded from a network folder. (Bug #16660724, Bug
       #68862)

     * On OS X, a table name could not be changed via the Alter
       Table menu. Clicking Apply would report "No Changes
       detected".
       A workaround was to rename the column by changing it in
       the list view instead of the text field below it. (Bug
       #16595066, Bug #68595)

     * On Fedora Linux, the MySQL Workbench binary PATH was not
       properly set on some systems. (Bug #16594877, Bug #68479)

     * MySQL Workbench failed to set up a connection with a
       MySQL user that authenticated using PAM. (Bug #16556099,
       Bug #68507)

     * Copying and pasting multiple columns between tables in an
       EER Model would not maintain the order of the columns.
       (Bug #16554982, Bug #68433)

     * Connector/C++ is no longer bundled with MySQL Workbench.
       (Bug #16554694, Bug #68324)

     * The Sudo command option was removed from the Manage
       Server Connections, Server Profile MySQL Management tab.
       Previously, the sudo password could be truncated. (Bug
       #16545276, Bug #67945)

     * On Fedora Linux, the documentation is no longer bundled
       with MySQL Workbench, due to it not being "Free". (Bug
       #16539724, Bug #68325)

     * NULL values were not being displayed in the first column
       of a result set, and were instead being displayed as
       empty cells. (Bug #16363542, Bug #68434)

     * In the Server Administration panel, the "Remote
       Administration Disabled" message in the Startup /
       Shutdown tab was difficult to read. The remote management
       options are no longer visible unless it is configured.
       (Bug #16338435)

     * Toggling break points in the Scripting Shell failed to
       set. (Bug #16271528)

     * The Database Migration wizard would migrate unsigned
       tinyint Microsoft SQL Server values, but would throw an
       exception for values exceeding 127 (the maximum value for
       a signed tinyint). (Bug #16263882, Bug #68084)

     * On Fedora Linux 18, MySQL Workbench would not install due
       to a missing PCRE dependency. (Bug #16198661, Bug #68114)

     * It was not possible to edit indexes in the index tab of
       the EER diagram, Alter Table window. (Bug #16197830, Bug
       #68103)

     * The History tab would display query history as oldest to
       newest, but now displays the most recent queries first.
       (Bug #14571056, Bug #66594)

     * In the table editor, after entering a column comment for
       a new column, clicking on a different option (such as
       toggling NOT NULL) would erase the comment. (Bug
       #14548138, Bug #66554)

     * Executing a complete schema import during a migration
       could run out of memory if the schema contained a lot of
       views, procedures, and function definitions. The memory
       handling was improved. (Bug #14483625, Bug #66225)

     * Instead of freezing at "Tables fetching..." when table
       records could not be fetched, MySQL Workbench will now
       report this issue by updating the associated fetch icon
       and report it as "Could not be fetched". (Bug #14079460,
       Bug #65254)

     * The BINARY flag used in a user defined type was dropped
       from the column definition during database
       synchronization. (Bug #13364844, Bug #62701)

     * A Copy Row (with names) option was added to the context
       menu for record sets. (Bug #11765574, Bug #11764870, Bug
       #58557, Bug #57748)

     * The list of Model diagrams did not re-wrap and determine
       how many columns of icons it could show when the window
       was narrowed, and would only re-wrap when the window was
       widened. (Bug #11755680, Bug #47486)

     * On Linux, the cursor focus now starts on the Name: field
       after choosing Edit Table. (Bug #11755349, Bug #47112)

     * The option to set the default data type for a PK column
       did not allow data type options to also be set for the
       column, such as AI or UNSIGNED. The new "Table Template"
       feature makes this possible. (Bug #11749340, Bug #38802)

Changes in MySQL Workbench 6.0.0 (Not released)

   This is the first private alpha release of 6.0.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * New Delete with References and Select with References
       options were added. The DELETE version will generate a
       series of DELETE statements needed to delete a row from a
       table that includes rows from other tables that reference
       it, recursively. The SELECT version allows you to preview
       what rows would be deleted. (Bug #14158884, Bug #65525)

     * Context Sensitive help was added that show specific help
       topics depending on the word at the caret in the SQL
       editor. After a delay, MySQL Workbench will show
       formatted help information from the MySQL Server
       (equivalent to using the help command from the
       command-line MySQL Client). (Bug #11765858, Bug #58862)

     * The Schema Inspector and Table Maintenance features were
       added, which include the ability to analyze and repair
       tables, and view table metrics. (Bug #11765063, Bug
       #11761090, Bug #11758528, Bug #57982, Bug #53548, Bug
       #50741)

     * A table templates feature was added where one can specify
       the list of columns to be created for a new table, in
       both the SQL Editor and in Modeling. (Bug #11764790, Bug
       #57661)

     * A comment tab was added to allow specifying database
       independent comments for a store routines/views. (Bug
       #11764338, Bug #57161)

     * A toolbar was added to all script editors with options
       that include save and load buttons. (Bug #11764091, Bug
       #56886)

     * A new Preferences, SQL Queries, Leave autocommit mode
       enabled by default user preference was added. (Bug
       #11763282, Bug #55975)

     * The --query command line option was changed, the
       connection dialog will be popped up directly if a value
       is not passed in. (Bug #11762355, Bug #54938)

     * The development toolbar was added to all SQL editors, and
       includes the ability to search/replace within the Alter
       Table window. (Bug #11759599, Bug #51923)

     * Added MySQL Enterprise Backup support. A GUI for the
       MySQL Enterprise Backup command-line now exists inside
       MySQL Workbench SE for Enterprise users.

     * Added a code editing toolbar for all SQL editors in both
       the modeling and query editor interfaces.

     * Added the ability to create tables from user templates,
       which includes a table template editor.

     * Added plugins to build SQL queries for:

          + Cascading DELETE statements for selected tables.

          + Perform a SELECT statement for cascaded DELETE
            statements, for previewing.

          + Building a joined SELECT statement for selected
            tables that automatically determine the intermediate
            tables by using the shortest path.

     * Added the database search feature.

     * Added a new Schema Manager feature, which is found under
       Schema, Schema Manager.

     * Added schemata migration support for SQL Anywhere and
       SQLite.

     * Code completion now supports all query types, in addition
       to SELECT statements. Suggestions are now displayed for
       all database object types, such as triggers, event, and
       indexes, in addition to schemas, tables and columns.

     * On Microsoft Windows version 7 and above, support for
       application color schemes was added, and they are
       dynamically switchable via the MySQL Workbench
       preferences.

     * MySQL Workbench no longer bundles the μ, as they are
       installed as separate packages.

Bugs Fixed


     * Under certain circumstances, cutting and pasting a large
       amount of data from an external application (such as
       Excel) could cause MySQL Workbench to throw an exception.
       (Bug #16545227, Bug #67936)

     * After changing a column name, clicking a different
       location could cause the column name change to be lost.
       (Bug #16536486, Bug #68216)

     * While copying a model column, the new column names
       default to [name]_copy[n] where "name" is the name of the
       copied column, and "n" is an incremented integer. (Bug
       #16072331, Bug #67822)

     * The Wrap-Lines feature was not present in the
       functions/procedures editor, but was available in the
       standard SQL editor. It is now available to all SQL
       editors. (Bug #14823122, Bug #66942)

     * The SQL editor did not recognize changes when only the
       case was changed. (Bug #14686272, Bug #66993)

     * After clicking Dismiss when an orphaned document was
       loaded at start up, the same dialog was displayed after
       reopening MySQL Workbench. Recovered connections are now
       labeled with "(Recovered)" and will disappear after you
       reopen the connection. (Bug #14538902, Bug #66256)

     * The Object Browser and Foreign Key Referenced Table List
       would sometimes list tables in a different order, but
       they now use the same sorting mechanism. (Bug #14521193,
       Bug #66279)

     * When converting a BOOL to a TINYINT(1) when synchronizing
       a model with a schema, the synchronization diff would
       continue to claim the two were different. (Bug #14520990,
       Bug #66364)

     * On OS X, resizing the navigator image to zero size (by
       dragging the catalog, layers, and user types part up) and
       then back down to resize, would cause the image to move
       to the wrong position. (Bug #13940003, Bug #64864)

     * The quoting logic was updated to also consider that digit
       only identifiers should be quoted. (Bug #13939997, Bug
       #64869)

     * Synchronization would sometimes fail and crash MySQL
       Workbench with models that included triggers. (Bug
       #12762352, Bug #61860)

     * After executing Forward Engineer CREATE, all generated
       "CREATE SCHEMA IF NOT EXISTS" statements were placed at
       the beginning of the resulting DDL file, instead of just
       before the DDL for each schema. (Bug #11766560, Bug
       #59697)

     * Switching to the Columns tab while creating a new table
       would cause MySQL Workbench to spike its CPU usage. (Bug
       #11766368, Bug #59467)

     * Unsigned INT(10) columns would be converted to signed
       INT(10) for imported DBDesigner4 models. (Bug #11763391,
       Bug #56089)

     * The USE statement is now being added prior to creating
       procedures, as otherwise it was possible that the
       procedures would be placed in the wrong schema. (Bug
       #11758847, Bug #51102)

     * On Linux and Microsoft Windows, the empty properties tab
       was removed from the Model view interface. (Bug
       #11757396, Bug #49436)

     * Executing Forward Engineer SQL Script would use the
       preset values from a previous execution of Forward
       Engineer an Alter Script. (Bug #11756316, Bug #48221)

Changes in MySQL Workbench 5.2

Changes in MySQL Workbench 5.2.47 (2013-02-15)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.46.

Bugs Fixed


     * Pressing the Delete key with the cursor focus in a column
       name would remove diagram objects while editing an EER
       diagram. (Bug #16285264)

     * Adding indexes to existing tables would sometimes freeze
       the cursor focus. (Bug #16209869, Bug #68149)

     * Pressing Delete would delete an object from an EER Model
       diagram. The correct keyboard shortcut for this operation
       is Modifier + Delete. Simply pressing Delete will only
       delete the character to the right of the cursor. (Bug
       #16185212, Bug #68102)

     * Arrange, Autolayout would push model items outside of the
       page. (Bug #14781895, Bug #67278)

     * With auto-completion enabled, editing text in the SQL
       editor for a model could close MySQL Workbench. (Bug
       #14520292, Bug #66111)

     * In the inputs tab of the table editor, it was not
       possible enter values using binary notation, such as b'1'
       or 0b1, for a value in a BIT field. (Bug #12917990, Bug
       #61966)

     * Clicking an EER diagram tab would initially display the
       Model tab before displaying the EER diagram tab that was
       clicked. (Bug #12661264, Bug #61473)

     * The foreign key settings for On Update and On Delete
       would sometimes be lost after adding a new foreign key.
       (Bug #11764432, Bug #57263)

     * Sometimes the comment field was too wide and would flow
       over the right sidebar. (Bug #11756731, Bug #58684)

     * The database migration wizard now disables triggers
       before copying data, by dropping and writing them to a
       temporary table and then restoring them later. This
       default behavior can be modified from the command-line by
       using the --dont-disable-triggers-option option, which
       prevents this logic from taking effect. Also,
       --disable-triggers-on=schema will remove the triggers for
       a particular schema and store them into a temporary
       table, and --reenable-triggers-on=schema will fetch the
       saved triggers from --disable-triggers-on=schema and
       recreate the triggers into the target schema.

     * The uninstaller would leave leftover MySQL Workbench
       files on the host. These files are now deleted.

     * The New Server Instance wizard, in the Server
       Administration section, was updated to include additional
       MySQL Server 5.6 specific templates.

Changes in MySQL Workbench 5.2.46 (2013-02-05)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.45.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The BLOB viewer defaults to read-write mode, but the text
       view will now show the text as read-only if the text
       contains "\0" or non-UTF-8 data. The text was being
       cutoff at the first "\0". (Bug #11764522, Bug #57364)

     * New role functionality was added. It is now is possible
       to add schemas.*, tables.*, and *.*, and to assign
       privileges to each object. Before it was only possible to
       add individual tables when defining roles. (Bug
       #11761640, Bug #54153)

     * The auto-completion feature was improved. For example, it
       now includes the parsing of aliases and subqueries for
       SELECT statements.

Bugs Fixed


     * Microsoft Windows: In an EER Diagram, the circles at each
       end of a relationship line were rendered as different
       sizes. (Bug #12628088, Bug #54663)

     * Refreshing data in the Server Administration panel would
       reset the sort order, and the sorting order would default
       back to Connection ID. This could also cause the sorting
       method to be mislabeled. (Bug #16206194)

     * Closing a table's properties window from within the EER
       Model diagram window would crash MySQL Workbench. (Bug
       #16185134, Bug #68101)

     * Closing the table properties window for a model caused
       MySQL Workbench to crash. (Bug #16072216, Bug #68027)

     * Symantec falsely claimed that the bundled
       wb.printing.wbp.be.dll file contained a virus. (Bug
       #16055645, Bug #67986)

     * An SQL syntax error would be reported when a comment was
       added to an INDEX. (Bug #15991038, Bug #67835)

     * Two preference settings were added for online DDL
       (https://dev.mysql.com/doc/refman/8.0/en/glossary.html#gl
       os_online_ddl) operations. Listed under Preferences, SQL
       Queries, under Online DDL, these new settings (Default
       algorithm for ALTER table and Default lock for ALTER
       table) set the default values for the Apply Script
       wizard, or these values may be defined when Apply Script
       is executed. (Bug #15893626)

     * Functionality (such as Copy to Clipboard) was missing
       from the right-click context-menu of the Schema browser
       when multiple columns were selected. (Bug #14834245, Bug
       #67417)

     * The Show Filter table listing for Export MySQL Table
       Objects is now sorted alphabetically. (Bug #14706782, Bug
       #66712)

     * Creating a table in a schema that had a "-" in the schema
       name would emit an error about an "unknown column", and
       fail to create the table. (Bug #14632271, Bug #66815)

     * MySQL Workbench could crash (segmentation fault) at
       startup if a configuration file was corrupt. (Bug
       #14622471, Bug #66776)

     * From the EER Diagram window, nearly completing the
       Database, Synchronize with Any Source wizard, and then
       pressing Back to the beginning, MySQL Workbench would
       crash after nearly completing the wizard the second time.
       (Bug #14611078)

     * The Bulk Data Transfer migration step would fail if too
       many tables were being migrated, because too many
       arguments were being passed to the command-line. This
       table listing is now saved to a new file named
       wb_tables_to_migrate.txt, which is now read during the
       migration process. (Bug #14588167, Bug #66611)

     * On Linux, the right-click context menu would
       differentiate between unselected and selected rows, when
       called from within the SQL editor results view panel.
       This menu is now consistent. (Bug #14539036, Bug #66308)

     * Changes to a table that a view referenced would cause an
       error while attempting to edit the view. This fix allows
       MySQL Workbench to work around the underlying bug, which
       is MySQL bug #61718. (Bug #14526308, Bug #66502)

     * Sometimes the Create Table... dialog in the Object
       Browser would emit an error instead of creating the
       table, after pressing Apply. (Bug #14520406, Bug #66169)

     * MySQL Workbench could crash after files became corrupted,
       but now attempts to regenerate the corrupted files. (Bug
       #14520133, Bug #65630)

     * The ability to select code in the SQL Editor by clicking
       on line numbers was restored. (Bug #14483713, Bug #66139)

     * On OS X, and in the table editor, the schema name was
       changed from a dropdown-box to a simple label. (Bug
       #14456213)

     * Right-clicking on a tab name did not show the New Tab,
       Save tab, Close other tabs, and Copy path to clipboard
       options. (Bug #14171956, Bug #65455)

     * Selecting the server engine default within the Alter
       Table window would generate an error. (Bug #14076198, Bug
       #65101)

     * On Linux, the Edit, Preferences menu did not wrap
       properly, and was too narrow so it would hide (cut) text.
       (Bug #14070969, Bug #64917)

     * The Model: MySQL, Default Storage Engine preference would
       not take effect until after MySQL Workbench was
       restarted. (Bug #13970619, Bug #64928)

     * On Microsoft Windows, holding down Shift with the
       Spacebar would not enter a space. (Bug #13919870, Bug
       #64820)

     * Changes to File, Document Properties for a Model were not
       detected or saved by MySQL Workbench. A Save prompt is
       now generated. (Bug #13040173)

     * On Linux, clicking Apply Changes when the cursor focus
       was in a data cell, the data content was not saved. (Bug
       #12922070, Bug #62232)

     * The EER diagram Arrange, Center Diagram Content option
       would hide objects from the diagram. (Bug #12898144)

     * MySQL Workbench would hang when attempting to connect
       with user accounts that utilized external authentication.
       (Bug #12896935)

     * If MySQL Workbench crashed when an EER diagram was being
       created, after restarting MySQL Workbench the EER diagram
       would be listed as "unsaved" but would not open. And it
       could not be deleted from the diagram list. (Bug
       #12642422, Bug #61444)

     * After selecting multiple objects and choosing delete,
       then choosing keep when prompted to delete or keep the
       selected objects, the relationship lines were still
       deleted. MySQL Workbench now asks if the relationship
       columns should be deleted or kept. (Bug #12565850, Bug
       #61113)

     * Under certain circumstances, synchronizing a database to
       a model would remove the mandatory relationships. (Bug
       #11834230, Bug #60312)

     * Changes made to a database schema while the Database,
       Synchronize Model wizard was active, would throw an
       exception. (Bug #11765036, Bug #57948)

     * On Linux, the initial selection of a table within the
       schema viewer would not display the "+" to view the
       selected table's data, such as the columns and views.
       Reopening the schema table navigation tree would show the
       previously selected table's "+" but this is now the
       default behavior. (Bug #11762205, Bug #54773)

     * On Microsoft Windows, Control + Delete would delete text
       from the left side of the cursor, instead of the right.
       (Bug #11761459, Bug #53957)

     * On Linux, a warning will now warn you after attempting to
       close the SQL Editor when unsaved INSERT changes still
       exist.
       Also, all platforms (Linux, OS X, Windows) are now
       consistent, and will also warn you after attempting to
       close MySQL Workbench with any unsaved changes. (Bug
       #11758193, Bug #50363)

     * The Default Schema setting was ignored by the Reverse
       Engineer Database wizard. (Bug #11757887, Bug #50002)

     * The bundled MySQL Client was updated to version 5.6.10.

Changes in MySQL Workbench 5.2.45 (2012-12-27)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.44.

   This version adds support for MySQL Server 5.6.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Models: Copy, Cut, and Paste options were added to the
       context menu (right-click) of the Columns list in the
       models table editor. These options can be used between
       models. (Bug #13029519, Bug #62503)

     * The Control + / keyboard shortcut was added to
       comment/uncomment lines while editing SQL queries. (Bug
       #14803414, Bug #67002)

     * A Copy Selected button was added to the Server Status
       panel of the Server Administration window. It copies the
       query of the selected connection to the clipboard. (Bug
       #14799336, Bug #13571792, Bug #66728, Bug #63917)

     * An Import Recordset from CSV File option was added to the
       SQL Editor and model insert tabs. This import
       functionality parses a file with comma-separated values.
       (Bug #14079606, Bug #65252)

     * The Visual Explain Current Statement feature was added.
       It's similar to the existing Explain Current Statement
       feature, except this visual version generates a flowchart
       based on an EXTENDED EXPLAIN statement where FORMAT =
       JSON. This feature requires MySQL Server 5.6.5 or above.
       (Bug #11765095, Bug #58021)

Bugs Fixed


     * Linux: Right-dragging saved connections, models, and
       MySQL Server instances on the home screen could crash
       MySQL Workbench. (Bug #14812457)

     * Linux: Executing MySQL Workbench from the command-line
       would print stdout twice. (Bug #14565095, Bug #66590)

     * OS X: The results window from executing an SQL query
       could be empty. A workaround was to resize the results
       window. (Bug #14520361, Bug #66446)

     * OS X: Closing MySQL Workbench after executing and making
       changes with the Alter Table tool would not prompt the
       user with the save dialog. (Bug #14456136)

     * OS X: On OS X, the default column name and column type
       model preferences
       (https://dev.mysql.com/doc/workbench/en/wb-preferences-mo
       deling.html) did not function. Note that this feature
       does not function on Linux. (Bug #14399236, Bug #66090)

     * OS X: The ability to select multiple columns in the
       models table editor did not function on OS X. It is now
       possible to use Shift, Command, and mouse dragging. (Bug
       #11766291, Bug #59372)

     * Microsoft Windows; Models: After opening and then closing
       a model file from the file manager, attempts to open a
       different model file failed to load the model. (Bug
       #14791573, Bug #67312)

     * Microsoft Windows; Models: Model files (*.mwb) would not
       load MySQL Workbench after being double-clicked in
       Windows Explorer. (Bug #14521111)

     * Microsoft Windows: Pressing Control + A in the table
       editor on a table field would select all table entities
       instead of the text in the field. (Bug #15884658, Bug
       #67610)

     * Microsoft Windows: Clicking on the Schema and Schema
       Objects column headers within Server Administration, Data
       Export would properly sort in descending order, but would
       not sort in ascending order when clicked again. (Bug
       #15849616, Bug #67518)

     * Microsoft Windows: The Enter key would not create
       newlines within the table column comment dialogue. (Bug
       #14829617, Bug #67320)

     * Microsoft Windows: Renaming an EER Diagram would crash
       MySQL Workbench. (Bug #14799722, Bug #66818)

     * Microsoft Windows: The Explain button would not display
       the results in the Explain tab. (Bug #14702591, Bug
       #67059)

     * Microsoft Windows: Right-clicking on a database name in
       the schema browser and choosing Set as Default Schema
       would add a strikethrough to the chosen database name.
       (Bug #14663690, Bug #66930)

     * Microsoft Windows: Queries surrounded by parenthesis
       would not display results in the view tab. (Bug
       #14651969, Bug #66887)

     * Microsoft Windows: A model failed to load when opened
       from the Microsoft Windows 7 taskbar if a different model
       was already open. (Bug #14621880, Bug #66799)

     * Microsoft Windows: The Id and Time columns within the
       Server Administration, Server Status, Connections panel
       would not sort properly, as they were sorted as ASCII
       values instead of numerically.
       Additionally, miscellaneous sorting improvements were
       implemented. (Bug #14612413, Bug #15953190, Bug #66768,
       Bug #67786)

     * Microsoft Windows: After using the schema search filter
       in the object browser, right-clicking on a filtered
       schema would generate a context menu with invalid
       options. (Bug #14521006, Bug #66346)

     * Microsoft Windows: Control + H did not invoke the
       replacement function. (Bug #14520920, Bug #66422)

     * Microsoft Windows: Find and Replace would not function
       properly while using '_' as a replacement character. (Bug
       #14499088, Bug #66390)

     * Microsoft Windows: The Explain Current Statement option
       would not function. A workaround is to manually prepend
       EXPLAIN to your query. (Bug #14483518, Bug #66157)

     * Microsoft Windows: Control + A would not always select
       data from cells in the query results tab. (Bug #13891109,
       Bug #64723)

     * Microsoft Windows: The default plugin directory in the
       configuration tab was set as a Linux style path such as
       "/usr/", but it is now based on the OS aware BASEDIR
       value. (Bug #11764440, Bug #57271)

     * MySQL Server 5.6: The partition count definition was
       limited to 1-10 as a drop-down selector in MySQL
       Workbench. This option is now a text field, which
       accommodates the 8192 partition limit in MySQL Server
       5.6. (Bug #14786614, Bug #67166)

     * MySQL Server 5.6: The SQL Editor would emit invalid
       syntax errors with MySQL 5.6 queries. For example, GET
       DIAGNOSTICS queries would return "syntax error,
       unexpected IDENT_QUOTED, expecting ':'". (Bug #14786599,
       Bug #14786604, Bug #14786615, Bug #67163, Bug #67164, Bug
       #67168)

     * MySQL Server 5.6: MySQL Workbench would not allow
       passwords to be created or changed for user accounts that
       utilize the SHA-256 Authentication Plugin, which exists
       as of MySQL Server 5.6.6. (Bug #14786567, Bug #14786558,
       Bug #67158, Bug #67154)

     * MySQL Server 5.6: The MySQL 5.6 ALTER USER ... PASSWORD
       EXPIRE option is now supported. An expired password
       indicator, and an Expire Password button to expire the
       current password, were added. (Bug #14786564, Bug #67157)

     * MySQL Server 5.6: The SHA-256 Authentication Plugin
       (https://dev.mysql.com/doc/refman/8.0/en/sha256-pluggable
       -authentication.html) is now supported. (Bug #14786561,
       Bug #67155)

     * MySQL Server 5.6: MySQL Workbench now supports MySQL
       Server 5.6 configuration options. (Bug #14786556, Bug
       #67153)

     * MySQL Server 5.6: MySQL Workbench would alter the mysql.*
       system tables for tasks such as account management,
       instead of using the corresponding account manipulation
       statements. This would conflict with GTID usage as of
       MySQL Server 5.6.
       This could have also caused a user password to be reset
       after modifying the user privileges. (Bug #14786531, Bug
       #14725272, Bug #67150, Bug #67100)

     * MySQL Server 5.6: A DDL related parsing error would be
       generated while attempting to update an existing routine
       that contained a DateTime variable type with precision.
       This feature is specific to MySQL Server 5.6. (Bug
       #14684874, Bug #14545075)

     * MySQL Server 5.6: Creating a standard user with MySQL
       Server 5.6 would sometimes fail, and emit an error that
       referred to an unknown mysql_native_password plugin. (Bug
       #14574998, Bug #66638)

     * MySQL Server 5.6: All MySQL Server 5.6 system variables
       were listed under the Other tab instead of their proper
       location. For example, gtid_done is now listed under the
       Replication tab. (Bug #67170, Bug #14786569)

     * MySQL Server 5.6: The MySQL Workbench UI now supports the
       extended TIMESTAMP and DATETIME features that MySQL
       Server 5.6 offers. Both the initial and on-update values
       can now be defined for these types, and the
       fractional-second granularity is also now supported. (Bug
       #67165, Bug #67169, Bug #14786605, Bug #14786616)

     * MySQL Server 5.6: The creation of a username and password
       will now utilize the Password Validation Plugin in MySQL
       5.6. This option is available within the Server
       Administration section, under the Security Options tab.
       (Bug #67152, Bug #67161, Bug #14786551, Bug #14786626)

     * MySQL Server 5.6: Creating a standard MySQL Server 5.6
       user account in MySQL Workbench failed, and emit an error
       related to the msyql_native_auth plugin. (Bug #67151, Bug
       #14786542)

     * Migration: Migrating a Microsoft SQL Server database
       failed if nvarchar(max) was used. These are now converted
       to LONGTEXT. (Bug #14780416, Bug #67289)

     * Migration: From within the Manual Editing section of the
       database migration procedure, viewing Migration Problems
       after All Objects would continue to display information
       from All Objects. (Bug #14761792, Bug #67229)

     * Migration: Migrating from MySQL Server 5.0 to MySQL
       Server 5.6 could fail. The migration tool now supports
       MySQL Server 4.1 and above as the source database. MySQL
       Server 5.1 and above are supported as the target
       database. (Bug #14647426, Bug #66861)

     * Models: Model notes could not be saved. The Apply Changes
       button is available again. (Bug #14813462, Bug #67211)

     * Models: Switching from a table column tab to a different
       tab, and then back to the column tab, would add an empty
       column named "tablenamecol". This empty column would be
       added to the table unless Escape was pressed. (Bug
       #14768685, Bug #67235)

     * Models: Synchronizing a model with a database could crash
       MySQL Workbench by causing a segmentation fault. (Bug
       #14588524, Bug #66707)

     * Models: While executing the Synchronize Model with
       Database wizard, invalid trigger related errors could be
       emitted even though the definitions were correct. (Bug
       #14498358, Bug #65982)

     * Models: Forward Engineering a model with users and roles
       could generate invalid SQL, because the username was not
       escaped within the generated GRANT statements. (Bug
       #14396930, Bug #66070)

     * Models: The File, Import, Import DBDesigner4 Model
       feature failed to function. (Bug #13548113, Bug #63878)

     * Models: Sometimes a modified stored procedure would not
       be flagged as modified while synchronizing a model. (Bug
       #13364922, Bug #62595)

     * Models: The ability to open model files from older
       versions of MySQL Workbench has been improved. (Bug
       #12747012, Bug #61703)

     * Models: When editing an EER diagram, the Cut context menu
       option follows Delete behavior by also deleting the
       schema object. It will now only remove it from the EER
       canvas. And a new Remove option was added that also only
       removes an object from the EER canvas. (Bug #11761492,
       Bug #53994)

     * Models: Pressing Cancel in either the Create EER Model
       from Existing Database or Create EER Model from SQL
       Script dialogs would still open a Model tab. (Bug
       #11757140, Bug #49145)

     * Under certain circumstances, comments could interfere
       with the execution of SQL statements. (Bug #15960066, Bug
       #67747)

     * Clearing the output window while a query was running
       could cause MySQL Workbench to crash after the query
       finished. (Bug #15891884, Bug #67618)

     * Saving script files did not function properly with the
       clipboard. Content pasted from the clipboard was not
       saved. (Bug #15837775, Bug #67462)

     * Having sql_mode
       (https://dev.mysql.com/doc/refman/8.0/en/server-system-va
       riables.html#sysvar_sql_mode) set to
       PAD_CHAR_TO_FULL_LENGTH
       (https://dev.mysql.com/doc/refman/8.0/en/sql-mode.html#sq
       lmode_pad_char_to_full_length) causes the routine
       functionality to fail, as MySQL Workbench is not designed
       for this setting. A connection specific sql_mode option
       was added, and it can be set from the Advanced tab in the
       Connection Editor. It defaults to "". (Bug #14845656)

     * The following scenario would crash workbench: open a
       table, insert a new row of data, close the table, open a
       different table via double-click, then press Save
       Changes. (Bug #14829570, Bug #67237)

     * MySQL Workbench failed to interpret C-style comments,
       such as /*! MySQL-specific code */. For more information
       about comment usage in MySQL, see Comments
       (https://dev.mysql.com/doc/refman/8.0/en/comments.html).
       (Bug #14807602, Bug #67203)

     * Opening a connection using Open connection to Start
       Querying from the MySQL Workbench home screen could crash
       MySQL Workbench. (Bug #14803527, Bug #67074)

     * Added DbMySQLQuery->affectedRows, fixed
       MySQLResult->firstRow, and added a Splitter control to
       the Python binding for mforms. (Bug #14799403, Bug
       #66804)

     * Procedures were always included in the exported SQL, even
       if excluded via a filter or configuration setting. (Bug
       #14758896, Bug #66790)

     * An error tooltip would sometimes fail to be displayed
       while hovering the mouse pointer over an error marker in
       the SQL editor. (Bug #14705012, Bug #67067)

     * The Select Objects to Forward Engineer filter was ignored
       while executing Forward Engineer to Database. All tables
       were exported. (Bug #14696609, Bug #67031)

     * A crash could occur after switching tables in the EER
       Diagram tab while the Privileges was open, or while
       adding roles to the active table. (Bug #14645542, Bug
       #66869)

     * A model could not be synchronized if a field contained a
       comment with a single quote. (Bug #14582241, Bug #66680)

     * An exception would be generated when executing Forward
       Engineer without a MySQL Server connection. (Bug
       #14574987, Bug #66648)

     * Lower level changes, such as a newly created TRIGGER,
       would not be visible after the object browser was
       refreshed. (Bug #14551801, Bug #66549)

     * The non-functional comments box was removed from the
       schema editor. (Bug #14548126, Bug #66553)

     * The bundled ChangeLog listing was outdated. (Bug
       #14547966, Bug #66528)

     * In the MySQL Workbench Scripting Shell, an exception is
       now thrown while attempting to use input() or read from
       stdin. (Bug #14520741, Bug #66452)

     * The mouse scroll would not function while viewing the
       Options File in the Server Administration panel. (Bug
       #14388344)

     * Unlike the Server Administration panel (since 5.2.35),
       the SQL Editor did not support syntax that utilized the
       authentication plugins. (Bug #14356470)

     * The Server Access Management interface would not allow a
       password to be set as an empty string. (Bug #14278189,
       Bug #65739)

     * The Limit Connectivity to Hosts Matching option did not
       allow an IP with a Subnet Mask because "/" was considered
       an invalid character. (Bug #14207793, Bug #65583)

     * Having multiple connections with TCP/IP over SSH could
       cause MySQL Workbench to not connect when exceeding
       MaxAuthTries. This may happen if an encryption type is
       unknown. The bundled paramiko library (on OS X, and
       Windows) was updated to version 1.7.7.1, which helps
       solve this problem, as it adds known support for OpenSSL
       keys. (Bug #13919914, Bug #64802)

     * Multiple instances of MySQL Workbench will no longer open
       the same database model file. Doing so caused problems
       with features such as auto save and file locking. (Bug
       #13864687, Bug #64639)

     * An SSL connection required a client certificate. (Bug
       #13851229, Bug #61266)

     * A new General, SQL Editor option was added. Enabling
       Create new tabs as Query tabs instead of File (disabled
       by default) causes new SQL Editor tabs to default as
       Query tabs instead of SQL File tabs. File tabs include
       additional options, and prompt to be saved when the tab
       closed. (Bug #13492434, Bug #14541178, Bug #62929, Bug
       #66541)

     * Changing a foreign key column to be nullable now
       deselects the mandatory check box. If all foreign key
       columns are set to NOT NULL, then the mandatory check box
       value will be selected. (Bug #13252655, Bug #62737)

     * The Start Command Line Client feature would fail to
       connect with SSH connections. (Bug #12612343, Bug #61325)

     * A Refresh Rate option was added to the Server
       Administration, Server Status window. The refresh rate
       defaults to "Don't Refresh" and includes options ranging
       from 0.5 to 30 seconds. (Bug #11926869, Bug #60546)

     * It was not possible to sort schemas for exporting. (Bug
       #11926862, Bug #60566)

     * Changes to the DEFINER clause were not detected by the
       Alter Table wizard when altering this clause was the only
       change. (Bug #11829867, Bug #60164)

     * Importing a saved connection that used an SSH tunnel
       would throw an exception, and fail to import the
       connection. (Bug #11765909, Bug #58922)

     * Attempting to open MySQL Doc Library while it was already
       opened would generate an error. (Bug #11763691, Bug
       #56432)

     * When foreign keys are added, existing indexes are now
       used instead of always creating new indexes. (Bug
       #11760834, Bug #53277)

     * Opening a model from a newer version of MySQL Workbench
       could generate an error dialog that was hidden behind the
       splash screen. This made it difficult to close the splash
       screen, which meant MySQL Workbench could not be used. A
       workaround was to pass in the -nologo option at startup.
       (Bug #11754043, Bug #45582)

     * The ALTER ROUTINE functionality would not detect stored
       procedure changes when only the case changed. This check
       was case-insensitive. (Bug #65277, Bug #14136994)

Changes in MySQL Workbench 5.2.44 (2012-09-27)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.43.

   This version adds native PostgreSQL and Sybase ASE support to
   the Database Migration Wizard.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Added native migration support for PostgreSQL and Sybase
       ASE.

     * Updated the bundled MySQL Utilities to version 1.1.0,
       which includes the new mysqluc console.

Bugs Fixed


     * After right-clicking on a nonempty field in the SQL
       editor, and choosing Copy Row Content, pasting the row
       into an empty row (by right-clicking and choosing Paste
       Row) would not increment the row id when it was
       appropriate to do so. (Bug #14587186, Bug #66668)

     * When a table from Microsoft SQL Server was migrated to
       MySQL, TEXT columns were mapped to VARCHAR(16). They are
       now mapped to LONGTEXT because Microsoft SQL Server TEXT
       columns have a maximum length of 2^31 - 1. (Bug
       #14556732, Bug #66584)

     * The MySQL Workbench Data Export feature would fail to
       recognize tables that contained accented characters in
       the table's name. (Bug #14504342, Bug #66421)

     * The object browser would not update the column order
       after a table was altered. (Bug #14495629, Bug #66232)

     * On OS X systems with the Retina display, the mouse cursor
       would register incorrect mouse coordinates. (Bug
       #14396939, Bug #65607)

     * Entering the caret ("^") character inside the SQL editor,
       followed by any other character, could cause MySQL
       Workbench to hang. This was a Scintilla bug that is now
       fixed. (Bug #13930994, Bug #64848)

     * After choosing Alter Table, pressing Apply would cause
       MySQL Workbench to display "Preparing..." in the output
       panel, but it now displays "No changes detected." (Bug
       #13497239, Bug #63604)

     * When synchronizing a model to a database after changing a
       field definition from NOT NULL DEFAULT x to NULL DEFAULT
       NULL, the model synchronization would correctly generate
       the SQL. But after executing this SQL and
       resynchronizing, MySQL Workbench would report that the
       table needed to be updated. (Bug #12756728, Bug #61720)

Changes in MySQL Workbench 5.2.43 (2012-09-12)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.42.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * The default object/relationship notation for new models
       will now be taken from the last notation selected by the
       user. This is chosen via Model, Relationship Notation.
       (Bug #49997, Bug #11757883)

Bugs Fixed


     * It was possible for a custom plugin to cause MySQL
       Workbench to crash. (Bug #14595613, Bug #65817)

     * After editing and closing an EER diagram, double-clicking
       on one of the diagram tables could generate an exception.
       (Bug #14587490, Bug #66699)

     * Dropping multiple objects at the same time was not
       possible. Selecting multiple objects, right-clicking on
       one of the selected objects, and then choosing the Drop n
       Object option would generate SQL that deleted only one of
       the selected objects. (Bug #14538863)

     * A semicolon at the end of a single lined SQL comment
       would be treated as a delimiter, and cause the SQL query
       to not execute. (Bug #14529811, Bug #66505)

     * Passing in the -nologo argument while starting MySQL
       Workbench would cause a crash. (Bug #14527014)

     * MySQL Workbench would sometimes crash at startup due to a
       race condition. The logged error included "Invoke or
       BeginInvoke cannot be called on a control until the
       window handle has been created." (Bug #14526134, Bug
       #66130)

     * Right-clicking and choosing Edit Table Data while
       multiple schemas are selected could cause the activity
       animation icon to remain active and/or crash MySQL
       Workbench. (Bug #14524139, Bug #66022)

     * Clicking Browse after the Target Creation Options stage
       of the database migration wizard would generate an error.
       (Bug #14520838, Bug #66271)

     * Synchronizing a restored EER model with the Model and
       Database Differences, Update Model Only configuration
       option enabled for all tables would cause MySQL Workbench
       to crash. (Bug #14510962, Bug #66436)

     * Migrating a Microsoft SQL Server table that contained
       both NULL and non-null values in a DATETIME column failed
       to import properly. (Bug #14509484, Bug #66359)

     * Right-clicking on a table and selecting Copy Insert
       Statement would generate SQL with the columns sorted in
       alphabetical order. The SQL is now generated in the order
       listed in the database. (Bug #14508845, Bug #66419)

     * With the Slovenian keyboard layout chosen, pressing
       Control + / would not toggle commenting. (Bug #14504877,
       Bug #66131)

     * Migrating from a remote SQL Server 2008 database to a
       local MySQL database failed at the Fetch Schemata List
       stage of the database migration wizard, as it was unable
       to connect to the source database. (Bug #14498549, Bug
       #66030)

     * Synchronizing a model could crash if the model had an
       invalid foreign key. (Bug #14498436, Bug #66020)

     * On Fedora 17, autoconf would not detect the altlr which
       is antlr3-C version 3.4. (Bug #14495924, Bug #66325)

     * The database export feature would not always export the
       correct databases if some database names were clicked
       while others checked the selection check box. This
       feature now only takes into account the check boxes. (Bug
       #14495660, Bug #66376)

     * Under certain conditions, synchronizing a model would
       generate SQL statements that dropped a schema before
       altering it. (Bug #14495165, Bug #66083)

     * On Linux, the mysql-workbench-bin executable is no longer
       installed under /usr/bin/ because it cannot be executed
       directly. It was moved to /usr/lib*/mysql-workbench/.
       (Bug #14485725, Bug #66322)

     * On Microsoft Windows, MySQL Workbench would crash after
       attempting to export a model as a PNG, SVN, or PDF. (Bug
       #14483735, Bug #66298)

     * The object browser did not display foreign keys. A
       workaround was to view them via the Alter Table
       interface. (Bug #14483668, Bug #66226)

     * Objects in the schema tree, such as tables, were not
       listed alphabetically after edits were made. (Bug
       #14483610, Bug #66209)

     * Selecting a view in the object browser would sometimes
       insert the view into the table listing. (Bug #14483526,
       Bug #66158)

     * The Select Schemata step of the Reverse Engineer Database
       wizard would not display the underscore character
       correctly. Instead it would appear as an underline to the
       next character. (Bug #14467930, Bug #66248)

     * On OS X, code signing was added to MySQL Workbench so it
       will now load when this condition is required. (Bug
       #14457847, Bug #66052)

     * On a table with a multiple field foreign key, attempts to
       remove one of these fields failed. The associated check
       boxes can now be used with success. (Bug #14415483, Bug
       #66171)

     * Expanding a view object from within the schema viewer
       would immediately collapse, and it would only expand with
       subsequent attempts. (Bug #14404189)

     * On Microsoft Windows, the behavior of Control + Enter was
       changed back to the previous behavior, which is to
       execute the statement that contains the cursor, instead
       of the last statement in the SQL editor, or the current
       statement if the cursor is at the beginning. (Bug
       #14396992, Bug #66025)

     * After exporting a schema, and unselecting the schema,
       exporting a new schema would export both the current and
       previously exported schema. (Bug #14388355)

     * Exporting a table that contained views could fail to
       export. (Bug #14359349, Bug #65780)

     * A warning message was added when a user attempts to
       delete an index that belongs to a foreign key. (Bug
       #14359329, Bug #65972)

     * The default database while applying changes to users and
       privileges is now set to mysql. (Bug #14359266, Bug
       #65959)

     * The --enable-maintainer-mode autoconf option was not
       available. (Bug #14329365, Bug #65900)

     * MySQL Workbench could execute queries from the wrong tab
       after tabs were moved (reordered). (Bug #14221754, Bug
       #65557)

     * The vertical scrollbar in the table definition window
       would appear incorrect after clicking a NN (Not Null)
       check box on one of the column definitions. (Bug
       #14221022, Bug #65500)

     * Choosing the Edit in New Window context menu on a routine
       would not open a new window. (Bug #14171776, Bug #65520)

     * Executing from mysql.utilities.parser import
       GeneralQueryLog from within the MySQL Workbench scripting
       shell would result in an error. (Bug #14128312)

     * On OS X, new tabs could not be closed (via the [x]) if
       ten or more tabs were already open, and if the total
       MySQL Workbench window width exceeded around 1200px. (Bug
       #14127281, Bug #65186)

     * The MySQL Export wizard would not escape hardcoded
       newlines in the generated SQL, but they are now escaped.
       For example, a \n now remains as \n in the exported
       query, when before it was expanded. (Bug #14124914, Bug
       #65222)

     * On Linux, pressing the Enter key after typing a file name
       would not save the file while doing so in the SQL editor
       file save dialogue. (Bug #14124900, Bug #64945)

     * On Linux, tables that are present are now marked with a
       black point in the diagram editor. (Bug #14107656, Bug
       #65210)

     * The Plugins, Objects, Create Multiple Tables feature did
       not function on Microsoft Windows, and only created one
       table on Linux. (Bug #14026694, Bug #14026709)

     * On OS X, hiding a window pane (such as the snippets)
       would cause the window pane to remain hidden, even after
       restarting MySQL Workbench. (Bug #14017268, Bug #65138)

     * Exported "Excel Spreadsheet" files were exported with the
       ".xls" extension, instead of the ".xml" extension. (Bug
       #13970552, Bug #64955)

     * MySQL Workbench was unable to edit the lc_time_names
       variable. (Bug #13939985, Bug #64880)

     * Under certain conditions, MySQL Workbench would generate
       invalid SQL when dealing with foreign keys. (Bug
       #13865784, Bug #14486006, Bug #64601, Bug #66285)

     * After setting an EER diagram marker, modifying the zoom,
       and then setting a marker, the markers would not be
       created. (Bug #13742896)

     * While editing a model, right-clicking on a user and
       choosing Copy SQL to Clipboard would not function. (Bug
       #13742855)

     * On Linux, the WB_FORCE_SYSTEM_COLORS environment variable
       was added. Enabling this variable (with a value of 1)
       will disable MySQL Workbench from using its own color
       scheme. Example usage: export WB_FORCE_SYSTEM_COLORS=1.
       This is useful for certain conditions, like when using
       the HighContrastInverse or GnomishDark system themes.
       (Bug #13608244, Bug #64013)

     * MySQL Workbench would yield incorrect results while
       displaying results from the MAX function on a bit field.
       (Bug #13496747, Bug #63457)

     * Table data could not be edited if the primary key was a
       binary field. (Bug #13418610, Bug #63198)

     * Multiple objects would remain selected after adding a new
       table within the Create new EER Model wizard. (Bug
       #12933282)

     * The Forward Engineering wizard did not utilize the Use
       Default Schema setting that is set in the Manage
       Connections configuration table. (Bug #12757331, Bug
       #61786)

     * Deleting a connection would not immediately delete the
       connection from MySQL Workbench. (Bug #12642474, Bug
       #61445)

     * Passwords are now removed if they are no longer used by
       other connections when a particular connection is
       deleted. (Bug #12627613, Bug #61322)

     * The Treat BINARY/VARBINARY as nonbinary character string
       preference for SQL Queries did not function. (Bug
       #12612409)

     * On OS X, the Server Status tool would fail to find the
       server. (Bug #11766286, Bug #59365)

     * MySQL Workbench would not export data when using a remote
       server connection through SSL with certificates. (Bug
       #11766196, Bug #59249)

     * When a routine contained CONCAT with a number as an
       argument, MySQL Workbench would return it as a BLOB. (Bug
       #11763872, Bug #11766226, Bug #56642, Bug #59290)

     * The error icon would continue to be displayed in the SQL
       editor after deleting a character to create the error,
       and then adding it back. This only affected multiline SQL
       statements. (Bug #11763319, Bug #56015)

     * On OS X, the window to set up a Standard TCP/IP over SSH
       connection contained incorrect descriptions. And the
       dialogue now behaves more intelligently. (Bug #11761555,
       Bug #54061)

     * The Tab key would not navigate field values in the Set
       remote configuration parameters dialogue of the Server
       Administration panel. (Bug #11757375, Bug #49413)

     * Closing MySQL Workbench while an unsaved model was open
       would prompt the user with a "MySQL Workbench has stopped
       working" error, with a Close button. MySQL Workbench now
       prompts to either save or close. (Bug #61802, Bug
       #12912241)

     * While using the Forward Engineer wizard, any change
       detected in a connection option now clears the "Stored
       connection" field. (Bug #49921, Bug #11757818)

Changes in MySQL Workbench 5.2.42 (2012-08-13)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.41.

Bugs Fixed


     * There was a typographical error in the "Rename" dialogue
       that prompts a user to rename unsupported foreign key
       names that originate from old model files. (Bug
       #14399185, Bug #66113)

     * The Reformat DDL for Views configuration option would
       generate invalid SQL syntax if the expression contained
       an even number of parts that were very long. (Bug
       #14396953, Bug #66068)

     * The Search on server button would create an additional
       Search on server button each time it was pressed. (Bug
       #14395153)

     * After upgrading to MySQL Workbench 5.2.41, MySQL
       Workbench would freeze if the initial load involved a
       connection without a saved password. (Bug #14383570, Bug
       #66016)

     * Data modeling would not allow table edits, and repeated
       attempts to do so would crash MySQL Workbench. (Bug
       #14374169, Bug #66013)

     * MySQL Workbench would sometimes crash after populating a
       model. (Bug #14211444, Bug #65423)

     * On Microsoft Windows XP, the width of the line number
       column would display a maximum of four characters. It now
       displays additional characters, such as the number
       "10000". (Bug #14079497, Bug #65259)

     * Undoing the last four changes via the history tab would
       only undo the last three changes. (Bug #14026666)

     * Entering the caret ("^") character inside the SQL editor,
       followed by any other character, could cause MySQL
       Workbench to hang. This was a Scintilla bug that is now
       fixed. (Bug #13930994, Bug #64848)

     * On Microsoft Windows, the Enter key would not create
       newlines within the table column comment dialogue. This
       was a Scintilla bug that is now fixed. (Bug #13891121,
       Bug #64714)

     * Synchronizing a model after adding a column to the model
       would not add the new column to the syncronized database.
       (Bug #13891063, Bug #63938)

     * On Microsoft Windows, certain conditions would allow the
       model overview pane to shrink, and only display a small
       portion of the diagram information. (Bug #13877323, Bug
       #64640)

     * Models that were temporarily saved as "Unsaved models"
       could not be deleted. (Bug #13742833)

     * On OS X, attempts to store a password into the keychain
       could result in an error. (Bug #13387025, Bug #62279)

     * A signal statement in a stored procedure was not
       supported, and would report a syntax error. (Bug
       #11763874, Bug #56644)

     * Expanding the tree view for a database with a large
       number of tables (tested 30,000) would crash MySQL
       Workbench. (Bug #66036, Bug #14383521)

     * On Ubuntu 12.04 64-bit, MySQL Workbench could freeze.
       (Bug #65331, Bug #14120708)

     * Using \func would prevent the Apply changes to data
       option to function, and instead "Pending changes" error
       message windows would be displayed. (Bug #62061, Bug
       #12844298)

     * In the SQL Editor, the cursor would inappropriately
       flash. This was fixed while moving to the native
       Scintilla control. (Bug #61752, Bug #12757202)

Changes in MySQL Workbench 5.2.41 (2012-07-25)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of MySQL Workbench 5.2.40.

   This version contains the initial release of the Database
   Migration Wizard.

     * Functionality Added or Changed

     * Bugs Fixed

Functionality Added or Changed


     * Added a new Data Import/Restore option to select the
       default schema to import to, and a button to create a new
       schema in case a dump is being imported from a single
       file. (Bug #13539030, Bug #63853)

     * A word wrapping option was added to the SQL Editor. (Bug
       #11765583, Bug #58566)

     * The Diagram object tooltip now displays the column
       comments. (Bug #11765060, Bug #57977)

     * A Global Privileges tab was added to the Server
       Administration interface. It allows adding and editing
       individual global user privileges. (Bug #11761628, Bug
       #54141)

     * Basic code completion functionality has been implemented.
       (Bug #11760500, Bug #13813099, Bug #52917, Bug #64525)

     * The model wizards now remember the last connection that
       was added. (Bug #56515, Bug #11763761)

     * MySQL Workbench added a migration wizard, which will
       migrate ODBC compliant databases to MySQL. (Bug #54731,
       Bug #11762168)

Bugs Fixed


     * The Search on Server option would not function, and
       instead it generated errors when searching MySQL Server
       5.1. This option is now only available when connecting to
       MySQL Server 5.5 or greater. (Bug #14404138)

     * MySQL Workbench was not compatable with alocal versions
       greater than 1.11.1. Compiling would generate errors
       related to AC_RUN_IFELSE usage, as opposed to the
       preferred AC_LANG_SOURCE. (Bug #14329354, Bug #65898)

     * On Microsoft Windows 64-bit, closing MySQL Workbench from
       within the SQL editor could cause a crash. (Bug
       #14307316)

     * A snippets file could not be created. (Bug #14278287, Bug
       #65734)

     * The option to control specific user privileges is now
       available with MySQL Workbench. Before it was only
       possible to edit the roles (e.g., DBManager) but now the
       specific privileges (e.g., RELOAD) can also be modified.
       (Bug #14226955, Bug #65677)

     * Comments and collation controls are now disabled until a
       column in the column editor is selected. Before it was
       always available, so invalid entries would attempt to be
       created, which would result in an error. (Bug #14177412,
       Bug #65574)

     * It is now possible to select a range of rows using the
       shift key. And on OS X, the command key will now allow
       the selection of individual rows (Bug #14177386, Bug
       #65569)

     * An orphaned privileges tab would be shown in the table
       editor when switching tables. Now only the current
       privilege tab is displayed. (Bug #14102537, Bug #65182)

     * The Edit, Find, Find and Replace operation was slow. (Bug
       #14079480, Bug #65262)

     * MySQL Workbench would not load with Ubuntu 11.10. (Bug
       #14058886, Bug #63626)

     * Having a schema without a name in a model would cause
       MySQL Workbench to crash. (Bug #14017357, Bug #65119)

     * Using the '%' character within environment variables
       could cause MySQL Workbench to crash. (Bug #13989371, Bug
       #65056)

     * MySQL Workbench failed to compile with automake 1.11.2 or
       greater, due to the pkglib_DATA reference. (Bug
       #13972001, Bug #63898)

     * Several exposed DbMySQL methods (such as
       makeSQLExportScript) were problematic, and have been
       replaced by the DbMySQLRE and DbMySQLFE modules. (Bug
       #13971951, Bug #62596)

     * The SQL Beautifier feature would remove DISTINCT from
       inner queries. (Bug #13970596, Bug #64932)

     * MySQL Workbench would crash while multiple model routines
       were opened. (Bug #13970497)

     * Creating and then synchronizing a table in a model with a
       DOUBLE typed column would generate invalid SQL, thus
       generating an "Invalid SQL syntax" error. (Bug #13970484,
       Bug #64990)

     * The SQL Beautifier would delete WITH ROLLUP if it was
       contained within a subquery. (Bug #13919924, Bug #64796)

     * The Replace All option would not function when the
       replacement string was empty. (Bug #13919875, Bug #64818)

     * On Linux and OS X, it was not possible to select/copy
       multiple rows from within the result set grid. (Bug
       #13895191)

     * Passing a grt.classes.db_query_EditableResultset object
       to getattr() could cause a crash. (Bug #13893388, Bug
       #64777)

     * A new Copy Row (tab separated) option was added to the
       result set context menu within the SQL editor. A comma
       separated variant of this option already existed. (Bug
       #13884753, Bug #64724)

     * Certain conditions would cause privilege related problems
       and emit errors such as "Incorrect Value Entered" when
       creating a table in one tab, altering it in another, then
       going back to the original tab. (Bug #13877873, Bug
       #64591)

     * Using Paste Row after Copy Row Data within the SQL editor
       would insert rows with extra apostrophes. For example,
       'hello' would become ''hello''. (Bug #13840070, Bug
       #64630)

     * Internal log tables are now excluded while exporting a
       the MySQL database. The excluded tables are mysql.schema,
       mysql.apply_status, mysql.general_log, and
       mysql.slow_log. (Bug #13837725)

     * Closing an SQL Editor tab that had a Find/Replace dialog
       box open, then subsequently closing the Find/Replace
       dialog box would crash MySQL Workbench. (Bug #13816167,
       Bug #64569)

     * Input elements are now correctly disabled until an
       editable row in the column editor is selected. Therefore,
       invalid values are no longer set in the model. (Bug
       #13812811, Bug #64550)

     * Changing the Default Collation of a schema after changing
       its name would reset the schema name to "new_schema".
       (Bug #13799456, Bug #64259)

     * The Edit table data SQL editor option would not properly
       display or save Unicode characters. (Bug #13790645, Bug
       #64447)

     * The Match Case search option did not function. (Bug
       #13790397)

     * All editor tabs now prompt to save data when these tabs
       are closed. Before, only the main tabs (like the SQL
       Editor) would prompt for to save. (Bug #13788071, Bug
       #64462)

     * Opening the Scripting Shell window, followed by selecting
       then closing the snippet tab, would cause MySQL Workbench
       to crash. (Bug #13744364)

     * If Plugins, Utilities, Indent Selected Lines is used
       while a row is selected, then MySQL Workbench would
       delete the selected row. (Bug #13744346)

     * On OS X, the color dropdown in the object tool would not
       display the color properly. It instead showed the color
       code, and would not apply the color to the object. (Bug
       #13742905)

     * On OS X, the Option key did not behave like a standard
       Mac OX application. For example, Option + Delete would
       delete one character instead of one word. (Bug #13702376,
       Bug #64217)

     * Added version dependent keyword list support for syntax
       highlighting. Supports MySQL Server 5.0, 5.1, 5.5, and
       5.6 (Bug #13699804)

     * Quickly executing the same query multiple times would
       cause MySQL Workbench to use an excessive amount of
       memory and CPU. (Bug #13642999, Bug #64077)

     * On OS X, and while working with mixed-case table names, a
       foreign key could not be assigned to link two InnoDB
       tables together. (Bug #13639162, Bug #64109)

     * The Model, Model Options, Diagram, Hide Captions option
       could not be altered (disabled) and would remain checked
       (enabled). (Bug #13571857, Bug #63937)

     * MySQL Workbench would allow the creation of multiple
       foreign keys across multiple tables but with the same
       foreign key name. Synchronization would then emit a
       "Can't create table" error. (Bug #13548236, Bug
       #13500447, Bug #63642, Bug #62960)

     * The Object Browser now manages procedures and functions
       separately, when before they could not co-exist with the
       same name. They remain under the routines group but have
       separate icons and menu options. (Bug #13548213, Bug
       #13730415, Bug #63849)

     * After right-clicking on a value in the SQL editor and
       choosing Open Value in Viewer, selecting the text would
       insert extra new lines into the clipboard. (Bug
       #13538942, Bug #63753)

     * The Server Administration, Server logs, General Log Table
       option would not function, and only show a Try again
       button. (Bug #13530413)

     * While editing in the Edit Table tab, Control + A would
       also select diagram objects. (Bug #13519852, Bug #63758)

     * A "Removed corrupt column definition for Foreign key"
       error would sometimes be emitted while editing a table
       with foreign keys. (Bug #13519797, Bug #63772)

     * OpenGL determination at startup has been disabled, and
       instead this check is performed while creating diagrams.
       The system could fail at startup, so now MySQL Workbench
       avoids this startup trouble and can better fall back to
       software rendering if necessary.
       MySQL Workbench would also silently fail to load if
       "Microsoft Visual C++ 2010 Redistributable Package" was
       not available. This is now checked and reported to the
       user. (Bug #13512714, Bug #61969)

     * The Open Value in Editor SQL editor option did not work
       with INT or NULL values. (Bug #13492493, Bug #62934)

     * Plugins, Utilities, Execute query would freeze MySQL
       Workbench if the query resulted in 1000 or more rows.
       (Bug #13470781)

     * The Move to a group context option for database
       connections would cause saved connections below the
       target connection (that is being added to a group) to
       disappear. (Bug #13470318)

     * The info and session tabs within the MySQL connection
       interface would not display any information. (Bug
       #13466537)

     * After making changes to a model, then closing the window,
       clicking Cancel on the unsaved changes warning/dialogue
